commit 67be02bfb2cfbf63c1e60b32c225fae1e5cc12db
Author: raveit65 <mate@raveit.de>
Date:   Thu Mar 30 22:39:22 2017 +0200

    fix running under wayland
    
    fixes https://bugzilla.redhat.com/show_bug.cgi?id=1387496

 pluma/pluma.c | 2 ++
 1 file changed, 2 insertions(+)

commit 910aec06b34eed2aacbdf4f138f1ba38605c249a
Author: monsta <monsta@inbox.ru>
Date:   Mon Mar 27 15:32:25 2017 +0300

    modelines: fix random crash on closing one of several Pluma windows
    
    ported from:
    https://git.gnome.org/browse/gedit/commit/?id=b8b6fe708eddd6a9d471ecd04c38e790d8c0bc7c

 plugins/modelines/modeline-parser.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 7ecdec41ff3ec2661c16006ea40ab9336c06797f
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 12 20:41:54 2017 +0100

    release 1.18.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit de7a037022816b6bc1fe7a69322c4f22b3d4b1b3
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 12 20:40:38 2017 +0100

    sync with transifex

 po/am.po | 50 +++++++++++++++++++++++++-------------------------
 po/eu.po |  2 +-
 2 files changed, 26 insertions(+), 26 deletions(-)

commit f1dc3ec454f0a53d55b1c840ae81fb51e4268e32
Author: monsta <monsta@inbox.ru>
Date:   Sun Mar 12 21:52:59 2017 +0300

    update NEWS for 1.18

 NEWS | 57 ++++++++++++++++-----------------------------------------
 1 file changed, 16 insertions(+), 41 deletions(-)

commit 7769e92b506de7bd4a590728caed4ef122ddf4f4
Author: raveit65 <mate@raveit.de>
Date:   Fri Mar 10 14:53:33 2017 +0100

    release 1.17.4

 NEWS | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 687de48db927fed5556c9cb00c5a0a0b54e7af33
Author: raveit65 <mate@raveit.de>
Date:   Fri Mar 10 14:48:52 2017 +0100

    sync with transifex

 po/af.po          |  248 ++++++++++++-
 po/am.po          | 1052 ++++++++++++++++++++++++++++++++---------------------
 po/ar.po          |  248 ++++++++++++-
 po/as.po          |  248 ++++++++++++-
 po/ast.po         |  248 ++++++++++++-
 po/az.po          |  248 ++++++++++++-
 po/be.po          |  248 ++++++++++++-
 po/bg.po          |  250 ++++++++++++-
 po/bn.po          |  248 ++++++++++++-
 po/bn_IN.po       |  248 ++++++++++++-
 po/br.po          |  248 ++++++++++++-
 po/bs.po          |  248 ++++++++++++-
 po/ca.po          |  264 +++++++++++++-
 po/ca@valencia.po |  248 ++++++++++++-
 po/cmn.po         |  248 ++++++++++++-
 po/crh.po         |  248 ++++++++++++-
 po/cs.po          |  250 ++++++++++++-
 po/cy.po          |  248 ++++++++++++-
 po/da.po          |  250 ++++++++++++-
 po/de.po          |  255 ++++++++++++-
 po/dz.po          |  248 ++++++++++++-
 po/el.po          |  376 +++++++++++++++----
 po/en_AU.po       |  248 ++++++++++++-
 po/en_CA.po       |  248 ++++++++++++-
 po/en_GB.po       |  372 +++++++++++++++----
 po/eo.po          |  248 ++++++++++++-
 po/es.po          |  248 ++++++++++++-
 po/es_AR.po       |  248 ++++++++++++-
 po/es_CO.po       |  248 ++++++++++++-
 po/es_MX.po       |  248 ++++++++++++-
 po/et.po          |  248 ++++++++++++-
 po/eu.po          |  248 ++++++++++++-
 po/fa.po          |  248 ++++++++++++-
 po/fi.po          |  248 ++++++++++++-
 po/fr.po          |  250 ++++++++++++-
 po/ga.po          |  248 ++++++++++++-
 po/gl.po          |  248 ++++++++++++-
 po/gu.po          |  248 ++++++++++++-
 po/he.po          |  248 ++++++++++++-
 po/hi.po          |  248 ++++++++++++-
 po/hr.po          |  248 ++++++++++++-
 po/hu.po          |  312 +++++++++++++---
 po/hy.po          |  248 ++++++++++++-
 po/id.po          |  254 ++++++++++++-
 po/is.po          |  248 ++++++++++++-
 po/it.po          |  373 +++++++++++++++----
 po/ja.po          |  363 ++++++++++++++----
 po/ka.po          |  248 ++++++++++++-
 po/kk.po          |  248 ++++++++++++-
 po/kn.po          |  248 ++++++++++++-
 po/ko.po          |  250 ++++++++++++-
 po/ku.po          |  248 ++++++++++++-
 po/ku_IQ.po       |  248 ++++++++++++-
 po/ky.po          |  248 ++++++++++++-
 po/la.po          |  248 ++++++++++++-
 po/lt.po          |  250 ++++++++++++-
 po/lv.po          |  248 ++++++++++++-
 po/mai.po         |  248 ++++++++++++-
 po/mg.po          |  248 ++++++++++++-
 po/mi.po          |  248 ++++++++++++-
 po/mk.po          |  248 ++++++++++++-
 po/ml.po          |  248 ++++++++++++-
 po/mn.po          |  248 ++++++++++++-
 po/mr.po          |  248 ++++++++++++-
 po/ms.po          |  250 ++++++++++++-
 po/nb.po          |  374 +++++++++++++++----
 po/nds.po         |  248 ++++++++++++-
 po/ne.po          |  248 ++++++++++++-
 po/nl.po          |  371 +++++++++++++++----
 po/nn.po          |  248 ++++++++++++-
 po/oc.po          |  248 ++++++++++++-
 po/or.po          |  248 ++++++++++++-
 po/pa.po          |  248 ++++++++++++-
 po/pl.po          |  274 +++++++++++++-
 po/pms.po         |  248 ++++++++++++-
 po/ps.po          |  248 ++++++++++++-
 po/pt.po          |  248 ++++++++++++-
 po/pt_BR.po       |  255 ++++++++++++-
 po/ro.po          |  248 ++++++++++++-
 po/ru.po          |  252 ++++++++++++-
 po/rw.po          |  248 ++++++++++++-
 po/si.po          |  248 ++++++++++++-
 po/sk.po          |  250 ++++++++++++-
 po/sl.po          |  248 ++++++++++++-
 po/sq.po          |  248 ++++++++++++-
 po/sr.po          |  250 ++++++++++++-
 po/sr@latin.po    |  248 ++++++++++++-
 po/sv.po          |  248 ++++++++++++-
 po/ta.po          |  248 ++++++++++++-
 po/te.po          |  248 ++++++++++++-
 po/th.po          |  248 ++++++++++++-
 po/tk.po          |  248 ++++++++++++-
 po/tr.po          |  284 +++++++++++++--
 po/uk.po          |  257 ++++++++++++-
 po/ur.po          |  248 ++++++++++++-
 po/uz.po          |  248 ++++++++++++-
 po/vi.po          |  248 ++++++++++++-
 po/wa.po          |  248 ++++++++++++-
 po/xh.po          |  248 ++++++++++++-
 po/zh_CN.po       |  376 +++++++++++++++----
 po/zh_HK.po       |  248 ++++++++++++-
 po/zh_TW.po       |  250 ++++++++++++-
 102 files changed, 25325 insertions(+), 1839 deletions(-)

commit f36575da68c26104894173db1271c65f821be5de
Author: ZenWalker <scow@riseup.net>
Date:   Tue Mar 7 20:52:06 2017 +0100

    Fix: the tab closes unexpectedly with middle click under line numbers
    
    Fixes #215

 pluma/pluma-view.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 2ad12237699e722bc996c3af1ac23e1db0093b85
Author: monsta <monsta@inbox.ru>
Date:   Tue Feb 28 16:41:37 2017 +0300

    remove unneeded +x attribute from sources

 pluma/dialogs/Makefile.am                       | 0
 pluma/dialogs/pluma-close-confirmation-dialog.c | 0
 pluma/dialogs/pluma-close-confirmation-dialog.h | 0
 pluma/dialogs/pluma-encodings-dialog.c          | 0
 pluma/dialogs/pluma-encodings-dialog.h          | 0
 pluma/dialogs/pluma-preferences-dialog.c        | 0
 pluma/dialogs/pluma-preferences-dialog.h        | 0
 pluma/dialogs/pluma-search-dialog.c             | 0
 pluma/dialogs/pluma-search-dialog.h             | 0
 9 files changed, 0 insertions(+), 0 deletions(-)

commit d20a3dd0fb9171055cb79c5e5bc0e112d8272a4a
Author: monsta <monsta@inbox.ru>
Date:   Sat Feb 25 15:47:06 2017 +0300

    snippets plugin: fix snippet parts staying after Ctrl-Z
    
    old issue, also present in 1.16
    
    fix taken from:
    https://git.gnome.org/browse/gedit/commit/?id=bc5d893229e62c85f6956c17a8471cb5fdab10ea

 plugins/snippets/snippets/Document.py | 8 ++++++++
 1 file changed, 8 insertions(+)

commit c45e91b0f617455d6cf2197e712f0c34c5b0090c
Author: monsta <monsta@inbox.ru>
Date:   Fri Feb 24 17:20:31 2017 +0300

    snippets plugin: port to gi and libpeas
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=3f5c69427579f80e8614f551aafa89baa9bfd0ca
    https://git.gnome.org/browse/gedit/commit/?id=a2c9247c5fecea8d03917e7b0fa93447820439d2
    https://git.gnome.org/browse/gedit/commit/?id=ccd39a71eab7fe04ea52cb10bd2282c95d8374c3
    https://git.gnome.org/browse/gedit/commit/?id=2dbe5e048766a94b2ba42346b5d197edc92cd03d
    https://git.gnome.org/browse/gedit/commit/?id=b3f6fd5c7ab9e433dd7698a25d9dc00867c04ad9
    https://git.gnome.org/browse/gedit/commit/?id=2273ba27e85588c10788039b66b083aba6b50660
    https://git.gnome.org/browse/gedit/commit/?id=48d33cf9dd29d8a6d42e60e3254c883f1f9ffb56
    https://git.gnome.org/browse/gedit/commit/?id=7f37ff4fa2c9dd8f42ff527f4e1d0a148c39eb0e
    https://git.gnome.org/browse/gedit/commit/?id=0d36d6e09a58210c365264c591fafb5d0b3d9323
    https://git.gnome.org/browse/gedit/commit/?id=ac4f2048d6af5b2dbfc7ff6448bc51f3e2b324b6
    https://git.gnome.org/browse/gedit/commit/?id=5540838a7dff1d025b995c251f51c1c29ce0c0ce
    https://git.gnome.org/browse/gedit/commit/?id=d48cd10bf0bb99ead7b1af1ead52f1e554ad239d
    https://git.gnome.org/browse/gedit/commit/?id=5169aa5cd4b1d95fb869df7c0b24c886cb33a1aa

 configure.ac                                       |   4 +
 plugins/Makefile.am                                |   5 +-
 plugins/snippets/Makefile.am                       |   6 +-
 ...lugin.desktop.in => snippets.plugin.desktop.in} |   2 +-
 plugins/snippets/snippets/Completion.py            |  56 +++--
 plugins/snippets/snippets/Document.py              | 142 ++++++------
 plugins/snippets/snippets/Exporter.py              |   2 +-
 plugins/snippets/snippets/Helper.py                |  34 +--
 plugins/snippets/snippets/Importer.py              |   2 +-
 plugins/snippets/snippets/LanguageManager.py       |   4 +-
 plugins/snippets/snippets/Library.py               |  44 ++--
 plugins/snippets/snippets/Manager.py               | 246 ++++++++++-----------
 plugins/snippets/snippets/Placeholder.py           |  27 ++-
 plugins/snippets/snippets/Snippet.py               |  14 +-
 plugins/snippets/snippets/WindowHelper.py          |  15 +-
 plugins/snippets/snippets/__init__.py              |  60 ++---
 plugins/snippets/snippets/snippets.ui              |   3 +-
 po/POTFILES.in                                     |   8 +
 po/POTFILES.skip                                   |   8 -
 19 files changed, 340 insertions(+), 342 deletions(-)

commit 26b9f5eb6880b04f27dd4527a66f5b9e703c0450
Author: monsta <monsta@inbox.ru>
Date:   Fri Feb 24 16:08:19 2017 +0300

    snippets plugin: stop exposing functions on Pluma message bus
    
    registering on message bus won't work with introspection
    due to varargs functions used in message bus code

 plugins/snippets/snippets/WindowHelper.py | 55 -------------------------------
 1 file changed, 55 deletions(-)

commit 548ca910edf73821482f1b31435b27146ef96810
Author: raveit65 <mate@raveit.de>
Date:   Sat Feb 25 13:56:11 2017 +0100

    pre-bump version

 NEWS         | 4 +++-
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit bef73d50f8ec2877c30e4787413cc6fa29276678
Author: monsta <monsta@inbox.ru>
Date:   Fri Feb 10 13:53:05 2017 +0300

    build: remove option that disables deprecated stuff
    
    we don't need a build breakage on the first deprecated item, thanks

 configure.ac                      | 15 ---------------
 plugins/changecase/Makefile.am    |  3 +--
 plugins/docinfo/Makefile.am       |  3 +--
 plugins/filebrowser/Makefile.am   |  3 +--
 plugins/modelines/Makefile.am     |  3 +--
 plugins/sort/Makefile.am          |  3 +--
 plugins/spell/Makefile.am         |  3 +--
 plugins/taglist/Makefile.am       |  3 +--
 plugins/time/Makefile.am          |  3 +--
 plugins/trailsave/Makefile.am     |  3 +--
 pluma/Makefile.am                 |  1 -
 pluma/dialogs/Makefile.am         |  3 +--
 tools/plugin_template/Makefile.am |  1 -
 13 files changed, 10 insertions(+), 37 deletions(-)

commit 30cb4f43bc9e121a2a510f8868ec51d75eaebff5
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Fri Jan 13 16:13:04 2017 +0000

    Update pluma NEWS to use consistent, project wide, markdown-like formatting. This will make generating release announcements easier.

 NEWS | 50 +++++++++++++++++---------------------------------
 1 file changed, 17 insertions(+), 33 deletions(-)

commit 15d30307e654f55a931714c9e863aa7c466ecace
Merge: 3c1e8fc a79faa6
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jan 10 19:53:42 2017 +0100

    Merge branch 'master' of https://github.com/barkovv/pluma into barkovv-master

commit a79faa602fac4e4bb4c33a324150219727fa1f57
Author: Vadim Barkov <neverscaired@gmail.com>
Date:   Sun Jan 8 17:51:17 2017 +0300

    Fixed wrong behaviour of search on zero length results

 pluma/pluma-utils.c | 40 ++++++++++++++++++++++++++++++++++++----
 1 file changed, 36 insertions(+), 4 deletions(-)

commit df3b18c149e4e410988242153b2d3f26b1601d0f
Author: Vadim Barkov <neverscaired@gmail.com>
Date:   Sun Jan 8 16:51:21 2017 +0300

    Fixed wrong formatting

 pluma/dialogs/pluma-search-dialog.h |  2 +-
 pluma/pluma-utils.c                 | 38 ++++++++++++++++++-------------------
 2 files changed, 20 insertions(+), 20 deletions(-)

commit 3c1e8fcc11d2b9a127bbaccda0f1f97b14f9a9f1
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jan 6 19:33:04 2017 +0100

    release 1.17.3

 NEWS         | 15 +++++++++++++++
 configure.ac |  2 +-
 2 files changed, 16 insertions(+), 1 deletion(-)

commit 5dd7cdf21ac8da6704f4b835055e041ee46e6cda
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jan 6 19:28:30 2017 +0100

    sync with transifex

 po/LINGUAS        |    1 +
 po/af.po          | 1032 +++++-------
 po/am.po          | 1062 +++++-------
 po/ar.po          | 1110 +++++--------
 po/as.po          | 1100 +++++--------
 po/ast.po         | 1108 +++++--------
 po/az.po          |  984 ++++-------
 po/be.po          | 1108 +++++--------
 po/bg.po          |  984 ++++-------
 po/bn.po          | 1104 +++++--------
 po/bn_IN.po       | 1104 +++++--------
 po/br.po          | 1102 +++++--------
 po/bs.po          |  986 ++++-------
 po/ca.po          |  992 ++++-------
 po/ca@valencia.po | 1110 +++++--------
 po/cmn.po         | 1108 +++++--------
 po/crh.po         | 1104 +++++--------
 po/cs.po          |  997 ++++-------
 po/cy.po          | 1080 +++++-------
 po/da.po          | 1008 +++++-------
 po/de.po          | 1000 ++++--------
 po/dz.po          | 1076 +++++-------
 po/el.po          | 1110 +++++--------
 po/en_AU.po       | 1110 +++++--------
 po/en_CA.po       | 1040 +++++-------
 po/en_GB.po       | 1110 +++++--------
 po/eo.po          | 1076 +++++-------
 po/es.po          | 1110 +++++--------
 po/es_AR.po       |  986 ++++-------
 po/es_CO.po       |  988 ++++-------
 po/es_MX.po       |  986 ++++-------
 po/et.po          | 1108 +++++--------
 po/eu.po          | 1108 +++++--------
 po/fa.po          |  984 ++++-------
 po/fi.po          | 1108 +++++--------
 po/fr.po          | 1004 +++++-------
 po/ga.po          | 1036 +++++-------
 po/gl.po          | 1108 +++++--------
 po/gu.po          | 1100 +++++--------
 po/he.po          | 1106 +++++--------
 po/hi.po          | 1100 +++++--------
 po/hr.po          | 1088 +++++-------
 po/hu.po          | 1110 +++++--------
 po/hy.po          | 1110 +++++--------
 po/id.po          | 1068 +++++-------
 po/is.po          | 1106 +++++--------
 po/it.po          | 1110 +++++--------
 po/ja.po          | 1110 +++++--------
 po/ka.po          | 1020 +++++-------
 po/kk.po          | 1084 +++++-------
 po/kn.po          | 1104 +++++--------
 po/ko.po          |  994 ++++-------
 po/ku.po          |  996 ++++-------
 po/ku_IQ.po       | 4725 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ky.po          | 1046 +++++-------
 po/la.po          |  984 ++++-------
 po/lt.po          | 1070 +++++-------
 po/lv.po          | 1104 +++++--------
 po/mai.po         | 1100 +++++--------
 po/mg.po          | 1050 +++++-------
 po/mi.po          |  984 ++++-------
 po/mk.po          | 1076 +++++-------
 po/ml.po          | 1100 +++++--------
 po/mn.po          |  984 ++++-------
 po/mr.po          | 1102 +++++--------
 po/ms.po          | 1004 +++++-------
 po/nb.po          | 1110 +++++--------
 po/nds.po         | 1024 +++++-------
 po/ne.po          | 1084 +++++-------
 po/nl.po          | 1110 +++++--------
 po/nn.po          | 1102 +++++--------
 po/oc.po          | 1010 +++++-------
 po/or.po          | 1100 +++++--------
 po/pa.po          | 1104 +++++--------
 po/pl.po          | 1011 +++++-------
 po/pms.po         |  986 ++++-------
 po/ps.po          | 1050 +++++-------
 po/pt.po          | 1110 +++++--------
 po/pt_BR.po       | 1031 +++++-------
 po/ro.po          | 1110 +++++--------
 po/ru.po          |  993 ++++-------
 po/rw.po          |  984 ++++-------
 po/si.po          | 1046 +++++-------
 po/sk.po          | 1054 +++++-------
 po/sl.po          | 1110 +++++--------
 po/sq.po          | 1082 +++++-------
 po/sr.po          | 1060 +++++-------
 po/sr@latin.po    | 1104 +++++--------
 po/sv.po          | 1110 +++++--------
 po/ta.po          | 1104 +++++--------
 po/te.po          | 1100 +++++--------
 po/th.po          | 1110 +++++--------
 po/tk.po          |  984 ++++-------
 po/tr.po          | 1110 +++++--------
 po/uk.po          | 1062 +++++-------
 po/ur.po          | 1098 +++++--------
 po/uz.po          | 1034 +++++-------
 po/vi.po          | 1080 +++++-------
 po/wa.po          |  984 ++++-------
 po/xh.po          |  984 ++++-------
 po/zh_CN.po       | 1112 +++++--------
 po/zh_HK.po       | 1110 +++++--------
 po/zh_TW.po       | 1022 +++++-------
 103 files changed, 44501 insertions(+), 67645 deletions(-)

commit e5bfdf1200f20a2f82e494168b55fa78ac4448aa
Author: monsta <monsta@inbox.ru>
Date:   Sun Dec 25 18:44:05 2016 +0300

    panel: use the correct property name for panel orientation
    
    taken from:
    https://git.gnome.org/browse/gedit/commit/?id=8033c19d2c89e1364861c42879d1aa300963aed7

 pluma/pluma-panel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 98c44e3c9455581f90c4f6a70fc42adf986d8206
Merge: 2314b38 38c20e4
Author: Vadim Barkov <neverscaired@gmail.com>
Date:   Mon Dec 19 23:24:10 2016 +0300

    Merge branch 'master' of https://github.com/mate-desktop/pluma

commit 1c4f44ccb3e3edab847c17ef958e7fbe13e2fe90
Author: monsta <monsta@inbox.ru>
Date:   Mon Dec 19 15:14:41 2016 +0300

    snippets plugin: MESSAGE_INFORMATION doesn't exist, use MESSAGE_INFO

 plugins/snippets/snippets/Manager.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 63e33e0047a77a37cfcfa2a66dfcdfc5f38c534c
Author: monsta <monsta@inbox.ru>
Date:   Mon Dec 19 15:09:27 2016 +0300

    snippets plugin: kill useless code

 plugins/snippets/snippets/__init__.py | 30 ++++++++++--------------------
 1 file changed, 10 insertions(+), 20 deletions(-)

commit 6cb4912d8ca947bb0c99a3a6ed495cd40ff1662d
Author: monsta <monsta@inbox.ru>
Date:   Mon Dec 19 14:48:23 2016 +0300

    externaltools plugin: fix indent a bit

 plugins/externaltools/tools/manager.py | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit e67af672bf71bba056340c35fcf390dae1556276
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 15 15:49:26 2016 +0300

    quickopen plugin: port to gi and libpeas
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=9de71917497716124486f9baade326d5ffb4bb8d
    https://git.gnome.org/browse/gedit/commit/?id=059f39e1b94ea5453087d33384fe2a563e6c00dc
    https://git.gnome.org/browse/gedit/commit/?id=ab7f3788a18447b9a88f0d1dbda892e6c452c9af
    https://git.gnome.org/browse/gedit/commit/?id=d7ac22d93970c85323f51f9536e13c22aac0d70a
    https://git.gnome.org/browse/gedit/commit/?id=5cf9ac442a025d42443cea9cf1451c0e6154dea1
    https://git.gnome.org/browse/gedit/commit/?id=4ee4fb903dfd485b5b80ce3ddb1e1f4a04cb1b99
    https://git.gnome.org/browse/gedit/commit/?id=00105f389b9b37f71be5b29fbf0c11367042c346

 configure.ac                                       |   2 +
 plugins/Makefile.am                                |   4 +-
 plugins/quickopen/Makefile.am                      |   6 +-
 ...ugin.desktop.in => quickopen.plugin.desktop.in} |   2 +-
 plugins/quickopen/quickopen/__init__.py            |  26 ++--
 plugins/quickopen/quickopen/popup.py               | 156 ++++++++++++---------
 plugins/quickopen/quickopen/virtualdirs.py         |  22 ++-
 plugins/quickopen/quickopen/windowhelper.py        |  34 ++---
 po/POTFILES.in                                     |   3 +
 po/POTFILES.skip                                   |   3 -
 10 files changed, 139 insertions(+), 119 deletions(-)

commit 0bbd1671ab53efe079357689fcf18d10e9d846a4
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 15 12:34:46 2016 +0300

    pythonconsole plugin: port to gi and libpeas
    
    note: config dialog is broken for ages since it tries to use
    ancient MateConf, so it's left as is for now. later it can be
    ported to GSettings and PeasGtk.
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=4dcd8d84b1a6b11c5254416d9b5ed7af8105f538
    https://git.gnome.org/browse/gedit/commit/?id=a9d2ea047401124537e49ef6a2bf9c0f6c4a4f22
    https://git.gnome.org/browse/gedit/commit/?id=c2ef43753eaf07d7ea9eecf9221daacff5f2a3b7
    https://git.gnome.org/browse/gedit/commit/?id=ad07a02a15ba868bbd5654152f3946350db2dadf

 configure.ac                                       |  2 +
 plugins/Makefile.am                                |  4 +-
 plugins/pythonconsole/Makefile.am                  |  6 +-
 ....desktop.in => pythonconsole.plugin.desktop.in} |  2 +-
 plugins/pythonconsole/pythonconsole/__init__.py    | 42 +++++++-------
 plugins/pythonconsole/pythonconsole/console.py     | 66 +++++++++++-----------
 po/POTFILES.in                                     |  3 +
 po/POTFILES.skip                                   |  3 -
 8 files changed, 67 insertions(+), 61 deletions(-)

commit 4ea3ff79c350c9af799ed76e72e5c862af3eb73e
Author: monsta <monsta@inbox.ru>
Date:   Wed Dec 14 15:35:49 2016 +0300

    externaltools plugin: port to gi and libpeas
    
    note: tools manager dialog can now be invoked only via Pluma's menu.
    Preferences button in plugin manager is inactive. re-enabling it would
    mean introducing even more complexity, because we would need to pass
    a configure widget to libpeas, not the whole dialog.
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=8b6d353e0ab94ad52ce6119759db5e14b281fbba
    https://git.gnome.org/browse/gedit/commit/?id=2aa6071912dac227f04f44c07e07f159b77be7ff
    https://git.gnome.org/browse/gedit/commit/?id=09738cd6f5f24a37cb7dd85dfca7a5099529e5d2
    https://git.gnome.org/browse/gedit/commit/?id=f08e9d2953fa213f77dce635127c3a0131fba02f
    https://git.gnome.org/browse/gedit/commit/?id=d09a703e84f818dcadd7bd1c16c2091305a691c2
    https://git.gnome.org/browse/gedit/commit/?id=985f3908abe3f2ade53db1364dccf0d1fd61ec1b
    https://git.gnome.org/browse/gedit/commit/?id=b6086cab8c664d2cfb3e5b4a6d33c215d1b207da
    https://git.gnome.org/browse/gedit/commit/?id=befd854563e4691a6b75b03695d6a7c458836312
    https://git.gnome.org/browse/gedit/commit/?id=cf7549c8e5944a3fbf9d18170b6e45a552071b4c
    https://git.gnome.org/browse/gedit/commit/?id=6c95d28a13ae87232346583a86ae525a22fcc651
    https://git.gnome.org/browse/gedit/commit/?id=c70319048b42b898fd6c2f6ee37e98e54cea54be

 configure.ac                                       |   6 +
 plugins/Makefile.am                                |   4 +-
 plugins/externaltools/Makefile.am                  |   6 +-
 ....desktop.in => externaltools.plugin.desktop.in} |   2 +-
 plugins/externaltools/tools/__init__.py            | 142 +++++++-------
 plugins/externaltools/tools/capture.py             |  35 ++--
 plugins/externaltools/tools/filelookup.py          |  13 +-
 plugins/externaltools/tools/functions.py           |  45 ++---
 plugins/externaltools/tools/library.py             |   5 +-
 plugins/externaltools/tools/manager.py             | 207 ++++++++++++---------
 plugins/externaltools/tools/outputpanel.py         |  50 ++---
 plugins/externaltools/tools/tools.ui               |   3 +
 po/POTFILES.in                                     |  13 ++
 po/POTFILES.skip                                   |  13 --
 14 files changed, 283 insertions(+), 261 deletions(-)

commit 38c20e460232c5f4ec7bf616180ff777b5d6b3a0
Author: monsta <monsta@inbox.ru>
Date:   Wed Dec 14 14:40:24 2016 +0300

    plugins engine: enable python plugin loader from libpeas

 pluma/pluma-plugins-engine.c | 2 ++
 1 file changed, 2 insertions(+)

commit 2d093965b129430ce20dcfb8fe1c561e818a9740
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 13 18:44:33 2016 +0300

    externaltools plugin: kill useless code

 plugins/externaltools/tools/library.py | 22 ++++------------------
 1 file changed, 4 insertions(+), 18 deletions(-)

commit da8d189ae2ca44e32920dba59d0c31b1a8671f75
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 13 17:01:31 2016 +0300

    taglist plugin: don't look for taglist in non-existing legacy dirs
    
    these names are result of excessive gedit -> pluma renaming
    (back in 2011), so these dirs never actually existed

 plugins/taglist/pluma-taglist-plugin-parser.c | 23 -----------------------
 1 file changed, 23 deletions(-)

commit 500958dddaf7d7606ef39695a6f0465b3b9137e9
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 13 16:11:24 2016 +0300

    release 1.17.2

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 2a680dbab987e632b7049c34a04cc2f1a8b2002c
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 13 15:14:15 2016 +0300

    plugins: remove a couple of useless includes

 plugins/filebrowser/pluma-file-browser-store.c | 1 -
 plugins/modelines/pluma-modeline-plugin.c      | 1 -
 2 files changed, 2 deletions(-)

commit 9d7b458ee07585ecec0021badb47369f281fa4e7
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 13 14:44:14 2016 +0300

    sort plugin: use 'destroy' signal - there's no 'dispose' in dialog

 plugins/sort/pluma-sort-plugin.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0c051115caa2f9bb0f3598a0cd2cf47a97ec1a09
Author: monsta <monsta@inbox.ru>
Date:   Mon Dec 12 18:13:11 2016 +0300

    fix build without X when introspection is enabled
    
    fixes https://github.com/mate-desktop/pluma/issues/207
    
    ported from:
    https://git.gnome.org/browse/gedit/commit/?id=3b26258325b69c034b486fbdd12aa7d60b379cf6

 pluma/pluma.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit cbbe1c090d92f2aac7b356ac15f569c6b86bda77
Author: monsta <monsta@inbox.ru>
Date:   Sun Dec 11 18:07:34 2016 +0300

    release 1.17.1

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit ed6f76164617eaea8b0e6be291a4e22bde0c95da
Author: monsta <monsta@inbox.ru>
Date:   Sun Dec 11 18:37:16 2016 +0300

    fix distcheck - make pluma-file-chooser-dialog.h private
    
    found here:
    https://git.gnome.org/browse/gedit/commit/?id=96c524456b06870132365c8a5a95726bdf8ce61f

 pluma/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 71cb724652b6eab534e1bad3c625db07b8b690c9
Author: monsta <monsta@inbox.ru>
Date:   Sun Dec 11 18:03:54 2016 +0300

    sync with Transifex

 po/ca.po | 56 ++++++++++++++++++++--------------------
 po/nb.po | 90 ++++++++++++++++++++++++++++++++--------------------------------
 po/ro.po | 11 ++++----
 po/sv.po |  6 ++---
 4 files changed, 82 insertions(+), 81 deletions(-)

commit 3860e7b99fc652c7d193cf81f565ea56b507b51a
Author: monsta <monsta@inbox.ru>
Date:   Mon Dec 5 18:42:03 2016 +0300

    remove old plugin system and docs for it

 Makefile.am                              |   2 +-
 configure.ac                             |   4 -
 docs/reference/Makefile.am               |   2 -
 docs/reference/pluma-docs.sgml           |   1 -
 docs/reference/pluma-sections.txt        |  24 -
 docs/reference/pluma.types               |   2 -
 plugin-loaders/Makefile.am               |   3 -
 plugin-loaders/c/Makefile.am             |  24 -
 plugin-loaders/c/pluma-plugin-loader-c.c | 182 -------
 plugin-loaders/c/pluma-plugin-loader-c.h |  60 ---
 pluma/pluma-object-module.c              | 343 ------------
 pluma/pluma-object-module.h              |  94 ----
 pluma/pluma-plugin-info-priv.h           |  67 ---
 pluma/pluma-plugin-info.c                | 396 --------------
 pluma/pluma-plugin-info.h                |  63 ---
 pluma/pluma-plugin-loader.c              | 131 -----
 pluma/pluma-plugin-loader.h              | 106 ----
 pluma/pluma-plugin-manager.c             | 895 -------------------------------
 pluma/pluma-plugin-manager.h             |  83 ---
 pluma/pluma-plugin.c                     | 334 ------------
 pluma/pluma-plugin.h                     | 240 ---------
 po/POTFILES.in                           |   1 -
 22 files changed, 1 insertion(+), 3056 deletions(-)

commit e1fbe56adf49a5f4d3a3bb493933d9ae5a5c081f
Author: monsta <monsta@inbox.ru>
Date:   Mon Dec 5 17:36:57 2016 +0300

    plugins: make them actually recognized and loaded by Pluma
    
    - use *.plugin extension instead of *.pluma-plugin
    - use "Plugin" section name instead of "Pluma Plugin"
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=1d56b827f14096891bb03dbd5e8211fdad1331ad
    https://git.gnome.org/browse/gedit/commit/?id=7c22769d73f756b9d1388febd147c9d267ed54cb

 plugins/changecase/Makefile.am                         |  6 +++---
 ...-plugin.desktop.in => changecase.plugin.desktop.in} |  2 +-
 plugins/docinfo/Makefile.am                            |  6 +++---
 ...uma-plugin.desktop.in => docinfo.plugin.desktop.in} |  2 +-
 plugins/filebrowser/Makefile.am                        |  6 +++---
 ...plugin.desktop.in => filebrowser.plugin.desktop.in} |  2 +-
 plugins/modelines/Makefile.am                          |  6 +++---
 ...a-plugin.desktop.in => modelines.plugin.desktop.in} |  2 +-
 plugins/sort/Makefile.am                               |  6 +++---
 ....pluma-plugin.desktop.in => sort.plugin.desktop.in} |  2 +-
 plugins/spell/Makefile.am                              |  6 +++---
 ...pluma-plugin.desktop.in => spell.plugin.desktop.in} |  2 +-
 plugins/taglist/Makefile.am                            |  6 +++---
 ...uma-plugin.desktop.in => taglist.plugin.desktop.in} |  2 +-
 plugins/time/Makefile.am                               |  6 +++---
 ....pluma-plugin.desktop.in => time.plugin.desktop.in} |  2 +-
 plugins/trailsave/Makefile.am                          |  6 +++---
 ...a-plugin.desktop.in => trailsave.plugin.desktop.in} |  2 +-
 po/POTFILES.in                                         | 18 +++++++++---------
 19 files changed, 45 insertions(+), 45 deletions(-)

commit ce25be232024458af2a28f4cf145d8cd22f2db29
Author: monsta <monsta@inbox.ru>
Date:   Sun Dec 4 22:31:41 2016 +0300

    trailsave plugin: port to libpeas
    
    this plugin isn't present upstream, so all the changes
    were picked from other plugins here

 plugins/trailsave/pluma-trail-save-plugin.c | 139 +++++++++++++++++++++++++---
 plugins/trailsave/pluma-trail-save-plugin.h |  15 ++-
 2 files changed, 135 insertions(+), 19 deletions(-)

commit 95d29254d97484cbbece5a7acd994025d90699e1
Author: monsta <monsta@inbox.ru>
Date:   Sun Dec 4 19:54:27 2016 +0300

    time plugin: adapt configure dialog to libpeas interface
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=f9cfaba1bca880e40048cb7ac044b9e34627c378
    https://git.gnome.org/browse/gedit/commit/?id=20011152c7a6b372dec92120439faad7a730d35b

 plugins/time/pluma-time-plugin.c | 219 +++++++++++++--------------------------
 1 file changed, 71 insertions(+), 148 deletions(-)

commit 564ca51a2544db1be35fd1493110b6db8ecdc4a6
Author: monsta <monsta@inbox.ru>
Date:   Sun Dec 4 17:33:08 2016 +0300

    time plugin: port to libpeas
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=529bb71a0d3d514639611a7e989767e24a47dc6b
    https://git.gnome.org/browse/gedit/commit/?id=69a0f7450453b787c5b5fbcb59366493501797a9

 plugins/time/pluma-time-plugin.c | 226 ++++++++++++++++++++++++++-------------
 plugins/time/pluma-time-plugin.h |   9 +-
 2 files changed, 159 insertions(+), 76 deletions(-)

commit 2aafaabdaa4854b3941bd9f3319b89c807abf306
Author: monsta <monsta@inbox.ru>
Date:   Sun Dec 4 15:46:17 2016 +0300

    taglist plugin: port to libpeas
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=c3471ad0a1e2a60a588f203421da1779a60649ff
    https://git.gnome.org/browse/gedit/commit/?id=05ca83131a21c35e7b2792bbf76c4c6897d084e9

 plugins/taglist/pluma-taglist-plugin-panel.c |  15 ++-
 plugins/taglist/pluma-taglist-plugin-panel.h |   2 +-
 plugins/taglist/pluma-taglist-plugin.c       | 181 +++++++++++++++++++--------
 plugins/taglist/pluma-taglist-plugin.h       |   9 +-
 4 files changed, 150 insertions(+), 57 deletions(-)

commit d050af62cd08c234e53897a7d9dccb560dba329a
Author: monsta <monsta@inbox.ru>
Date:   Sun Dec 4 01:00:51 2016 +0300

    spell plugin: adapt configure dialog to libpeas interface
    
    upstream spell plugin doesn't have a configure dialog,
    so most changes were picked up from upstream time plugin

 plugins/spell/pluma-spell-plugin.c | 130 +++++++++++--------------------------
 1 file changed, 39 insertions(+), 91 deletions(-)

commit 67a0f36183ed2fe4dd66a044566e523b4b256fe4
Author: monsta <monsta@inbox.ru>
Date:   Sat Dec 3 16:37:43 2016 +0300

    spell plugin: port to libpeas
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=f12be5be627c7b75c0a5f41e8ffec2d5202401d0
    https://git.gnome.org/browse/gedit/commit/?id=939dec5739bfd1f15895994ef133753a095aac4e

 plugins/spell/pluma-spell-plugin.c | 341 +++++++++++++++++++++----------------
 plugins/spell/pluma-spell-plugin.h |  10 +-
 2 files changed, 198 insertions(+), 153 deletions(-)

commit 55dfd7836e390c45891b590e8f4bf720100ad063
Author: monsta <monsta@inbox.ru>
Date:   Sat Dec 3 14:03:25 2016 +0300

    sort plugin: port to libpeas
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=9710389abbab19c34d90e5bbf57b4c2b56565279
    https://git.gnome.org/browse/gedit/commit/?id=fa9f78d749f42a1588d7c7d449d6866ba2247278

 plugins/sort/pluma-sort-plugin.c | 214 ++++++++++++++++++++++++---------------
 plugins/sort/pluma-sort-plugin.h |  12 ++-
 2 files changed, 143 insertions(+), 83 deletions(-)

commit b43579beda637b155aab3bb4fa257f27cb88d75e
Author: monsta <monsta@inbox.ru>
Date:   Fri Dec 2 23:33:18 2016 +0300

    modelines plugin: port to libpeas
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=e1df93f3b827131d13178286cec365c8bbc0f075
    https://git.gnome.org/browse/gedit/commit/?id=aac1cb378359a69bdb4ac7f08578989e4a3b52d1

 plugins/modelines/pluma-modeline-plugin.c | 187 +++++++++++++++++++++---------
 plugins/modelines/pluma-modeline-plugin.h |  25 +++-
 2 files changed, 153 insertions(+), 59 deletions(-)

commit 3e00f9094c06fa43d768bd3268cb503d8e6a738b
Author: monsta <monsta@inbox.ru>
Date:   Fri Dec 2 19:46:49 2016 +0300

    filebrowser plugin: port to libpeas
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=6e8ef59b74a2f726f8a2a0ab1fa7f5c4aa6ac3f2
    https://git.gnome.org/browse/gedit/commit/?id=6cc3b4074bad0a775532216c82fa6ce6599bde2c
    https://git.gnome.org/browse/gedit/commit/?id=9103c5109d5f897c3cc0390fcf09c5a4713cf72f
    https://git.gnome.org/browse/gedit/commit/?id=e3d36ce46c795887fa449db7eba19b4cc949f714

 plugins/filebrowser/pluma-file-bookmarks-store.c |  15 +-
 plugins/filebrowser/pluma-file-bookmarks-store.h |   2 +-
 plugins/filebrowser/pluma-file-browser-plugin.c  | 275 +++++++++++++----------
 plugins/filebrowser/pluma-file-browser-plugin.h  |  17 +-
 plugins/filebrowser/pluma-file-browser-store.c   |  22 +-
 plugins/filebrowser/pluma-file-browser-store.h   |   2 +-
 plugins/filebrowser/pluma-file-browser-view.c    |  15 +-
 plugins/filebrowser/pluma-file-browser-view.h    |   2 +-
 plugins/filebrowser/pluma-file-browser-widget.c  |  15 +-
 plugins/filebrowser/pluma-file-browser-widget.h  |   2 +-
 10 files changed, 230 insertions(+), 137 deletions(-)

commit 9ca3dda49113bcc40b726ebf51db7f07d69e96ad
Author: monsta <monsta@inbox.ru>
Date:   Fri Dec 2 15:08:35 2016 +0300

    docinfo plugin: port to libpeas
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=c950fdf896b89f77cc7e9c065df33e2952f43165
    https://git.gnome.org/browse/gedit/commit/?id=e97c74342d9836ab21677f31d15a7edb574ea74a
    https://git.gnome.org/browse/gedit/commit/?id=8f6d93bc0730e0a5b6254a0458bf34168f6ee6a2

 plugins/docinfo/pluma-docinfo-plugin.c | 238 +++++++++++++++++++++------------
 plugins/docinfo/pluma-docinfo-plugin.h |  12 +-
 2 files changed, 160 insertions(+), 90 deletions(-)

commit c475e25a50537301f95606a4b09f4951ccd592a7
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 1 23:02:38 2016 +0300

    changecase plugin: port to libpeas
    
    mostly adapted from:
    https://git.gnome.org/browse/gedit/commit/?id=0ecd2454c85bdb68968aa2c1500d63f48f9c8349
    https://git.gnome.org/browse/gedit/commit/?id=3e1e1c725679392a3a6c8219fc921c21c0041089
    https://git.gnome.org/browse/gedit/commit/?id=111d6d0c3388849efe7f44580e713e034d554b81

 plugins/changecase/pluma-changecase-plugin.c | 172 ++++++++++++++++++++-------
 plugins/changecase/pluma-changecase-plugin.h |  15 ++-
 2 files changed, 137 insertions(+), 50 deletions(-)

commit 52fd78ddfcbe35507aee9122fed0f18c99407c89
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 1 21:42:01 2016 +0300

    port plugin system to libpeas
    
    backported from gedit with a few changes
    
    upstream commits for reference:
    https://git.gnome.org/browse/gedit/commit/?id=dbc98da7fda69981e61c5764af50c72b756eb2cc
    https://git.gnome.org/browse/gedit/commit/?id=2ae732a53ef08145c06909dc675134573c8c2e6d
    https://git.gnome.org/browse/gedit/commit/?id=6cd4936fb3aa6ca44a7c85888c6aad6c02b0f983
    https://git.gnome.org/browse/gedit/commit/?id=041399d3d09389f951af8db4f5b83d142a9ebe55
    https://git.gnome.org/browse/gedit/commit/?id=da46f5d6cd9b727e23ec0ae79bb0a78419bb1363
    https://git.gnome.org/browse/gedit/commit/?id=1d56b827f14096891bb03dbd5e8211fdad1331ad
    https://git.gnome.org/browse/gedit/commit/?id=e63de5a2396a56eeba46479a54628843538da29e

 configure.ac                             |   2 +
 data/pluma.pc.in                         |   2 +-
 pluma/Makefile.am                        |  11 -
 pluma/dialogs/pluma-preferences-dialog.c |   4 +-
 pluma/pluma-dirs.c                       |  14 +-
 pluma/pluma-dirs.h                       |   3 +-
 pluma/pluma-plugins-engine.c             | 808 ++-----------------------------
 pluma/pluma-plugins-engine.h             |  45 +-
 pluma/pluma-prefs-manager-app.c          |  26 -
 pluma/pluma-window-private.h             |   3 +
 pluma/pluma-window.c                     |  76 ++-
 11 files changed, 122 insertions(+), 872 deletions(-)

commit 0389542290dc655a68cc352df12bd76ac796bbc7
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 1 21:17:03 2016 +0300

    remove some extra spaces

 pluma/pluma-window-private.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 097fd1cd1a33995667dc51efbd761136108e1486
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 1 17:04:54 2016 +0300

    drop "Since: 2.xx" notes from comments - leftovers from gnome
    
    they cause warnings during generation of docs

 pluma/pluma-document.c     | 4 ----
 pluma/pluma-message-bus.c  | 3 ---
 pluma/pluma-message-type.c | 3 ---
 pluma/pluma-message.c      | 3 ---
 4 files changed, 13 deletions(-)

commit 81d9f88c84fa206e1a7a670442b11f4a14dd7ccb
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 1 17:01:00 2016 +0300

    pluma-window: remove unused function

 docs/reference/pluma-sections.txt |  1 -
 pluma/pluma-window.c              | 28 ----------------------------
 pluma/pluma-window.h              |  3 ---
 3 files changed, 32 deletions(-)

commit eee4c1d2a7c2673ecfff58daa01fc3a0ecf5d39a
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 1 16:31:13 2016 +0300

    remove a couple of invalid annotations

 pluma/pluma-commands-file.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit b9a3360ee86441189c8091836dae6d1e97544db8
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 1 16:05:41 2016 +0300

    fix some introspection warnings

 pluma/pluma-app.c                 |  8 ++++----
 pluma/pluma-document.c            | 19 ++++++++++++++++---
 pluma/pluma-file-chooser-dialog.c |  2 +-
 pluma/pluma-message-bus.c         | 12 ++++++------
 pluma/pluma-message-type.c        |  6 +++---
 pluma/pluma-message.c             |  4 ++--
 pluma/pluma-status-combo-box.c    |  6 ++++++
 pluma/pluma-tab.c                 |  6 +++---
 pluma/pluma-utils.c               | 19 ++++++++++++++++++-
 pluma/pluma-window.c              | 24 ++++++++++++------------
 10 files changed, 71 insertions(+), 35 deletions(-)

commit a4dcd9177a32626929783b3920d660782d89bf01
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 1 14:18:33 2016 +0300

    build GObject introspection data
    
    mostly adapted from eom and from this upstream commit:
    https://git.gnome.org/browse/gedit/commit/?id=58921206b7dea94d0ec0359dc43de94745f2a19e

 configure.ac      | 11 +++++++++++
 pluma/Makefile.am | 38 +++++++++++++++++++++++++++++++-------
 pluma/pluma.c     |  8 ++++++++
 3 files changed, 50 insertions(+), 7 deletions(-)

commit 346618b16b111afcb8687d301e344e229ce7fa0c
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 28 17:32:12 2016 +0300

    README: update info on patches

 README | 14 ++------------
 1 file changed, 2 insertions(+), 12 deletions(-)

commit 165fe0f298c5e2a3d53670d9c1a40294ed424329
Author: monsta <monsta@inbox.ru>
Date:   Sun Nov 27 22:10:09 2016 +0300

    remove compile-time check for unused function

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit caa00774163777f00ea1694bd99e4c749e6fb15a
Author: monsta <monsta@inbox.ru>
Date:   Sun Nov 27 21:30:01 2016 +0300

    remove useless function

 pluma/pluma-utils.c | 10 ----------
 pluma/pluma-utils.h |  2 --
 2 files changed, 12 deletions(-)

commit 2314b3828cbe540d65ba517c32872476417501a6
Author: V.Barkov <neverscaired@gmail.com>
Date:   Thu Nov 24 20:18:27 2016 +0300

    Fixed formatting [2]

 pluma/dialogs/pluma-search-dialog.c |  12 +--
 pluma/dialogs/pluma-search-dialog.h |   2 +-
 pluma/pluma-document.c              | 171 +++++++++++++++++-----------------
 pluma/pluma-document.h              |   4 +-
 pluma/pluma-utils.c                 | 180 ++++++++++++++++++------------------
 pluma/pluma-utils.h                 |  11 +--
 6 files changed, 190 insertions(+), 190 deletions(-)

commit 9f79aa764fa8b31b204f79ca452502204bbfa09d
Author: V.Barkov <neverscaired@gmail.com>
Date:   Wed Nov 23 21:36:51 2016 +0300

    Fixed code formatting

 pluma/pluma-commands-search.c | 77 +++++++++++++++++++++----------------------
 1 file changed, 38 insertions(+), 39 deletions(-)

commit 29f4e11f08ef02d6a3c6623b8a445502e3e98ed6
Author: V.Barkov <neverscaired@gmail.com>
Date:   Sun Nov 20 19:28:02 2016 +0300

    Implemented "replace all" behavior for regexp

 pluma/pluma-commands-search.c |  3 +++
 pluma/pluma-document.c        | 37 ++++++++++++++++++++++++-------------
 2 files changed, 27 insertions(+), 13 deletions(-)

commit 975393b8de593f6f6cab3cc12cfce0f34c475706
Author: V.Barkov <neverscaired@gmail.com>
Date:   Sun Nov 20 18:55:14 2016 +0300

    Implemented replacement by regexp

 pluma/pluma-commands-search.c | 48 +++++++++++++++++++++++++++++++------------
 1 file changed, 35 insertions(+), 13 deletions(-)

commit 206d27c66761cedebec8bedcaa91bf9f08846095
Author: V.Barkov <neverscaired@gmail.com>
Date:   Sun Nov 20 09:36:10 2016 +0300

    Implemented regexp finding

 pluma/dialogs/pluma-search-dialog.c  |  20 +++++
 pluma/dialogs/pluma-search-dialog.h  |   4 +
 pluma/dialogs/pluma-search-dialog.ui |  27 +++++-
 pluma/pluma-commands-search.c        |   3 +
 pluma/pluma-document.c               | 165 ++++++++++++++++++++---------------
 pluma/pluma-document.h               |   8 +-
 pluma/pluma-utils.c                  |  95 ++++++++++++++++++++
 pluma/pluma-utils.h                  |   9 ++
 8 files changed, 255 insertions(+), 76 deletions(-)

commit 49be92055f3f3319b9149b991d5b55a5ba99d453
Author: monsta <monsta@inbox.ru>
Date:   Thu Nov 10 13:26:12 2016 +0300

    release 1.17.0

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit e0dae8d7410d5e3395eb7fcce2439e65bdce812a
Author: monsta <monsta@inbox.ru>
Date:   Thu Nov 10 13:22:41 2016 +0300

    exclude Python plugins from dist (it breaks distcheck)

 plugins/Makefile.am | 4 ----
 1 file changed, 4 deletions(-)

commit 1637717b37641881d68d3b9d07a4fa2338ea19f5
Author: monsta <monsta@inbox.ru>
Date:   Thu Nov 10 13:21:54 2016 +0300

    exclude Python plugins from translations (it breaks distcheck)

 po/POTFILES.in   | 27 ---------------------------
 po/POTFILES.skip | 27 +++++++++++++++++++++++++++
 2 files changed, 27 insertions(+), 27 deletions(-)

commit f43508f2711c3c9f642177219ed9ef15ed79dd60
Author: monsta <monsta@inbox.ru>
Date:   Thu Nov 10 12:08:58 2016 +0300

    sync with Transifex

 po/ar.po |  45 +++++++++++++-------------
 po/bg.po |  23 ++++++-------
 po/bs.po | 111 ++++++++++++++++++++++++++++++++-------------------------------
 po/ca.po |   4 +--
 po/fi.po |   7 ++--
 po/ro.po |   4 +--
 po/sl.po |   9 +++---
 po/sv.po |   7 ++--
 8 files changed, 108 insertions(+), 102 deletions(-)

commit 4c06cb5cd0859067769dac1317682d430b18cc78
Author: monsta <monsta@inbox.ru>
Date:   Sun Nov 6 14:43:26 2016 +0300

    move to GTK+3 (>= 3.14), drop GTK+2 code and --with-gtk build option

 Makefile.am                                     |   3 +-
 NEWS                                            |   3 +
 README                                          |   2 +-
 configure.ac                                    |  32 +--
 data/pluma-bugreport.sh.in                      |   3 +-
 data/pluma.pc.in                                |   2 +-
 plugins/filebrowser/pluma-file-browser-utils.c  |   6 +-
 plugins/filebrowser/pluma-file-browser-view.c   |  23 +-
 plugins/filebrowser/pluma-file-browser-widget.c |  34 +--
 plugins/filebrowser/pluma-file-browser-widget.h |   8 -
 plugins/modelines/modeline-parser.c             |   3 -
 plugins/modelines/modeline-parser.h             |   2 +-
 plugins/spell/pluma-spell-utils.c               |   2 +-
 plugins/taglist/pluma-taglist-plugin-panel.c    |  31 +--
 plugins/taglist/pluma-taglist-plugin-panel.h    |   8 -
 pluma/dialogs/Makefile.am                       |   1 -
 pluma/dialogs/pluma-close-confirmation-dialog.c |  33 +--
 pluma/dialogs/pluma-preferences-dialog.c        |   2 -
 pluma/dialogs/pluma-search-dialog-gtk3.ui       | 272 ------------------------
 pluma/dialogs/pluma-search-dialog.c             |  37 +---
 pluma/dialogs/pluma-search-dialog.ui            | 212 +++++++++---------
 pluma/pluma-close-button.c                      |  55 -----
 pluma/pluma-commands-search.c                   |   7 +-
 pluma/pluma-document.c                          | 111 ----------
 pluma/pluma-document.h                          |   2 +-
 pluma/pluma-documents-panel.c                   |  10 -
 pluma/pluma-documents-panel.h                   |   8 -
 pluma/pluma-file-chooser-dialog.c               |  17 +-
 pluma/pluma-io-error-message-area.c             |  47 +---
 pluma/pluma-language-manager.c                  |   7 -
 pluma/pluma-language-manager.h                  |   2 +-
 pluma/pluma-panel.c                             |  52 +----
 pluma/pluma-panel.h                             |   8 -
 pluma/pluma-plugin-manager.c                    |  13 --
 pluma/pluma-plugin-manager.h                    |   8 -
 pluma/pluma-prefs-manager-app.c                 |   8 -
 pluma/pluma-prefs-manager.h                     |   2 +-
 pluma/pluma-print-job.c                         |   6 +-
 pluma/pluma-print-preview.c                     |  93 +-------
 pluma/pluma-print-preview.h                     |   9 +-
 pluma/pluma-progress-message-area.c             |  13 +-
 pluma/pluma-status-combo-box.c                  |  54 +----
 pluma/pluma-statusbar.c                         |  17 +-
 pluma/pluma-style-scheme-manager.c              |  15 --
 pluma/pluma-style-scheme-manager.h              |   2 +-
 pluma/pluma-tab-label.c                         |  17 +-
 pluma/pluma-tab-label.h                         |   8 -
 pluma/pluma-tab.c                               |  25 +--
 pluma/pluma-tab.h                               |   8 -
 pluma/pluma-utils.c                             |  12 --
 pluma/pluma-view.c                              |  83 +-------
 pluma/pluma-view.h                              |   2 +-
 pluma/pluma-window.c                            |  39 +---
 pluma/smclient/eggsmclient-private.h            |   3 -
 pluma/smclient/eggsmclient-xsmp.c               |  21 +-
 po/POTFILES.in                                  |   1 -
 56 files changed, 176 insertions(+), 1328 deletions(-)

commit 65371f53dbb06180b750dad7c19e7bcf0f8651d6
Author: monsta <monsta@inbox.ru>
Date:   Sun Nov 6 14:42:18 2016 +0300

    drop Python plugins support and --enable-python build option
    
    it requires PyGTK so won't even build with GTK+3
    
    but keep plugins themselves for future porting to libpeas

 README                                             |    9 +-
 autogen.sh                                         |    1 -
 configure.ac                                       |  132 --
 data/pluma-bugreport.sh.in                         |   22 +-
 docs/reference/Makefile.am                         |   10 -
 m4/python.m4                                       |   62 -
 plugin-loaders/Makefile.am                         |    4 -
 plugin-loaders/python/Makefile.am                  |   36 -
 plugin-loaders/python/bindings/Makefile.am         |  115 --
 plugin-loaders/python/bindings/pluma.defs          | 1461 --------------------
 plugin-loaders/python/bindings/pluma.override      |  461 ------
 plugin-loaders/python/bindings/plumacommands.defs  |   45 -
 .../python/bindings/plumacommands.override         |  122 --
 .../python/bindings/plumamessage.override          |  556 --------
 .../python/bindings/plumaplugin.override           |  193 ---
 plugin-loaders/python/bindings/plumautils.defs     |   67 -
 plugin-loaders/python/bindings/plumautils.override |   85 --
 plugin-loaders/python/pluma-plugin-loader-python.c |  719 ----------
 plugin-loaders/python/pluma-plugin-loader-python.h |   61 -
 plugin-loaders/python/pluma-plugin-python.c        |  281 ----
 plugin-loaders/python/pluma-plugin-python.h        |   88 --
 plugins/Makefile.am                                |    5 +-
 pluma/pluma-plugin-info-priv.h                     |    3 +-
 tools/plugin_template/pluma-plugin.desktop.in      |    3 -
 24 files changed, 5 insertions(+), 4536 deletions(-)

commit 7dd02941b3647477dfe0cf8177c2eeff8bfe7b84
Author: monsta <monsta@inbox.ru>
Date:   Mon Oct 24 18:10:42 2016 +0300

    remove +x attribute from .ui files

 pluma/dialogs/pluma-encodings-dialog.ui   | 0
 pluma/dialogs/pluma-preferences-dialog.ui | 0
 pluma/dialogs/pluma-search-dialog.ui      | 0
 3 files changed, 0 insertions(+), 0 deletions(-)

commit 1df2f59b9c15712e2652a7fc9c13dee88f84db8c
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Sep 19 08:06:53 2016 +0200

    release 1.16.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 15a676f32126c067b755f16929cbcbace9cc1780
Author: monsta <monsta@inbox.ru>
Date:   Sun Sep 18 23:11:28 2016 +0300

    update NEWS for 1.16

 NEWS | 45 ++++++++++++---------------------------------
 1 file changed, 12 insertions(+), 33 deletions(-)

commit df5fc2ebddf074fe4a81e0b17a3911594be45d68
Author: monsta <monsta@inbox.ru>
Date:   Sun Sep 18 22:46:34 2016 +0300

    sync with Transifex

 po/lt.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit d30d32963a3b998f7ebe0df8019d132deecef95a
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Sep 1 23:20:40 2016 +0200

    release 1.15.2

 NEWS | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit e1bb8a085985b8feb664ef9caeb7ac98656d181a
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Sep 1 22:27:58 2016 +0200

    sync with transiflex

 po/af.po          | 184 +++++++++++-----------
 po/am.po          | 184 +++++++++++-----------
 po/ar.po          | 191 +++++++++++------------
 po/as.po          | 184 +++++++++++-----------
 po/ast.po         | 184 +++++++++++-----------
 po/az.po          | 184 +++++++++++-----------
 po/be.po          | 184 +++++++++++-----------
 po/bg.po          | 184 +++++++++++-----------
 po/bn.po          | 184 +++++++++++-----------
 po/bn_IN.po       | 184 +++++++++++-----------
 po/br.po          | 184 +++++++++++-----------
 po/bs.po          | 184 +++++++++++-----------
 po/ca.po          | 266 ++++++++++++++++----------------
 po/ca@valencia.po | 451 +++++++++++++++++++++++++++---------------------------
 po/cmn.po         | 184 +++++++++++-----------
 po/crh.po         | 184 +++++++++++-----------
 po/cs.po          | 184 +++++++++++-----------
 po/cy.po          | 184 +++++++++++-----------
 po/da.po          | 184 +++++++++++-----------
 po/de.po          | 184 +++++++++++-----------
 po/dz.po          | 184 +++++++++++-----------
 po/el.po          | 207 ++++++++++++-------------
 po/en_AU.po       | 186 +++++++++++-----------
 po/en_CA.po       | 184 +++++++++++-----------
 po/en_GB.po       | 184 +++++++++++-----------
 po/eo.po          | 184 +++++++++++-----------
 po/es.po          | 188 +++++++++++------------
 po/es_AR.po       | 184 +++++++++++-----------
 po/es_CO.po       | 201 ++++++++++++------------
 po/es_MX.po       | 184 +++++++++++-----------
 po/et.po          | 184 +++++++++++-----------
 po/eu.po          | 184 +++++++++++-----------
 po/fa.po          | 184 +++++++++++-----------
 po/fi.po          | 184 +++++++++++-----------
 po/fr.po          | 184 +++++++++++-----------
 po/ga.po          | 184 +++++++++++-----------
 po/gl.po          | 184 +++++++++++-----------
 po/gu.po          | 184 +++++++++++-----------
 po/he.po          | 184 +++++++++++-----------
 po/hi.po          | 184 +++++++++++-----------
 po/hr.po          | 184 +++++++++++-----------
 po/hu.po          | 184 +++++++++++-----------
 po/hy.po          | 184 +++++++++++-----------
 po/id.po          | 184 +++++++++++-----------
 po/is.po          | 184 +++++++++++-----------
 po/it.po          | 184 +++++++++++-----------
 po/ja.po          | 186 +++++++++++-----------
 po/ka.po          | 184 +++++++++++-----------
 po/kk.po          | 184 +++++++++++-----------
 po/kn.po          | 184 +++++++++++-----------
 po/ko.po          | 184 +++++++++++-----------
 po/ku.po          | 184 +++++++++++-----------
 po/ky.po          | 184 +++++++++++-----------
 po/la.po          | 184 +++++++++++-----------
 po/lt.po          | 222 +++++++++++++--------------
 po/lv.po          | 184 +++++++++++-----------
 po/mai.po         | 184 +++++++++++-----------
 po/mg.po          | 184 +++++++++++-----------
 po/mi.po          | 184 +++++++++++-----------
 po/mk.po          | 184 +++++++++++-----------
 po/ml.po          | 184 +++++++++++-----------
 po/mn.po          | 184 +++++++++++-----------
 po/mr.po          | 184 +++++++++++-----------
 po/ms.po          | 184 +++++++++++-----------
 po/nb.po          | 184 +++++++++++-----------
 po/nds.po         | 184 +++++++++++-----------
 po/ne.po          | 184 +++++++++++-----------
 po/nl.po          | 184 +++++++++++-----------
 po/nn.po          | 184 +++++++++++-----------
 po/oc.po          | 184 +++++++++++-----------
 po/or.po          | 184 +++++++++++-----------
 po/pa.po          | 184 +++++++++++-----------
 po/pl.po          | 184 +++++++++++-----------
 po/pms.po         | 184 +++++++++++-----------
 po/ps.po          | 184 +++++++++++-----------
 po/pt.po          | 193 +++++++++++------------
 po/pt_BR.po       | 186 +++++++++++-----------
 po/ro.po          | 184 +++++++++++-----------
 po/ru.po          | 184 +++++++++++-----------
 po/rw.po          | 184 +++++++++++-----------
 po/si.po          | 184 +++++++++++-----------
 po/sk.po          | 206 ++++++++++++-------------
 po/sl.po          | 184 +++++++++++-----------
 po/sq.po          | 184 +++++++++++-----------
 po/sr.po          | 184 +++++++++++-----------
 po/sr@latin.po    | 184 +++++++++++-----------
 po/sv.po          | 184 +++++++++++-----------
 po/ta.po          | 184 +++++++++++-----------
 po/te.po          | 184 +++++++++++-----------
 po/th.po          | 184 +++++++++++-----------
 po/tk.po          | 184 +++++++++++-----------
 po/tr.po          | 184 +++++++++++-----------
 po/uk.po          | 184 +++++++++++-----------
 po/ur.po          | 184 +++++++++++-----------
 po/uz.po          | 184 +++++++++++-----------
 po/vi.po          | 184 +++++++++++-----------
 po/wa.po          | 184 +++++++++++-----------
 po/xh.po          | 184 +++++++++++-----------
 po/zh_CN.po       | 184 +++++++++++-----------
 po/zh_HK.po       | 184 +++++++++++-----------
 po/zh_TW.po       | 184 +++++++++++-----------
 101 files changed, 9533 insertions(+), 9526 deletions(-)

commit 83c8a810cef814f6ca4684ad708fbe85cfb28e31
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 19:38:29 2016 +0200

    GTK+-3.0 print-preview: avoid deprecated GtkStock icons for the toolbar

 pluma/pluma-print-preview.c | 37 ++++++++++++++++++++++++++++++++++++-
 1 file changed, 36 insertions(+), 1 deletion(-)

commit fb885a4c1f95a4dec65edcf832ada92b90faacc9
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 16:31:13 2016 +0200

    po: add missing pluma-search-dialog-gtk3.ui

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 97aac9d4fb2a2b8ff5f2849b4d0b8c19590e7984
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 16:28:59 2016 +0200

    search-dialog UI: install both UI files to avoid distcheck failure in po folder
    
    using --with-gtk=2.0/3.0 will only install one UI file if WITH_GTK3 is used,
    for ui_DATA in make file.
    ui_DATA is in EXTRA_DIST but will only have one UI file, defined by WITH_GTK3 check.

 configure.ac              | 2 --
 pluma/dialogs/Makefile.am | 8 +-------
 2 files changed, 1 insertion(+), 9 deletions(-)

commit f277a4e29304aa83d1ede7f6d6481d1c3217781e
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 14:37:17 2016 +0200

    GTK+-3 print-preview: don't use deprecated gtk_adjustment_value_changed()
    
    When set_value() is called the signal is emitted.
    
    taken from:
    https://git.gnome.org/browse/gedit/commit/?id=ed97b92

 pluma/pluma-print-preview.c | 2 ++
 1 file changed, 2 insertions(+)

commit 3122424b75f05c522586bb7ced6a6bb638c5deb5
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 14:30:54 2016 +0200

    GTK+-3 print-preview: avoid deprecated gtk_layout_get_{h/v}adjustment
    
    replace it with gtk_scrollable_get_{h/v}adjustment

 pluma/pluma-print-preview.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 222cefd36299d85575c3f11f5224b2241b325215
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 11:32:07 2016 +0200

    GTK+-3 search-dialog: add pluma-search-dialog-gtk3.ui
    
    replace depreprecated widgets from old UI file

 configure.ac                              |   2 +
 pluma/dialogs/Makefile.am                 |   7 +
 pluma/dialogs/pluma-search-dialog-gtk3.ui | 272 ++++++++++++++++++++++++++++++
 3 files changed, 281 insertions(+)

commit 1e8bf706b84d011d0b1399c7f9533a446c85f483
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 11:29:40 2016 +0200

    GTK+-3 search-dialog: port GtkTable to GtkGrid
    
    taken from:
    https://git.gnome.org/browse/gedit/commit/?id=e19c39e

 pluma/dialogs/pluma-search-dialog.c | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

commit ae9e1b41e01db427feb699f14efe9f8886432d51
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 29 21:13:15 2016 +0200

    GTK+-3 pluma-window: use gdk_device_get_position
    
    taken from:
    https://git.gnome.org/browse/gedit/commit/?id=66ce4ca
    https://git.gnome.org/browse/gedit/commit/?id=c48ab83

 pluma/pluma-window.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 56bd0058b6c19b7c13574d548f6d6dbdbe81448b
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 29 20:28:46 2016 +0200

    GTK+-3.20 pluma-document: avoid deprecated gtk_text_iter_begins_tag

 pluma/pluma-document.c | 4 ++++
 1 file changed, 4 insertions(+)

commit e12d27ec69532e490a6b293cd44c11796b19b222
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 29 19:58:04 2016 +0200

    GTK+-3 close button: style context fix
    
    maybe i will drop this!
    
    taken from:
    https://git.gnome.org/browse/gedit/commit/?id=df3ce63

 pluma/pluma-close-button.c | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

commit 7a70386db636b3e8953eb3d1987d5bacbe6f47a5
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 29 18:43:56 2016 +0200

    GTK+-3: Port PlumaCloseButton to the new GtkStyleContext
    
    taken from:
    https://git.gnome.org/browse/gedit/commit/?id=0b2b59
    https://git.gnome.org/browse/gedit/commit/?id=6c40ec

 pluma/pluma-close-button.c | 59 ++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 55 insertions(+), 4 deletions(-)

commit 355749324c3e01d7d3ba63215a20ccee36b2f285
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 29 17:48:43 2016 +0200

    GTK+-3: Port PlumaStatusComboBox to the new GtkStyleContext
    
    taken from:
    https://git.gnome.org/browse/gedit/commit/?h=gnome-3-0&id=054bd40
    https://git.gnome.org/browse/gedit/commit/?h=gnome-3-0&id=0b2b59f

 pluma/pluma-status-combo-box.c | 50 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)

commit b77567c429b4714d7f0147fc3628cf11288c7dbb
Author: monsta <monsta@inbox.ru>
Date:   Fri Aug 12 22:02:42 2016 +0300

    fix indent a bit

 pluma/pluma-tab.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e9b5711bc16331ee7de21573f82999053131a9ff
Author: John Church <sleeveroller@gmail.com>
Date:   Wed Jul 20 16:36:21 2016 +0100

    When 'Always autocheck' option is selected turn on Autocheck for new documents

 plugins/spell/pluma-spell-plugin.c | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

commit 01e91d300b73e178130cf41d5356122bb8146212
Author: John Church <sleeveroller@gmail.com>
Date:   Thu Jul 21 13:41:37 2016 +0100

    tab: restore the cursor and scroll in an idle.
    
    Fix bug where the document doesn't always scroll to the restored cursor position.
    The reason for this is that after the doc is loaded the text view is still working relocating
    so we wait until the text view gives us some priority to actually scroll.

 pluma/pluma-tab.c | 26 ++++++++++++++++++++++++--
 1 file changed, 24 insertions(+), 2 deletions(-)

commit 6bc0736d75b206bb3857bf52f38720a5a85515d6
Author: monsta <monsta@inbox.ru>
Date:   Mon Aug 1 10:31:00 2016 +0300

    update copyright

 pluma/pluma-commands-help.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df6131a532c8332d9a36e04f08a718662fe1d3a2
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 15:40:20 2016 +0200

    GTK+-3 taglist-plugin-panel: avoid deprecated gtk_tree_view_set_rules_hint

 plugins/taglist/pluma-taglist-plugin-panel.c | 2 ++
 1 file changed, 2 insertions(+)

commit f04352fb643edd822eb71b59dd0ed8e7a3dd77a0
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 15:22:54 2016 +0200

    pre-bump version

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit cf2cb256d26a69e7a0d922fcbd6912c8cac16ab7
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 15:18:54 2016 +0200

    GTK+-3 pluma-window: avoid deprecated gtk_[h|v]paned_new
    
    replace it with gtk_paned_new ()

 pluma/pluma-window.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 213b8927e2be917191e100661410ef4facd7d3a3
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 14:49:45 2016 +0200

    GTK+-3: avoid deprecated gtk_icon_info_free ()
    
    replace it with g_object_unref ()

 plugins/filebrowser/pluma-file-browser-utils.c | 4 ++++
 pluma/pluma-tab.c                              | 4 ++++
 2 files changed, 8 insertions(+)

commit 75263e708b69711eafec10ede52a31edbb4e2450
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 29 17:19:02 2016 +0200

    GTK+-3: do not use deprecated gtk_widget_modify_font

 pluma/pluma-view.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 46c3867de5bcdb6abd83724fb6b4654bad21ef75
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 13:43:39 2016 +0200

    GTK+-3 plugin-manager: avoid deprecated gtk_tree_view_set_rules_hint

 pluma/pluma-plugin-manager.c | 2 ++
 1 file changed, 2 insertions(+)

commit c56155f057e08a6280f53553823952a15d5aded8
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 29 17:57:18 2016 +0200

    GTK+-3 status-combobox: do not use deprecated GtkArrow

 pluma/pluma-status-combo-box.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit a37f98c6c563be57039b0895351a1167cead6ecf
Author: monsta <monsta@inbox.ru>
Date:   Thu Jul 28 11:55:39 2016 +0300

    release 1.15.1

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 0309e46b72b82b2cc6d9a355442e61f70865719b
Author: monsta <monsta@inbox.ru>
Date:   Thu Jul 28 11:47:40 2016 +0300

    use GtkAboutDialog and get rid of build-dep on libmate-desktop

 configure.ac                | 23 -----------------------
 pluma/Makefile.am           |  4 +---
 pluma/pluma-commands-help.c |  7 -------
 3 files changed, 1 insertion(+), 33 deletions(-)

commit 26d006bed0a52e487c7ad80977481362822a2107
Author: monsta <monsta@inbox.ru>
Date:   Thu Jul 21 14:42:31 2016 +0300

    tests: define ACCESSPERMS if not defined
    
    taken from
    https://git.gnome.org/browse/gedit/commit/?id=de9e9716037a567bda012edda8d6f92f3cdd0ea2
    
    patch pointed out by @pyhalov
    closes https://github.com/mate-desktop/pluma/issues/189

 tests/document-saver.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 3be61ecc95b9c4fb5296eb443b4f758e4a22a653
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 15 22:31:10 2016 +0200

    distcheck: explicitly use currently selected GTK+ version

 Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit ce664a8c8d4c10974f814295cb38268191ac0d40
Author: monsta <monsta@inbox.ru>
Date:   Fri Jul 1 15:38:55 2016 +0300

    po: drop languages not present on Transifex

 po/LINGUAS     |    2 -
 po/be@latin.po | 5297 --------------------------------------------------------
 po/en@shaw.po  | 5067 -----------------------------------------------------
 3 files changed, 10366 deletions(-)

commit 2488b078eef4e6aee2cae183b56aaf9e7f3aa749
Author: monsta <monsta@inbox.ru>
Date:   Tue Jun 21 17:38:07 2016 +0300

    po: actually add a new language from Transifex

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 4e00171156b92654b7f509e0016a21654e98b3a6
Author: monsta <monsta@inbox.ru>
Date:   Fri Jun 10 16:46:39 2016 +0300

    remove one more ancient file, don't mention removed stuff in Makefile

 HACKING     | 57 ---------------------------------------------------------
 Makefile.am |  2 --
 2 files changed, 59 deletions(-)

commit 5cf11b7ee50c491b21e5c6196a6984fcf75cb682
Author: monsta <monsta@inbox.ru>
Date:   Fri Jun 10 16:38:46 2016 +0300

    remove ancient gnome news file

 NEWS.GNOME | 1350 ------------------------------------------------------------
 1 file changed, 1350 deletions(-)

commit 1b6720f589b2c57cc75af6b25cb91e79048fda55
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 7 23:44:01 2016 +0200

    release 1.15.0

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 28ff1962e51ac6d8ed350a8da393fc238c3b9701
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 7 23:40:47 2016 +0200

    sync with Transiflex

 po/ca.po    |    6 +-
 po/de.po    |   14 +-
 po/el.po    |   28 +-
 po/es.po    |    4 +-
 po/hu.po    |    2 +-
 po/ja.po    |    4 +-
 po/kn.po    |   37 +-
 po/ko.po    |    4 +-
 po/nb.po    |    6 +-
 po/pms.po   | 5001 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ru.po    |    2 +-
 po/sq.po    |   25 +-
 po/sv.po    |    7 +-
 po/uz.po    |  360 ++---
 po/zh_HK.po |   11 +-
 15 files changed, 5259 insertions(+), 252 deletions(-)

commit ec84660e48794e3278536c7b2fd1cf1feea5a962
Author: OBATA Akio <obache@users.noreply.github.com>
Date:   Sun Apr 10 17:38:22 2016 +0900

    plugins: Fix to install externaltools plugin only with Python
    
    It was accidentally changed to be installed unconditionally with
    "drop support for win32/osx".

 plugins/Makefile.am | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d93444dea92bfdc68768cf54b45db57506b6e486
Author: monsta <monsta@inbox.ru>
Date:   Wed Apr 6 14:12:05 2016 +0300

    fix NEWS + add missing 1.12.2 entries

 NEWS | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

commit 7c21efa8a35adcfeaeb52784f2a0874dcbf95a49
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 22:46:35 2016 +0200

    release 1.14.0

 NEWS         | 21 +++++++++------------
 configure.ac |  4 ++--
 2 files changed, 11 insertions(+), 14 deletions(-)

commit 9b48935a0ea7e9cc1ed4ad15acf6b40ef986056f
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 22:42:39 2016 +0200

    Fix Changelog generation

 Makefile.am | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

commit 25b248e3b9786abfd1938f09c54d6c82fc9fa2e2
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 22:41:08 2016 +0200

    add new languages and sync with transiflex

 po/LINGUAS        |    4 +
 po/af.po          | 1067 +++----
 po/am.po          | 1585 +++++------
 po/ar.po          | 1067 +++----
 po/as.po          | 1069 +++----
 po/ast.po         | 1069 +++----
 po/az.po          | 1082 ++++----
 po/be.po          |   36 +-
 po/bg.po          | 1077 ++++----
 po/bn.po          | 1069 +++----
 po/bn_IN.po       | 1069 +++----
 po/br.po          | 1958 ++++++-------
 po/bs.po          | 1065 +++----
 po/ca@valencia.po | 1069 +++----
 po/cmn.po         | 1071 +++----
 po/crh.po         | 1069 +++----
 po/cs.po          |    2 +-
 po/cy.po          | 1119 ++++----
 po/da.po          |   55 +-
 po/de.po          |    4 +-
 po/dz.po          | 1067 +++----
 po/el.po          | 1071 +++----
 po/en_CA.po       | 1067 +++----
 po/eo.po          | 1067 +++----
 po/es.po          |   15 +-
 po/es_AR.po       | 5001 +++++++++++++++++++++++++++++++++
 po/es_CO.po       | 5000 +++++++++++++++++++++++++++++++++
 po/es_MX.po       | 5000 +++++++++++++++++++++++++++++++++
 po/eu.po          | 1069 +++----
 po/fa.po          | 1065 +++----
 po/fi.po          | 1080 ++++----
 po/fr.po          |    2 +-
 po/ga.po          | 1067 +++----
 po/gl.po          | 1073 ++++----
 po/gu.po          | 1069 +++----
 po/hi.po          | 1069 +++----
 po/hr.po          | 1095 ++++----
 po/id.po          | 1084 ++++----
 po/ja.po          | 1069 +++----
 po/ka.po          | 1063 +++----
 po/kk.po          | 1063 +++----
 po/kn.po          | 1069 +++----
 po/ko.po          | 1075 ++++----
 po/ku.po          | 1065 +++----
 po/ky.po          | 1067 +++----
 po/la.po          | 5506 ++++++++++++++++++------------------
 po/lt.po          |  174 +-
 po/lv.po          | 1069 +++----
 po/mai.po         | 1069 +++----
 po/mg.po          | 1067 +++----
 po/mi.po          | 5570 ++++++++++++++++++++-----------------
 po/mk.po          | 1067 +++----
 po/ml.po          | 1069 +++----
 po/mn.po          | 1065 +++----
 po/mr.po          | 1067 +++----
 po/nb.po          |  138 +-
 po/nds.po         | 1067 +++----
 po/nn.po          | 1069 +++----
 po/oc.po          | 1087 ++++----
 po/or.po          | 1069 +++----
 po/pa.po          | 1069 +++----
 po/pl.po          | 1073 ++++----
 po/ps.po          | 1067 +++----
 po/pt.po          |    2 +-
 po/pt_BR.po       |   20 +-
 po/ro.po          | 1165 ++++----
 po/ru.po          |    2 +-
 po/rw.po          | 7969 +++++++++++++++++++++++++----------------------------
 po/si.po          | 1065 +++----
 po/sk.po          |   26 +-
 po/sl.po          | 1071 +++----
 po/sq.po          | 1073 ++++----
 po/sr.po          | 1061 +++----
 po/sr@latin.po    | 1069 +++----
 po/ta.po          | 1069 +++----
 po/te.po          | 1069 +++----
 po/tk.po          | 1065 +++----
 po/tr.po          | 1071 +++----
 po/uk.po          |  128 +-
 po/ur.po          | 1069 +++----
 po/uz.po          | 4986 +++++++++++++++++++++++++++++++++
 po/vi.po          | 1067 +++----
 po/wa.po          | 1065 +++----
 po/xh.po          | 1065 +++----
 po/zh_CN.po       |    6 +-
 po/zh_TW.po       | 1074 ++++----
 86 files changed, 65537 insertions(+), 44120 deletions(-)

commit 7672037708cd067cff57ffe0cae651d4b0618505
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Feb 21 23:50:48 2016 +0100

    release 1.13.1

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit ea6b821dda45b192f9932ca4bec4d8ee3a380676
Author: Martin Wimpress <code@flexion.org>
Date:   Fri Feb 19 14:24:31 2016 +0000

    Sync with Transifex

 po/be.po    | 1310 ++++++-------
 po/ca.po    | 1446 +++++++-------
 po/cs.po    | 1080 ++++++-----
 po/da.po    | 1091 +++++------
 po/de.po    | 1314 ++++++-------
 po/en_AU.po | 1064 ++++++-----
 po/en_GB.po | 1071 ++++++-----
 po/es.po    | 1091 +++++------
 po/et.po    | 1083 +++++------
 po/fr.po    | 1104 +++++------
 po/he.po    | 1072 ++++++-----
 po/hu.po    | 1076 ++++++-----
 po/hy.po    | 6078 +++++++++++++++++++++++++++++++---------------------------
 po/is.po    | 6143 ++++++++++++++++++++++++++++++++---------------------------
 po/it.po    | 1085 +++++------
 po/lt.po    | 1104 +++++------
 po/ms.po    | 1067 ++++++-----
 po/nb.po    | 1069 ++++++-----
 po/ne.po    | 1076 ++++++-----
 po/nl.po    | 1068 ++++++-----
 po/pt.po    | 1070 ++++++-----
 po/pt_BR.po | 1069 ++++++-----
 po/ru.po    | 1094 ++++++-----
 po/sk.po    | 1097 +++++------
 po/sv.po    | 1070 ++++++-----
 po/th.po    | 1138 +++++------
 po/uk.po    | 1256 ++++++------
 po/zh_CN.po | 1074 ++++++-----
 po/zh_HK.po | 1117 +++++------
 29 files changed, 21996 insertions(+), 20481 deletions(-)

commit 68665ebb450fb95e05e2b89b0477b8ebcb4977b2
Author: monsta <monsta@inbox.ru>
Date:   Wed Feb 17 11:15:21 2016 +0300

    plugins: some corrections for switch-c tool in external tools

 plugins/externaltools/data/switch-c.tool.in | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit 4d84579eace005ab4ab07646bc693da22c75bfc4
Author: monsta <monsta@inbox.ru>
Date:   Tue Feb 16 17:27:04 2016 +0300

    plugins: make switch-c tool in external tools work, fix issues
    
    - specify encoding to let the tool actually run
    - avoid shell command injection
    - update copyright
    
    thanks to @clefebvre for the fix

 plugins/externaltools/data/switch-c.tool.in | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 6da08950252f01626a4c39316890e6386e5a9f9e
Author: monsta <monsta@inbox.ru>
Date:   Fri Feb 12 12:17:22 2016 +0300

    plugins: use more generic icon name for python console plugin

 plugins/pythonconsole/pythonconsole.pluma-plugin.desktop.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7db910ced1b2222ba4aac989b1f0e8d46f3be221
Author: monsta <monsta@inbox.ru>
Date:   Wed Feb 10 16:25:51 2016 +0300

    plugins: don't use stock icon names

 plugins/quickopen/quickopen.pluma-plugin.desktop.in | 2 +-
 plugins/sort/sort.pluma-plugin.desktop.in           | 2 +-
 plugins/spell/spell.pluma-plugin.desktop.in         | 2 +-
 plugins/trailsave/trailsave.pluma-plugin.desktop.in | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit ed4904f97826bdda1d9c1cbbf15eadc1e8af846c
Author: monsta <monsta@inbox.ru>
Date:   Wed Feb 10 16:18:02 2016 +0300

    plugins: use correct icon name for python console plugin

 plugins/pythonconsole/pythonconsole.pluma-plugin.desktop.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f5d4b30cd6956000f09dd3261097d1a84c5c7e6
Author: Sorokin Alexei <sor.alexei@meowr.ru>
Date:   Wed Feb 10 15:38:02 2016 +0300

    Warnings fixes

 pluma/pluma-document-input-stream.c   | 4 ++--
 pluma/pluma-smart-charset-converter.c | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 1b313dd645030fc18dd37817a02705c41dde571e
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Feb 6 03:50:04 2016 +0100

    GTK+3: add style class pluma-window and pluma-print-preview

 pluma/pluma-print-preview.c | 4 ++++
 pluma/pluma-window.c        | 7 +++++++
 2 files changed, 11 insertions(+)

commit 9fce9762c9f16ebd20d3813975bc75d786380641
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 1 13:38:30 2016 +0300

    fix a few build warnings

 plugins/filebrowser/pluma-file-browser-widget.c | 3 ---
 pluma/pluma-gio-document-loader.c               | 4 ----
 pluma/pluma-prefs-manager.c                     | 2 +-
 pluma/pluma-progress-message-area.c             | 4 ----
 pluma/pluma-session.c                           | 4 ++--
 pluma/pluma-view.c                              | 2 +-
 pluma/pluma-window.c                            | 6 +++---
 7 files changed, 7 insertions(+), 18 deletions(-)

commit e60f2758c59659488b4b7a8b64e2e486e15e64ab
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 25 12:03:57 2016 +0100

    release 1.13.0

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 36bb31d79905271ca0fc853eeddf5d23ecd10de3
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 25 10:39:17 2016 +0100

    GTK3: another fix for GtkMisc deprecated commit

 plugins/taglist/pluma-taglist-plugin-panel.c |  2 +-
 pluma/pluma-panel.c                          | 11 +++++++----
 pluma/pluma-tab-label.c                      |  9 ++++++---
 3 files changed, 14 insertions(+), 8 deletions(-)

commit 9e3170e4b8de9b2120168b6de310ba839dc12072
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Jan 24 02:30:34 2016 +0100

    GTK3: fix previous GtkMisc deprecated commit

 plugins/spell/pluma-automatic-spell-checker.c   |  4 +-
 pluma/dialogs/pluma-close-confirmation-dialog.c | 30 +++++----
 pluma/pluma-file-chooser-dialog.c               |  8 +--
 pluma/pluma-io-error-message-area.c             | 85 +++++++++++++------------
 pluma/pluma-panel.c                             | 10 +--
 pluma/pluma-plugin-manager.c                    |  4 +-
 pluma/pluma-progress-message-area.c             |  8 +--
 pluma/pluma-status-combo-box.c                  |  8 +--
 8 files changed, 82 insertions(+), 75 deletions(-)

commit 9d1bf65037d56ced8c3d4396902e83e286222914
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Fri Jan 22 17:05:28 2016 -0500

    Implement middle-click tab closing (#143)

 pluma/pluma-notebook.c | 2 +-
 pluma/pluma-window.c   | 7 +++++++
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 4ff576d7f43a1c9061998eab09f2211bbc71119d
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 5 03:41:41 2016 +0100

    pre-bump version to 1.13.0

 NEWS         | 3 +++
 configure.ac | 4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit e24d28ce22b51ead400bdc010e95317514be7c91
Author: Monsta <monsta@inbox.ru>
Date:   Sun Jan 3 01:36:21 2016 +0300

    drop MateConf migration script

 data/Makefile.am   |  4 ----
 data/pluma.convert | 47 -----------------------------------------------
 2 files changed, 51 deletions(-)

commit f6c11fba66173533e845c2b448b0b1bcb33cd0f1
Author: Monsta <monsta@inbox.ru>
Date:   Sat Jan 2 15:50:00 2016 +0300

    fix typo
    
    closes https://github.com/mate-desktop/pluma/issues/167

 pluma/pluma-commands-search.c | 2 +-
 pluma/pluma-document.c        | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 371aa737077c3b0ce72693c0f99f26653c033959
Author: Monsta <monsta@inbox.ru>
Date:   Fri Dec 25 13:34:05 2015 +0300

    view: fix incremental search entry color when text isn't found (GTK+3)
    
    color and bg color depend on theme, so it won't always be white-on-red
    as in GTK+2 build

 pluma/pluma-view.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit e40f2501308a1edd71bc555f7f227d06cd083f34
Author: Monsta <monsta@inbox.ru>
Date:   Fri Dec 25 12:36:43 2015 +0300

    view: use "entry state" term, not "entry background"

 pluma/pluma-view.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit fa1422db50c6b1c7bb5264aa94134cfc2b4da5be
Author: monsta <monsta@inbox.ru>
Date:   Fri Dec 25 11:58:58 2015 +0300

    fix possible use-after-free during incremental search
    
    adapted from
    https://git.gnome.org/browse/gedit/commit/?id=f8508ca201e7d16fa5e18a6130f456fdd3fc0c99

 pluma/pluma-view.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 25f5476b07bbb9445387438eebc0e0ab987ceaa0
Author: monsta <monsta@inbox.ru>
Date:   Fri Dec 25 11:32:29 2015 +0300

    view: remove dead code

 pluma/pluma-view.c | 5 -----
 1 file changed, 5 deletions(-)

commit 709cddc1f4363a8996eb4dee56fc753699395e5f
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 24 12:11:01 2015 +0300

    remove unneeded 'x' attribute from non-executable files

 plugins/Makefile.am                                          | 0
 plugins/docinfo/Makefile.am                                  | 0
 plugins/docinfo/docinfo.pluma-plugin.desktop.in              | 0
 plugins/docinfo/docinfo.ui                                   | 0
 plugins/docinfo/pluma-docinfo-plugin.c                       | 0
 plugins/docinfo/pluma-docinfo-plugin.h                       | 0
 plugins/externaltools/Makefile.am                            | 0
 plugins/externaltools/data/Makefile.am                       | 0
 plugins/externaltools/data/build.desktop.in                  | 0
 plugins/externaltools/data/build.tool.in                     | 0
 plugins/externaltools/data/open-terminal-here.desktop.in     | 0
 plugins/externaltools/data/open-terminal-here.tool.in        | 0
 plugins/externaltools/data/remove-trailing-spaces.desktop.in | 0
 plugins/externaltools/data/remove-trailing-spaces.tool.in    | 0
 plugins/externaltools/data/run-command.desktop.in            | 0
 plugins/externaltools/data/run-command.tool.in               | 0
 plugins/externaltools/data/search-recursive.desktop.in       | 0
 plugins/externaltools/data/search-recursive.tool.in          | 0
 plugins/externaltools/data/switch-c.desktop.in               | 0
 plugins/externaltools/data/switch-c.tool.in                  | 0
 plugins/externaltools/externaltools.pluma-plugin.desktop.in  | 0
 plugins/externaltools/scripts/Makefile.am                    | 0
 plugins/externaltools/tools/Makefile.am                      | 0
 plugins/externaltools/tools/outputpanel.ui                   | 0
 plugins/externaltools/tools/tools.ui                         | 0
 plugins/pythonconsole/Makefile.am                            | 0
 plugins/pythonconsole/pythonconsole.pluma-plugin.desktop.in  | 0
 plugins/pythonconsole/pythonconsole/Makefile.am              | 0
 plugins/pythonconsole/pythonconsole/config.ui                | 0
 plugins/quickopen/Makefile.am                                | 0
 plugins/quickopen/quickopen.pluma-plugin.desktop.in          | 0
 plugins/quickopen/quickopen/Makefile.am                      | 0
 plugins/snippets/Makefile.am                                 | 0
 plugins/snippets/data/Makefile.am                            | 0
 plugins/snippets/data/c.xml                                  | 0
 plugins/snippets/data/chdr.xml                               | 0
 plugins/snippets/data/cpp.xml                                | 0
 plugins/snippets/data/css.xml                                | 0
 plugins/snippets/data/docbook.xml                            | 0
 plugins/snippets/data/fortran.xml                            | 0
 plugins/snippets/data/global.xml                             | 0
 plugins/snippets/data/haskell.xml                            | 0
 plugins/snippets/data/html.xml                               | 0
 plugins/snippets/data/idl.xml                                | 0
 plugins/snippets/data/java.xml                               | 0
 plugins/snippets/data/javascript.xml                         | 0
 plugins/snippets/data/lang/Makefile.am                       | 0
 plugins/snippets/data/lang/snippets.lang                     | 0
 plugins/snippets/data/latex.xml                              | 0
 plugins/snippets/data/mallard.xml                            | 0
 plugins/snippets/data/perl.xml                               | 0
 plugins/snippets/data/php.xml                                | 0
 plugins/snippets/data/python.xml                             | 0
 plugins/snippets/data/ruby.xml                               | 0
 plugins/snippets/data/sh.xml                                 | 0
 plugins/snippets/data/snippets.xml                           | 0
 plugins/snippets/data/tcl.xml                                | 0
 plugins/snippets/data/xml.xml                                | 0
 plugins/snippets/data/xslt.xml                               | 0
 plugins/snippets/snippets.pluma-plugin.desktop.in            | 0
 plugins/snippets/snippets/Makefile.am                        | 0
 plugins/snippets/snippets/snippets.ui                        | 0
 plugins/sort/Makefile.am                                     | 0
 plugins/sort/pluma-sort-plugin.c                             | 0
 plugins/sort/pluma-sort-plugin.h                             | 0
 plugins/sort/sort.pluma-plugin.desktop.in                    | 0
 plugins/sort/sort.ui                                         | 0
 plugins/spell/Makefile.am                                    | 0
 plugins/spell/languages-dialog.ui                            | 0
 plugins/spell/pluma-automatic-spell-checker.c                | 0
 plugins/spell/pluma-automatic-spell-checker.h                | 0
 plugins/spell/pluma-spell-checker-dialog.c                   | 0
 plugins/spell/pluma-spell-checker-dialog.h                   | 0
 plugins/spell/pluma-spell-checker-language.c                 | 0
 plugins/spell/pluma-spell-checker-language.h                 | 0
 plugins/spell/pluma-spell-checker.c                          | 0
 plugins/spell/pluma-spell-checker.h                          | 0
 plugins/spell/pluma-spell-language-dialog.c                  | 0
 plugins/spell/pluma-spell-language-dialog.h                  | 0
 plugins/spell/pluma-spell-marshal.list                       | 0
 plugins/spell/pluma-spell-plugin.c                           | 0
 plugins/spell/pluma-spell-plugin.h                           | 0
 plugins/spell/pluma-spell-utils.c                            | 0
 plugins/spell/pluma-spell-utils.h                            | 0
 plugins/spell/spell-checker.ui                               | 0
 plugins/spell/spell.pluma-plugin.desktop.in                  | 0
 plugins/taglist/HTML.tags.xml.in                             | 0
 plugins/taglist/Latex.tags.xml.in                            | 0
 plugins/taglist/Makefile.am                                  | 0
 plugins/taglist/XSLT.tags.xml.in                             | 0
 plugins/taglist/XUL.tags.xml.in                              | 0
 plugins/taglist/pluma-taglist-plugin-panel.c                 | 0
 plugins/taglist/pluma-taglist-plugin-panel.h                 | 0
 plugins/taglist/pluma-taglist-plugin-parser.c                | 0
 plugins/taglist/pluma-taglist-plugin-parser.h                | 0
 plugins/taglist/pluma-taglist-plugin.c                       | 0
 plugins/taglist/pluma-taglist-plugin.h                       | 0
 plugins/taglist/taglist.pluma-plugin.desktop.in              | 0
 plugins/time/Makefile.am                                     | 0
 plugins/time/pluma-time-dialog.ui                            | 0
 plugins/time/pluma-time-plugin.c                             | 0
 plugins/time/pluma-time-plugin.h                             | 0
 plugins/time/pluma-time-setup-dialog.ui                      | 0
 plugins/time/time.pluma-plugin.desktop.in                    | 0
 104 files changed, 0 insertions(+), 0 deletions(-)

commit 2e1b92d4e20127233252abadd70081713de997d8
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Dec 5 14:35:12 2015 +0100

    GTK3 filebrowser-widget.c: fix build with gtk+-3.14
    
    - improve https://github.com/mate-desktop/pluma/commit/3d2d796

 plugins/filebrowser/pluma-file-browser-widget.c | 3 +++
 1 file changed, 3 insertions(+)

commit bbbc19b5ab0f8837881c1edda9844a835a74f976
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 30 11:26:04 2015 +0300

    Bump version to 1.12.1

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit a8f0ea83dbd84d47eda8869180c6f54974439e46
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 3 10:40:10 2015 +0300

    fix build breakage introduced in cf7db5e02ea308bbe59f15f2a3973b0bd9e79df4

 plugins/filebrowser/pluma-file-browser-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 38427b5d6dab1e9a96f9abd4cbd4a223f07a3b6e
Merge: 3d2d796 efc6229
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 3 10:33:57 2015 +0300

    Merge pull request #146 from sleeveroller/issue90
    
    Add a new Configure dialog for the Spell Check plugin.

commit 3d2d7963abc558a09939aa4b0e4bdcedfb80b10e
Merge: 9c41b25 cf7db5e
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Dec 1 23:42:18 2015 +0100

    GTK3: replace reprecatated gdk_cursor functions
    
    - Gtk+-3.16: gdk_cursor_new --> gdk_cursor_new_for_display
    - GTK3: gdk_cursor_unref --> g_object_unref

commit 9c41b25138d7bff3554d4be038f92c16d56dc734
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Nov 20 00:40:13 2015 +0100

    GTK3: replace depracated gtk_widget_size_request with gtk_widget_get_preferred_size

 pluma/pluma-documents-panel.c  |  6 +++++-
 pluma/pluma-status-combo-box.c | 12 ++++++++++--
 pluma/pluma-utils.c            |  8 ++++++++
 3 files changed, 23 insertions(+), 3 deletions(-)

commit 1b8d58e81e5ef71c217b7dd3dc8f72e1552ff826
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Nov 19 16:28:49 2015 +0100

    Gtk+-3.14 pluma-document.c: replace deprecated GdkColor with GdkRGBA
    
    taken from:
    https://git.gnome.org/browse/gedit/commit/?id=15994d8

 pluma/pluma-document.c | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit 4e64ecb701062f1b7962b2024f93fc1c6ebee13d
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Nov 19 16:33:11 2015 +0100

    Gtk+-3.10: don't use deprecated gtk_icon_size_lookup_for_settings

 pluma/pluma-close-button.c | 4 ++++
 pluma/pluma-tab.c          | 4 ++++
 2 files changed, 8 insertions(+)

commit f2c09bf97244ffb387b9a1731767741aee9fad93
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Nov 19 14:56:38 2015 +0100

    Gtk+-3.10: don't use deprecated GTK_STOCK_DIALOG_WARNING/ERROR

 pluma/dialogs/pluma-close-confirmation-dialog.c | 10 ++++++++++
 pluma/pluma-statusbar.c                         |  4 ++++
 2 files changed, 14 insertions(+)

commit a08bd0ed2f0959255dc86f7976ec42d512e813b9
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Wed Nov 18 21:30:05 2015 +0100

    GTK3: don't use deprecated gdk_threads_{enter/leave}

 pluma/pluma-view.c                |  8 ++++++++
 pluma/smclient/eggsmclient-xsmp.c | 12 ++++++++++++
 2 files changed, 20 insertions(+)

commit 6454339a1a2141ff8d33dce2dfff4fd0fc52b227
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Wed Nov 18 21:15:02 2015 +0100

    Gtk+-3.14: don't use deprecated GtkMisc

 plugins/spell/pluma-automatic-spell-checker.c   |  4 ++
 plugins/taglist/pluma-taglist-plugin-panel.c    | 11 ++++-
 pluma/dialogs/pluma-close-confirmation-dialog.c | 28 ++++++++++++
 pluma/pluma-file-chooser-dialog.c               |  8 ++++
 pluma/pluma-io-error-message-area.c             | 60 +++++++++++++++++++++++++
 pluma/pluma-panel.c                             | 18 +++++++-
 pluma/pluma-plugin-manager.c                    |  4 ++
 pluma/pluma-progress-message-area.c             |  9 ++++
 pluma/pluma-status-combo-box.c                  | 13 ++++++
 pluma/pluma-statusbar.c                         |  7 +++
 pluma/pluma-tab-label.c                         |  8 ++++
 pluma/pluma-utils.c                             |  7 +++
 12 files changed, 175 insertions(+), 2 deletions(-)

commit dc6b2065db9aa22aac346adaf337fb868b959f11
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Nov 19 21:13:51 2015 +0100

    GTk3: don't use deprecated GTK_TYPE_{V/H}BOX

 plugins/filebrowser/pluma-file-browser-widget.c |  9 +++++++++
 plugins/filebrowser/pluma-file-browser-widget.h |  8 ++++++++
 plugins/taglist/pluma-taglist-plugin-panel.c    |  9 +++++++++
 plugins/taglist/pluma-taglist-plugin-panel.h    |  8 ++++++++
 pluma/pluma-documents-panel.c                   |  9 +++++++++
 pluma/pluma-documents-panel.h                   |  8 ++++++++
 pluma/pluma-panel.c                             | 14 ++++++++++++++
 pluma/pluma-panel.h                             |  8 ++++++++
 pluma/pluma-plugin-manager.c                    | 13 +++++++++++++
 pluma/pluma-plugin-manager.h                    |  8 ++++++++
 pluma/pluma-print-preview.c                     |  9 +++++++++
 pluma/pluma-print-preview.h                     |  8 ++++++++
 pluma/pluma-tab-label.c                         |  8 ++++++++
 pluma/pluma-tab-label.h                         |  8 ++++++++
 pluma/pluma-tab.c                               |  9 +++++++++
 pluma/pluma-tab.h                               |  8 ++++++++
 16 files changed, 144 insertions(+)

commit 9994dd399ab569d547e18cb5f01900f8db953312
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Wed Nov 18 21:18:50 2015 +0100

    GTK3: don't use deprecated gtk_{v/h}-box

 plugins/filebrowser/pluma-file-browser-widget.c | 4 ++++
 pluma/dialogs/pluma-close-confirmation-dialog.c | 5 +++++
 pluma/pluma-file-chooser-dialog.c               | 4 ++++
 pluma/pluma-io-error-message-area.c             | 5 +++++
 pluma/pluma-panel.c                             | 5 +++++
 pluma/pluma-print-preview.c                     | 4 ++++
 pluma/pluma-progress-message-area.c             | 5 +++++
 pluma/pluma-status-combo-box.c                  | 4 ++++
 pluma/pluma-statusbar.c                         | 4 ++++
 pluma/pluma-tab-label.c                         | 4 ++++
 pluma/pluma-view.c                              | 4 ++++
 pluma/pluma-window.c                            | 4 ++++
 12 files changed, 52 insertions(+)

commit cf7db5e02ea308bbe59f15f2a3973b0bd9e79df4
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Nov 20 01:46:26 2015 +0100

    GTK3: replace reprecatated gdk_cursor functions
    
    - Gtk+-3.16: gdk_cursor_new --> gdk_cursor_new_for_display
    - GTK3: gdk_cursor_unref --> g_object_unref

 plugins/filebrowser/pluma-file-browser-view.c   | 27 ++++++++++++++++++++-
 plugins/filebrowser/pluma-file-browser-widget.c | 31 ++++++++++++++++++++++---
 pluma/pluma-tab.c                               |  4 ++++
 3 files changed, 58 insertions(+), 4 deletions(-)

commit 125169f8cb0ee1d06179a3769fe3368b5df35527
Author: Monsta <monsta@inbox.ru>
Date:   Sun Nov 22 10:13:32 2015 +0300

    fix build breakage introduced in last commit
    
    also see https://github.com/mate-desktop/atril/commit/37abef2d6b86de04b6ae54a79e89b58304ae4762

 configure.ac      | 5 ++++-
 pluma/Makefile.am | 4 +++-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit b40b78a7cb545f8d888694ce93f7cd9f9ff759a1
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Wed Nov 18 14:58:13 2015 +0100

    add a configure option to build pluma with --without-matedesktop
    
    - about-dialog use GtkAbout instead of MateAbout in this case
    - this makes transition to gtk3 more simple

 configure.ac                | 21 ++++++++++++++++++++-
 pluma/pluma-commands-help.c |  7 +++++++
 2 files changed, 27 insertions(+), 1 deletion(-)

commit efc6229fce6eecf0c35e620bb5adf4b912202c56
Author: John Church <sleeveroller@gmail.com>
Date:   Thu Nov 12 10:45:00 2015 +0000

    Add a new Configure dialog for the Spell Check plugin.
    
    There are three options for autocheck when a doc is loaded:
    
    Always autocheck, Never autocheck and Remember the autocheck setting for each document
    
    The chosen option is stored in the gsettings schema.
    The default setting is to remember by document as this is what Pluma did previously.

 configure.ac                                       |   1 +
 plugins/spell/Makefile.am                          |  13 +-
 .../org.mate.pluma.plugins.spell.gschema.xml.in    |  14 +
 plugins/spell/pluma-spell-plugin.c                 | 306 ++++++++++++++++++++-
 plugins/spell/pluma-spell-plugin.h                 |   2 +
 plugins/spell/pluma-spell-setup-dialog.ui          | 161 +++++++++++
 po/POTFILES.in                                     |   2 +
 7 files changed, 483 insertions(+), 16 deletions(-)

commit e357519c943f8bacaf8d6b4737530ba09d79959c
Author: Monsta <monsta@inbox.ru>
Date:   Fri Nov 6 17:41:47 2015 +0300

    po: removed non-existing files from POTFILES.skip

 po/POTFILES.skip | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 6b4e55f379e118be55847023b28fcfa5cb3fea65
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Tue Nov 3 15:03:43 2015 +0000

    1.12.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fdf88c1093ee59f2517ee03eb16445cf6efc1c7d
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Nov 2 21:11:41 2015 +0100

    update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 385ec7a3f0e8938206813c17142a8beab5955191
Author: Monsta <monsta@inbox.ru>
Date:   Mon Nov 2 14:40:19 2015 +0300

    GTK+3: work with "draw" signal instead of "expose" in print preview
    
    adapted from
    https://git.gnome.org/browse/gedit/commit?id=9453de86abac1cf1bf4702091944301ac800bdef
    
    fixes https://github.com/mate-desktop/pluma/issues/47

 pluma/pluma-print-preview.c | 28 ++++++++++++++++++++++++++--
 1 file changed, 26 insertions(+), 2 deletions(-)

commit e29b9b4c99dcf9df21d417d2d107cdcdc69392b6
Author: monsta <monsta@inbox.ru>
Date:   Fri Oct 30 16:46:10 2015 +0300

    update NEWS for 1.12

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 90fa9b31bb87135c23253074c7d437896b6698f8
Author: Patrick Monnerat <pm@rawhide.datasphere.ch>
Date:   Fri Oct 9 13:57:06 2015 +0200

    Flush document output data at EOF before determining the loader newline type.
    Failure to do so fails determining the newline type for a single line ending
    with CR.

 pluma/pluma-gio-document-loader.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 7ec8b4d7450b7a4558822d1c3f8fbe178e505690
Author: Patrick Monnerat <pm@rawhide.datasphere.ch>
Date:   Thu Oct 8 18:14:10 2015 +0200

    Adjust the document-output-stream test to the new buffering strategy.
    
    Test was still failing because it checked the document content before closing.
    This commit forces document flush before this check, making the test successful.

 tests/document-output-stream.c | 3 +++
 1 file changed, 3 insertions(+)

commit 43903ad12b880e64a3d0551b90b27aa4621a2ab8
Author: Patrick Monnerat <pm@rawhide.datasphere.ch>
Date:   Thu Oct 8 18:00:51 2015 +0200

    CRLF across 8k boundary inserts an empty line.
    
    fixes issue#100
    
    This introduces buffering of a trailing, non-leading CR for each buffer
    passed to pluma_document_output_write(), for later possible recombination into
    a CRLF.
    Since this buffering has to be flushed at EOF, a flush method has been added to
    the class. It is implicitly called at document close time.

 pluma/pluma-document-output-stream.c | 42 ++++++++++++++++++++++++++++++------
 1 file changed, 35 insertions(+), 7 deletions(-)

commit 78101257f40bbf8a0d7b606bee36e527f9b0ea11
Author: Patrick Monnerat <pm@rawhide.datasphere.ch>
Date:   Thu Oct 8 16:30:59 2015 +0200

    tests/document-output-stream.c: change substring length from 2 to 3 in EOL tests.
    
    CRs always appear at the same modulus 2 offset in test strings, thus bug
    https://github.com/mate-desktop/pluma/issues/100 is never detected.
    Setting substring lengths to 3 causes the test to detect bug #100, thus failing,
    as it should yet do.

 tests/document-output-stream.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit b580b354454c6ade07627914f2d84ff3108ca2ca
Author: monsta <monsta@inbox.ru>
Date:   Tue Oct 6 17:35:58 2015 +0300

    Bump version to 1.11.0

 NEWS         | 13 +++++++++++++
 configure.ac |  4 ++--
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 6ee8c7a1abd689e8df9425f70dee61a40f59fcaa
Author: monsta <monsta@inbox.ru>
Date:   Tue Sep 29 13:57:32 2015 +0300

    bugreport script: bring back active plugins listing

 data/pluma-bugreport.sh.in | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 7eff297795a917ff425849f4c97c4f7d5342d4ea
Author: monsta <monsta@inbox.ru>
Date:   Tue Sep 29 13:43:48 2015 +0300

    configure.ac: dropped some useless stuff

 configure.ac | 9 ---------
 1 file changed, 9 deletions(-)

commit e39f5b99d14fcddbd295e2d792980a11b379b1f7
Author: monsta <monsta@inbox.ru>
Date:   Tue Sep 29 13:38:04 2015 +0300

    added --enable-tests option which will be off during distcheck
    
    as we have document-saver test failing always

 Makefile.am  | 8 ++++++--
 configure.ac | 8 ++++++++
 2 files changed, 14 insertions(+), 2 deletions(-)

commit ab4da31e0815c8c7931c7075d7b7c54c6666106e
Author: monsta <monsta@inbox.ru>
Date:   Tue Sep 29 10:12:56 2015 +0300

    capitalize Pluma in Run command plugin dialog

 plugins/externaltools/data/run-command.tool.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4299e647a7e13118b129266e914fec2a833c44b7
Author: monsta <monsta@inbox.ru>
Date:   Tue Sep 29 09:58:51 2015 +0300

    capitalize Pluma in titles of main window and prefs window

 pluma/dialogs/pluma-preferences-dialog.c |  2 +-
 pluma/pluma-window.c                     | 10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 8c43c2cfdc87ecbc0058f319012e3c61e31d1629
Author: monsta <monsta@inbox.ru>
Date:   Mon Sep 28 17:58:33 2015 +0300

    capitalize Pluma in about dialog

 pluma/pluma-commands-help.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d27ba9e8c4ed1fc9c2e55f43656f6a965918c2fb
Author: infirit <infirit@gmail.com>
Date:   Tue Sep 8 17:19:35 2015 +0200

    define max/min version of GLib

 configure.ac | 6 ++++++
 1 file changed, 6 insertions(+)

commit ca8ca6923e74bb307bfe6c99c691399987eda7ed
Author: infirit <infirit@gmail.com>
Date:   Tue Sep 8 17:19:30 2015 +0200

    Rework gsettings schema building
    
    * Bump intltool required version for gsettings support
    * Extract strings with intltool directly
    * Let autoconf generate the xml files

 configure.ac                                       |  2 +
 plugins/filebrowser/Makefile.am                    |  9 ++---
 ...g.mate.pluma.plugins.filebrowser.gschema.xml.in | 43 ++++++++++++++++++++++
 ...ate.pluma.plugins.filebrowser.gschema.xml.in.in | 43 ----------------------
 plugins/time/Makefile.am                           |  8 ++--
 ... => org.mate.pluma.plugins.time.gschema.xml.in} |  6 +--
 po/POTFILES.in                                     |  4 +-
 7 files changed, 56 insertions(+), 59 deletions(-)

commit 3d9e640cc4221a43d214951da5cbdc43c4f55662
Author: infirit <infirit@gmail.com>
Date:   Sat Sep 5 21:06:15 2015 +0200

    Fix up the docs
    
    Taken from gedit,
    commit: 42a6a8d8d87f32572f56b56a9c4e92f7181d339a
    from: Garrett Regier <alias301@gmail.com>

 pluma/pluma-app.c                 | 11 +++--
 pluma/pluma-commands-file.c       | 16 +++++++-
 pluma/pluma-debug.h               |  1 +
 pluma/pluma-document.c            | 66 ++++++++++++++++++++++++++++--
 pluma/pluma-encodings-combo-box.c |  5 +++
 pluma/pluma-file-chooser-dialog.c | 10 +++--
 pluma/pluma-message-type.c        | 15 +++----
 pluma/pluma-message.c             | 17 ++++----
 pluma/pluma-panel.c               | 12 +++---
 pluma/pluma-status-combo-box.c    | 22 ++++++++++
 pluma/pluma-statusbar.c           |  1 +
 pluma/pluma-tab.c                 |  4 +-
 pluma/pluma-utils.c               | 86 +++++++++++++++++++++++----------------
 pluma/pluma-view.c                |  3 +-
 pluma/pluma-window.c              | 13 +++---
 15 files changed, 205 insertions(+), 77 deletions(-)

commit 1618c8f7248722265450b11ef48ced34c7a317a5
Author: infirit <infirit@gmail.com>
Date:   Sat Sep 5 20:43:24 2015 +0200

    Add new plugin to POTFILES

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4828e426c68f7a3027d5bdd8af28555150a8b9f
Merge: ab31ab9 10ab67c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Sep 4 11:07:43 2015 +0200

    Merge pull request #145 from monsta/attrs
    
    smclient: drop unneeded 'x' attribute from source files

commit 10ab67cc2c7acf7a683d63396f074cfba28afe93
Author: Monsta <monsta@inbox.ru>
Date:   Fri Sep 4 11:50:51 2015 +0300

    smclient: drop unneeded 'x' attribute from source files

 pluma/smclient/Makefile.am           | 0
 pluma/smclient/eggdesktopfile.c      | 0
 pluma/smclient/eggdesktopfile.h      | 0
 pluma/smclient/eggsmclient-private.h | 0
 pluma/smclient/eggsmclient-xsmp.c    | 0
 pluma/smclient/eggsmclient.c         | 0
 pluma/smclient/eggsmclient.h         | 0
 7 files changed, 0 insertions(+), 0 deletions(-)

commit ab31ab9b12f0741a1b7bf3e63cb9ee095e98e76e
Author: infirit <infirit@gmail.com>
Date:   Wed Sep 2 11:51:13 2015 +0200

    Revert "Fix issue#100: CRLF across 8k boundary inserts an empty line."
    
    This reverts commit f6d7a422f3f5f97e676cd18cef5bb46aca8da6be.

 pluma/pluma-document-output-stream.c | 19 +++++++------------
 1 file changed, 7 insertions(+), 12 deletions(-)

commit 0c974a2db537184870d498318fedc1ec36f32933
Author: Alexander van der Meij <alexandervdm@gliese.me>
Date:   Wed Sep 2 09:23:04 2015 +0200

    capitalize desktop entry file to match mate style

 data/pluma.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f166a05aa5fb5ac8ce17f025aebf2a190b52672
Author: Daggerbot <daggerbot@gmail.com>
Date:   Fri Aug 28 09:42:37 2015 +0000

    Add plugin to strip trailing spaces on save.

 configure.ac                                       |   1 +
 plugins/Makefile.am                                |   6 +-
 plugins/trailsave/Makefile.am                      |  31 +++
 plugins/trailsave/pluma-trail-save-plugin.c        | 214 +++++++++++++++++++++
 plugins/trailsave/pluma-trail-save-plugin.h        |  70 +++++++
 .../trailsave/trailsave.pluma-plugin.desktop.in    |   9 +
 6 files changed, 329 insertions(+), 2 deletions(-)

commit b24934e186456b50d7702192ec3a270926831791
Author: monsta <monsta@inbox.ru>
Date:   Tue Aug 25 14:40:58 2015 +0300

    drop support for win32/osx and checkupdate plugin
    
    that plugin has never been built in linux anyway due to logic
    in configure.ac

 Makefile.am                                        |   6 +-
 configure.ac                                       | 182 +-----
 data/pluma.pc.in                                   |   2 +-
 osx/Info.plist.in                                  | 260 --------
 osx/Makefile.am                                    |   3 -
 plugins/Makefile.am                                |  11 +-
 plugins/checkupdate/Makefile.am                    |  40 --
 .../checkupdate.pluma-plugin.desktop.in            |   9 -
 ...ate.pluma.plugins.checkupdate.gschema.xml.in.in |   9 -
 plugins/checkupdate/pluma-check-update-plugin.c    | 663 ---------------------
 plugins/checkupdate/pluma-check-update-plugin.h    |  74 ---
 plugins/externaltools/data/Makefile.am             |  25 +-
 .../data/open-terminal-here-osx.desktop.in         |   8 -
 .../data/open-terminal-here-osx.tool.in            |  16 -
 plugins/filebrowser/pluma-file-browser-store.c     |   2 -
 plugins/spell/pluma-spell-plugin.c                 |   6 -
 plugins/taglist/pluma-taglist-plugin-parser.c      |  65 +-
 plugins/time/pluma-time-plugin.c                   |   4 +-
 pluma/Makefile.am                                  |  36 +-
 pluma/osx/Makefile.am                              |  23 -
 pluma/osx/pluma-osx-delegate.h                     |  16 -
 pluma/osx/pluma-osx-delegate.m                     |  84 ---
 pluma/osx/pluma-osx.c                              |  94 ---
 pluma/osx/pluma-osx.h                              |  17 -
 pluma/pluma-app.c                                  |  12 -
 pluma/pluma-commands-file.c                        |  50 --
 pluma/pluma-dirs.c                                 |  97 +--
 pluma/pluma-document.h                             |  10 -
 pluma/pluma-help.c                                 |  23 -
 pluma/pluma-ui.h                                   |   5 -
 pluma/pluma-window-private.h                       |   8 -
 pluma/pluma-window.c                               | 107 ----
 pluma/pluma.c                                      | 102 +---
 pluma/smclient/Makefile.am                         |  13 -
 pluma/smclient/eggsmclient-osx.c                   | 235 --------
 pluma/smclient/eggsmclient-private.h               |  14 -
 pluma/smclient/eggsmclient-win32.c                 | 353 -----------
 pluma/smclient/eggsmclient.c                       |  16 -
 po/POTFILES.in                                     |   3 -
 tests/document-saver.c                             |   9 -
 win32/Makefile.am                                  |   4 -
 win32/README                                       |  17 -
 win32/build-installer.sh                           | 258 --------
 win32/pluma.iss.in                                 |  60 --
 win32/querymodules.bat                             |   3 -
 45 files changed, 57 insertions(+), 2997 deletions(-)

commit f6d7a422f3f5f97e676cd18cef5bb46aca8da6be
Author: Patrick Monnerat <pm@datasphere.ch>
Date:   Fri Jul 10 17:33:48 2015 +0200

    Fix issue#100: CRLF across 8k boundary inserts an empty line.

 pluma/pluma-document-output-stream.c | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit bdfc07a804d787bdee7ec671bcc397517de3de7c
Author: infirit <infirit@gmail.com>
Date:   Mon Aug 3 21:39:19 2015 +0200

    Remove unused reset_im_context function
    
    Builds now with GSEAL_ENABLE

 pluma/pluma-view.c | 13 -------------
 1 file changed, 13 deletions(-)

commit ee8ed9307be84069164c523e99d80edda3ec62a2
Author: infirit <infirit@gmail.com>
Date:   Mon Aug 3 21:32:35 2015 +0200

    Fix implicit declarations

 pluma/smclient/eggsmclient-xsmp.c | 1 +
 tests/document-loader.c           | 1 +
 tests/document-output-stream.c    | 1 +
 tests/document-saver.c            | 2 ++
 tests/smart-converter.c           | 1 +
 5 files changed, 6 insertions(+)

commit 743994aee9a4dc417c3bbe888ad25cc413d66bc0
Author: Monsta <monsta@inbox.ru>
Date:   Mon Aug 3 18:20:08 2015 +0300

    remove excessive include

 pluma/pluma-view.c | 3 ---
 1 file changed, 3 deletions(-)

commit 79c3e2849004a5c81a0b0bc25fb9dc0e1ce8a781
Author: Monsta <monsta@inbox.ru>
Date:   Mon Aug 3 18:04:03 2015 +0300

    drop gdkkeysyms-compat usage, use modern key names

 plugins/filebrowser/pluma-file-browser-view.c   | 11 +++---
 plugins/filebrowser/pluma-file-browser-widget.c | 18 +++++-----
 plugins/taglist/pluma-taglist-plugin-panel.c    |  5 +--
 pluma/dialogs/pluma-search-dialog.c             |  7 ++--
 pluma/pluma-commands-search.c                   |  5 ++-
 pluma/pluma-panel.c                             | 19 +++++-----
 pluma/pluma-print-preview.c                     | 48 ++++++++++++-------------
 pluma/pluma-view.c                              | 21 ++++++-----
 8 files changed, 57 insertions(+), 77 deletions(-)

commit 121e7b4f8a9a3b0571286929fbc504988561d148
Author: Monsta <monsta@inbox.ru>
Date:   Tue Jul 14 14:42:35 2015 +0300

    Bump version to 1.10.2

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 4968f9a9dea791db8a06baababe764d8ad0ba6f6
Author: monsta <monsta@inbox.ru>
Date:   Tue Jul 14 13:14:41 2015 +0300

    quickopen plugin: remove wrong version check inherited from gedit
    
    this should make quickopen dialog (Ctrl-Alt-O) recognize the files
    from the currently selected dir in filebrowser plugin.

 plugins/quickopen/quickopen/windowhelper.py | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

commit e75584f2e6169bbae2282b6ea7f18c0ad4072fb9
Author: monsta <monsta@inbox.ru>
Date:   Tue Jul 14 13:00:39 2015 +0300

    close confirmation dialog: make text unfocusable
    
    adapted from
    https://git.gnome.org/browse/gedit/commit?id=08f0c2629d0bf4f795a71826526624d96127c23e

 pluma/dialogs/pluma-close-confirmation-dialog.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4fd854985045f9a661b3b4767907bde80a993c63
Author: Monsta <monsta@inbox.ru>
Date:   Tue Jul 14 10:35:22 2015 +0300

    window title: display full path to files on mounted drives
    
    when opening a file on some mounted drive (local harddisk, usb flash drive, etc.),
    pluma now displays full path to file in the window title. previously it displayed
    only the mount name (like "100 GB Volume").
    
    adapted from:
    https://git.gnome.org/browse/gedit/commit?id=c59e67e27ea11c6756c7291236338fcf44f24c73
    
    credits to @jsenin for https://github.com/mate-desktop/pluma/pull/108

 pluma/pluma-utils.c | 35 ++++++++++++++++++++++-------------
 1 file changed, 22 insertions(+), 13 deletions(-)

commit 9d5f3b25353cc72b11f88477c715c8e6acd0ccc6
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 10 10:17:05 2015 +0200

    help: fix legal page

 help/C/index.docbook | 57 +++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 39 insertions(+), 18 deletions(-)

commit cf4fc2b9238f0337f94b432bd36923de11e3463c
Author: Monsta <monsta@inbox.ru>
Date:   Fri Jul 10 10:55:04 2015 +0300

    help: fixed broken links to m-u-g

 help/C/index.docbook | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 80a8a579f98bb0b96de92e62d15b830be913c247
Author: infirit <infirit@gmail.com>
Date:   Thu Jul 9 16:34:54 2015 +0200

    Fix my stupid mistake in previous commit.

 plugins/time/pluma-time-dialog.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bf217393793372bb0de5361adf32df7e6694e7e8
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jul 8 17:52:50 2015 +0200

    UI GTK3: use a size request for time plugin dialog window

 plugins/time/pluma-time-dialog.ui | 1 +
 1 file changed, 1 insertion(+)

commit 1fed4bcbe14117ea1bbc8fc1c03b3771aa28605d
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jul 8 13:14:12 2015 +0200

    help: fix broken images

 help/ca/figures/pluma_window.png | Bin 29283 -> 29284 bytes
 help/de/figures/pluma_window.png | Bin 30621 -> 30622 bytes
 help/el/figures/pluma_window.png | Bin 33502 -> 33503 bytes
 help/uk/figures/pluma_window.png | Bin 26281 -> 26282 bytes
 4 files changed, 0 insertions(+), 0 deletions(-)

commit bdb0ef751ef17270606bee63da5c6d080d1dd891
Author: Monsta <monsta@inbox.ru>
Date:   Wed Jul 8 12:42:59 2015 +0300

    show correct help pages for prefs and plugins dialogs

 plugins/time/pluma-time-plugin.c | 4 ++--
 pluma/pluma-help.c               | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit a5c13501b64d281b7acb2861269810f1ce66c42e
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Jun 18 08:58:08 2015 +0100

    Bump version to 1.10.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d730f97f821217ea597afc87c6b19bcecac53332
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Jun 18 08:40:57 2015 +0100

    Update NEWS.

 NEWS | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit c09738b74d209d778846ead35bd391a0533042d1
Merge: d0af046 d91a7ae
Author: Martin Wimpress <code@flexion.org>
Date:   Wed Jun 17 18:10:28 2015 +0100

    Merge pull request #123 from NiceandGently/dev-translations
    
    fix html syntax in help translations

commit d0af046579e2e4ec59465a416423f08192a3ea46
Merge: 6b14b69 718496d
Author: Martin Wimpress <code@flexion.org>
Date:   Wed Jun 17 18:04:55 2015 +0100

    Merge pull request #122 from monsta/man-fix
    
    removed erroneous line from manpage

commit 718496d17299ca432d52d7cbfd69d6654a44187a
Author: Monsta <monsta@inbox.ru>
Date:   Wed Jun 17 12:54:18 2015 +0300

    removed erroneous line from manpage
    
    taken from Debian patch 2001_fix-man-page-errors.patch

 data/pluma.1 | 1 -
 1 file changed, 1 deletion(-)

commit 6b14b69dc0e387eaf3c24c1b9d68fe4b3982bddb
Merge: f6addc4 1557235
Author: Martin Wimpress <code@flexion.org>
Date:   Tue Jun 16 22:32:51 2015 +0100

    Merge pull request #121 from monsta/patch-1
    
    taglist plugin: don't use timestamps when using gzip

commit f6addc421a2dc87d02477b88b4828dadf3a9ade3
Merge: 0f093c6 b9133a1
Author: Martin Wimpress <code@flexion.org>
Date:   Tue Jun 16 22:31:52 2015 +0100

    Merge pull request #120 from NiceandGently/master
    
    fixes for gschema translation

commit d91a7ae190d91161bb32def8e48e9cc98973d9d8
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 16 20:15:59 2015 +0200

    fix html syntax in help translations

 help/ar/ar.po       |  3 ---
 help/cs/cs.po       |  2 +-
 help/fi/fi.po       | 18 +++++++++---------
 help/fr/fr.po       |  6 +++---
 help/ru/ru.po       |  6 +++---
 help/zh_CN/zh_CN.po |  6 +++---
 6 files changed, 19 insertions(+), 22 deletions(-)

commit 155723520651278dcd9d171c0156c87f542f1906
Author: monsta <monsta@inbox.ru>
Date:   Tue Jun 16 15:59:07 2015 +0300

    taglist plugin: don't use timestamps when using gzip

 plugins/taglist/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b9133a18f88938db0afdd88f4fffc419e6477c09
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 16 00:56:55 2015 +0200

    fixes for gschema translation
    
    taken from:
    https://github.com/mate-desktop/eom/commit/a2055e1
    - bumped required intltool version to 0.50.1
    - renamed and corrected gschema xml for proper intltool usage
    - removed obsolete lines from po/POTFILES.skip

 configure.ac                          |   3 +-
 data/Makefile.am                      |  21 +---
 data/org.mate.pluma.gschema.xml.in    | 200 ++++++++++++++++++++++++++++++++++
 data/org.mate.pluma.gschema.xml.in.in | 200 ----------------------------------
 po/POTFILES.in                        |   2 +-
 po/POTFILES.skip                      |   3 +-
 6 files changed, 211 insertions(+), 218 deletions(-)

commit 0f093c69c0c6bfdc7560da1bb6b516a28665bdac
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jun 12 12:01:52 2015 +0200

    Inlcude autogen.sh in tarball

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 8af62ff58091f848f985678727cf394e0f7eb8cf
Merge: 42f9f19 627201d
Author: Martin Wimpress <code@flexion.org>
Date:   Wed May 20 22:41:12 2015 +0100

    Merge pull request #117 from NiceandGently/master
    
    reduce the size of the statusbar

commit 627201d5a0e30f6617c735d2e85a71833394db8f
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat May 16 22:09:32 2015 +0200

    GTK3: remove the top and bottom margin from GTKToggleButton in statusbar
    
    - this makes the statusbar smaller and follows GTK2 style

 pluma/pluma-statusbar.c | 5 +++++
 1 file changed, 5 insertions(+)

commit e1b2a4e298702f28a9d22b5692f9f19e71513756
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat May 16 22:05:55 2015 +0200

    switch to GtklLabel for statusbar buttons + remove non nedded resize-grip code
    
    - fixes the large statusbar with GTK3
    - remove extra resize-grip code, which is handle by gtk+ itself
    GTK2 builds displays the resize-grip without the extra code.
    Since GTK+-3.14 the rezise-grip widget is removed.
    - the size of the statusbar is now themable

 pluma/pluma-statusbar.c | 164 +++++++++++-------------------------------------
 pluma/pluma-statusbar.h |  12 ----
 pluma/pluma-window.c    |   3 -
 3 files changed, 35 insertions(+), 144 deletions(-)

commit 42f9f19d30d82b28f22e095a7f6d7144bee32582
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu May 7 08:21:26 2015 +0200

    Bump version to 1.10.0

 NEWS         | 2 +-
 configure.ac | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 5fe62f39eb359ee1af682d2755ab190ef104ef4c
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Thu May 7 08:21:09 2015 +0200

    Sync translations with transifex

 po/es.po |  45 ++++----
 po/eu.po |  22 ++--
 po/hr.po |  44 ++++----
 po/id.po |  21 ++--
 po/pt.po |  36 +++----
 po/ro.po |   9 +-
 po/sk.po |  34 +++---
 po/sq.po | 109 +++++++++----------
 po/uk.po | 360 +++++++++++++++++++++++++++++++--------------------------------
 9 files changed, 342 insertions(+), 338 deletions(-)

commit d7f6d2697c9e2ff4a6a01d84c7fe1d7fa6c5d677
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 6 11:25:00 2015 +0200

    Bump version to 1.9.90

 NEWS         | 4 ++--
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit a1394a32163a58cf7fdabe7a10ff15fc1f70a4c0
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Mon Apr 6 11:24:46 2015 +0200

    Sync translations with transifex

 po/am.po    |   76 ++--
 po/ar.po    |   62 +--
 po/be.po    |  394 +++++++++---------
 po/cy.po    |   69 ++--
 po/en_GB.po |    7 +-
 po/fi.po    |  131 +++---
 po/kk.po    |  638 ++++++++++++++---------------
 po/sr.po    | 1305 ++++++++++++++++++++++++++++++-----------------------------
 po/zh_HK.po |   71 ++--
 9 files changed, 1379 insertions(+), 1374 deletions(-)

commit aac60a700814be8ecd72b5ab18eef95c1c4ad68d
Author: Monsta <monsta@inbox.ru>
Date:   Thu Mar 19 17:24:55 2015 +0300

    filebrowser plugin: first connect to settings, then read them.
    
    fixes the issue with GLib >= 2.43,
    https://git.gnome.org/browse/glib/commit/?id=8ff5668a458344da22d30491e3ce726d861b3619
    
    Closes https://github.com/mate-desktop/pluma/pull/109

 plugins/filebrowser/pluma-file-browser-plugin.c | 54 ++++++++++++++-----------
 1 file changed, 30 insertions(+), 24 deletions(-)

commit dc5a473cbec079114a2dfcbf482b72f649b3dc92
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 22 11:35:01 2015 +0100

    Bump version to 1.9.1

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6eea6bc057d771ccdc87390da315e9ef75878745
Author: Monsta <monsta@inbox.ru>
Date:   Sun Dec 21 14:41:25 2014 +0300

    fix one more memleak

 pluma/pluma-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e5943056a8dac82b5dd2ed091290ca444ac554c8
Author: Monsta <monsta@inbox.ru>
Date:   Sat Nov 22 19:11:28 2014 +0300

    plugins: don't leak memory

 plugins/spell/pluma-spell-checker-dialog.c | 20 ++++++++++++--------
 plugins/time/pluma-time-plugin.c           | 10 ++++++----
 2 files changed, 18 insertions(+), 12 deletions(-)

commit d01f58c9f78c07719c42d1973d57bc4f347481e7
Author: Monsta <monsta@inbox.ru>
Date:   Mon Nov 3 13:58:45 2014 +0300

    don't leak memory

 pluma/pluma-debug.c                | 3 +--
 pluma/pluma-plugin-info.c          | 2 ++
 pluma/pluma-style-scheme-manager.c | 2 ++
 pluma/pluma-utils.c                | 2 ++
 pluma/pluma.c                      | 5 +++--
 5 files changed, 10 insertions(+), 4 deletions(-)

commit 4a79fb544f5c35843d536d73d60bc10f52ba7d4c
Author: Monsta <monsta@inbox.ru>
Date:   Tue Oct 28 17:31:13 2014 +0300

    zero-initialize all signals arrays

 pluma/pluma-message-bus.c    | 2 +-
 pluma/pluma-panel.c          | 2 +-
 pluma/pluma-plugins-engine.c | 2 +-
 pluma/smclient/eggsmclient.c | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 87eecea6bd7f4568b813ac3853422cd9988c66bd
Author: Monsta <monsta@inbox.ru>
Date:   Fri Dec 19 14:58:05 2014 +0300

    use proper GTK+ version in pluma.pc file

 configure.ac     | 1 +
 data/pluma.pc.in | 3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 65f91807ca3f5e1d78cc69f004bfd036f7382b8f
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 13:05:53 2014 +0100

    Revert "Revert "Drop support for glib < 2.36""
    
    This reverts commit 13392e50c61ce3f3d7d04b59677380f935cf3d3c.

 configure.ac                   | 2 +-
 pluma/pluma.c                  | 9 ---------
 tests/document-input-stream.c  | 3 ---
 tests/document-loader.c        | 3 ---
 tests/document-output-stream.c | 3 ---
 tests/document-saver.c         | 3 ---
 tests/smart-converter.c        | 3 ---
 7 files changed, 1 insertion(+), 25 deletions(-)

commit e8cbf00e56f9a54524acd8d342971fae009a6d9c
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 13:05:42 2014 +0100

    Revert "Drop support for Glib <2.32"
    
    This reverts commit e9a0c53bdb5755d903e1f2ad90e47b8c373c3995.

 pluma/pluma.c | 5 +++++
 1 file changed, 5 insertions(+)

commit e9a0c53bdb5755d903e1f2ad90e47b8c373c3995
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 12:38:51 2014 +0100

    Drop support for Glib <2.32

 pluma/pluma.c | 5 -----
 1 file changed, 5 deletions(-)

commit 13392e50c61ce3f3d7d04b59677380f935cf3d3c
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 12:37:53 2014 +0100

    Revert "Drop support for glib < 2.36"
    
    This reverts commit 495f56659d607938db00e34c9f84bac24013d999.

 configure.ac                   | 2 +-
 pluma/pluma.c                  | 9 +++++++++
 tests/document-input-stream.c  | 3 +++
 tests/document-loader.c        | 3 +++
 tests/document-output-stream.c | 3 +++
 tests/document-saver.c         | 3 +++
 tests/smart-converter.c        | 3 +++
 7 files changed, 25 insertions(+), 1 deletion(-)

commit c24498bd9242a6b204d20e4c42cdde714c43068a
Author: monsta <monsta@inbox.ru>
Date:   Sat Nov 22 19:20:41 2014 +0300

    use the correct deallocation function/macro

 plugins/sort/pluma-sort-plugin.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 57011502273e9efd49e30cfbf7ce56d94fa1e076
Author: Monsta <monsta@inbox.ru>
Date:   Sat Dec 6 13:32:10 2014 +0300

    removed references to scrollkeeper

 Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6749c36f9d5bfc2205323ec8b9f790f27d160f4c
Author: monsta <monsta@inbox.ru>
Date:   Sat Nov 22 19:17:34 2014 +0300

    va_start should be paired with va_end
    
    Closes https://github.com/mate-desktop/pluma/pull/101

 pluma/smclient/eggsmclient-xsmp.c | 1 +
 1 file changed, 1 insertion(+)

commit 5d01c1ec9cabf3ccf1c6b0b81b421e98984c571e
Author: infirit <infirit@gmail.com>
Date:   Mon Nov 10 12:27:24 2014 +0100

    appdata: Add neccesary markers for translation

 data/pluma.appdata.xml.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c52d5fa4c48c8449c14b67a481c38812ce6bf06d
Author: infirit <infirit@gmail.com>
Date:   Mon Nov 10 12:01:52 2014 +0100

    appdata: Add autotool bits for appdata

 data/Makefile.am                                 | 14 ++++++++++----
 data/{pluma.appdata.xml => pluma.appdata.xml.in} |  0
 po/POTFILES.in                                   |  1 +
 3 files changed, 11 insertions(+), 4 deletions(-)

commit 8dc0f51c1def68f1ca80bab2afea3e8156d30b49
Author: alxpl <alxpl@users.noreply.github.com>
Date:   Sun Nov 9 14:50:21 2014 +0200

    Create pluma.appdata.xml
    
    An appdata file for inclusion in the upcoming software centers as per the new freedesktop.org specs.
    
    It should be placed in /usr/share/appdata/ similar to the way .desktop files are placed in /usr/share/applications/, e.g. if you have a "$(datadir)/applications" definition in your makefiles, you need to add a "$(datadir)/appdata" as well.
    
    Please, skim through the file in case I made a mistake and please, include it in the 1.8 branch as well.
    
    Thanks!

 data/pluma.appdata.xml | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

commit d5b412c87b87aa884000bb309a6480fb874412c6
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Thu Oct 23 11:13:25 2014 +0200

    Sync translations with transifex

 po/de.po    |  10 ++---
 po/en_AU.po | 140 ++++++++++++++++++++++++++++++------------------------------
 po/et.po    | 117 +++++++++++++++++++++++++-------------------------
 po/hr.po    | 127 +++++++++++++++++++++++++++---------------------------
 po/ja.po    |  82 +++++++++++++++++------------------
 po/lt.po    |  19 +++++----
 po/pt_BR.po |  91 ++++++++++++++++++++-------------------
 po/uk.po    | 106 ++++++++++++++++++++++-----------------------
 8 files changed, 348 insertions(+), 344 deletions(-)

commit c1ca209172a8b3a0751ac0a1e2dbec33c1894290
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sat Jul 12 10:34:13 2014 +0200

    Sync translations with transifex

 po/ast.po |  43 ++++++++--------
 po/de.po  |  72 +++++++++++++--------------
 po/es.po  | 128 ++++++++++++++++++++++++------------------------
 po/eu.po  |  67 ++++++++++++-------------
 po/mr.po  | 165 +++++++++++++++++++++++++++++++-------------------------------
 po/pt.po  |  30 ++++++------
 po/sk.po  |  76 ++++++++++++++---------------
 po/tr.po  |  86 ++++++++++++++++----------------
 8 files changed, 336 insertions(+), 331 deletions(-)

commit 1f4945e1ff8d805baeca4e5956a84f8fc9b62cf4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jun 6 20:16:24 2014 +0200

    filebrowser: Fix g_settings_schema_source_lookup usage

 plugins/filebrowser/pluma-file-browser-plugin.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit ca9fdb4cef8bdf4aa2982e495784acaa98250ada
Author: infirit <infirit@gmail.com>
Date:   Mon May 19 18:45:07 2014 +0200

    Remove has_separator property from gtkbuilder files

 plugins/docinfo/docinfo.ui                    | 1 -
 plugins/externaltools/tools/tools.ui          | 1 -
 plugins/pythonconsole/pythonconsole/config.ui | 1 -
 plugins/snippets/snippets/snippets.ui         | 1 -
 plugins/sort/sort.ui                          | 1 -
 plugins/spell/languages-dialog.ui             | 1 -
 plugins/time/pluma-time-dialog.ui             | 1 -
 plugins/time/pluma-time-setup-dialog.ui       | 1 -
 pluma/dialogs/pluma-encodings-dialog.ui       | 1 -
 pluma/dialogs/pluma-preferences-dialog.ui     | 1 -
 pluma/dialogs/pluma-search-dialog.ui          | 1 -
 11 files changed, 11 deletions(-)

commit 3fc6d6c429837cdd4ef2d17c2b9f20859187fa93
Author: infirit <infirit@gmail.com>
Date:   Mon May 19 17:22:45 2014 +0200

    Cleanup GTK_CHECK_VERSION and unify gtk+2/3 code where possible
    
    Replace functions available in gtk+2 and gtk+3
    gdk_window_get_* | since 2.24
    gtk_widget_get_allocation | since 2.18
    gtk_widget_get_window | since 2.14
    gtk_window_get_group | since 2.10
    gtk_widget_get_mapped | since 2.20
    gtk_widget_get_realized | since 2.20
    gdk_window_get_display | since 2.24
    
    Remove deprecated GtkNotebookPage and check.

 pluma/pluma-app.c                 |  4 ----
 pluma/pluma-documents-panel.c     |  8 --------
 pluma/pluma-encodings-combo-box.c |  4 ----
 pluma/pluma-notebook.c            | 12 ------------
 pluma/pluma-panel.c               |  4 ----
 pluma/pluma-status-combo-box.c    |  9 ---------
 pluma/pluma-utils.c               | 12 ------------
 pluma/pluma-view.c                | 22 ----------------------
 pluma/pluma-window.c              |  8 --------
 pluma/smclient/eggsmclient-xsmp.c |  4 ----
 10 files changed, 87 deletions(-)

commit 36a55c5f8e4a3820a3599c29ff9d7f55e92d6570
Author: infirit <infirit@gmail.com>
Date:   Mon May 19 16:22:19 2014 +0200

    Use GSourceFunc also for gtk+-2

 pluma/pluma-statusbar.c | 4 ----
 1 file changed, 4 deletions(-)

commit 1bfcadb0c03a32c6ddde0b577f74c5291b1dd4fc
Author: infirit <infirit@gmail.com>
Date:   Mon May 19 16:10:32 2014 +0200

    Unify search GtkComboBox so it work in gtk+-2 and gtk+-3

 plugins/taglist/pluma-taglist-plugin-panel.c | 16 ----------------
 pluma/pluma-history-entry.c                  | 10 +---------
 pluma/pluma-history-entry.h                  |  8 --------
 3 files changed, 1 insertion(+), 33 deletions(-)

commit cc28312a3f00a21d7fdf982ae9abce782878d906
Author: infirit <infirit@gmail.com>
Date:   Mon May 19 15:45:02 2014 +0200

    Drop support for gtk+ < 2.24
    
    * Bump required gtk+2 version
    * Remove pluma-spinner
    * Remove pluma-message-are

 configure.ac                                    |  25 +-
 docs/reference/Makefile.am                      |   2 -
 plugins/checkupdate/pluma-check-update-plugin.c |  25 -
 plugins/filebrowser/pluma-file-browser-widget.c |   8 -
 pluma/Makefile.am                               |  10 -
 pluma/pluma-commands-file-print.c               |  17 -
 pluma/pluma-commands.h                          |   7 -
 pluma/pluma-encodings-combo-box.c               |   4 -
 pluma/pluma-io-error-message-area.c             |  98 ---
 pluma/pluma-message-area.c                      | 626 ---------------
 pluma/pluma-message-area.h                      | 129 ----
 pluma/pluma-notebook.c                          |   4 -
 pluma/pluma-panel.c                             |   4 -
 pluma/pluma-print-job.c                         |   2 -
 pluma/pluma-progress-message-area.c             |  15 -
 pluma/pluma-progress-message-area.h             |  12 -
 pluma/pluma-spinner.c                           | 989 ------------------------
 pluma/pluma-spinner.h                           |  95 ---
 pluma/pluma-tab-label.c                         |  17 -
 pluma/pluma-tab.c                               |  70 --
 pluma/pluma-tab.h                               |   4 -
 pluma/pluma-ui.h                                |   4 -
 pluma/pluma-view.c                              |   7 -
 pluma/pluma-window.c                            |  30 -
 pluma/smclient/eggdesktopfile.c                 |   8 -
 25 files changed, 1 insertion(+), 2211 deletions(-)

commit 51291bf1b29004ea4703845fc127cc1a4468b092
Author: infirit <infirit@gmail.com>
Date:   Mon May 19 14:52:18 2014 +0200

    Replace deprecated gtk widget function
    
    The replacement functions are available since 2.18
    GTK_WIDGET_HAS_FOCUS -> gtk_widget_has_focus
    GTK_WIDGET_VISIBLE -> gtk_widget_get_visible
    GTK_WIDGET_SET_FLAGS -> gtk_widget_set_*

 plugins/checkupdate/pluma-check-update-plugin.c |  4 +--
 plugins/filebrowser/pluma-file-browser-utils.c  |  8 -----
 plugins/filebrowser/pluma-file-browser-view.c   |  4 ---
 plugins/spell/pluma-spell-checker-dialog.c      |  4 ---
 pluma/pluma-io-error-message-area.c             | 40 -------------------------
 pluma/pluma-message-area.c                      |  4 +--
 pluma/pluma-panel.c                             |  4 ---
 pluma/pluma-print-preview.c                     |  4 ---
 pluma/pluma-session.c                           |  8 ++---
 pluma/pluma-spinner.c                           |  2 +-
 pluma/pluma-utils.c                             |  4 ---
 pluma/pluma-view.c                              | 10 +------
 pluma/pluma-window.c                            | 24 +++++++--------
 13 files changed, 18 insertions(+), 102 deletions(-)

commit 53be5f994d2c52142debdfdaf089ae077389cfbd
Author: infirit <infirit@gmail.com>
Date:   Mon May 19 14:08:24 2014 +0200

    Replace GtkObject with Gobject in gtk+2 build

 plugins/docinfo/pluma-docinfo-plugin.c     | 12 ++----------
 plugins/sort/pluma-sort-plugin.c           |  9 ---------
 plugins/spell/pluma-spell-checker-dialog.c | 12 ------------
 plugins/time/pluma-time-plugin.c           | 14 --------------
 pluma/pluma-history-entry.c                | 15 ---------------
 pluma/pluma-notebook.c                     | 26 --------------------------
 pluma/pluma-view.c                         | 19 -------------------
 7 files changed, 2 insertions(+), 105 deletions(-)

commit b3097ad42becf1943377a07919d7b9598386c13d
Author: infirit <infirit@gmail.com>
Date:   Mon May 19 12:54:08 2014 +0200

    Remove all calls to deprecated gtk_dialog_set_has_separator

 plugins/spell/pluma-spell-language-dialog.c     | 3 ---
 plugins/time/pluma-time-plugin.c                | 6 ------
 pluma/dialogs/pluma-close-confirmation-dialog.c | 3 ---
 pluma/dialogs/pluma-encodings-dialog.c          | 3 ---
 pluma/dialogs/pluma-preferences-dialog.c        | 3 ---
 pluma/dialogs/pluma-search-dialog.c             | 3 ---
 6 files changed, 21 deletions(-)

commit 495f56659d607938db00e34c9f84bac24013d999
Author: infirit <infirit@gmail.com>
Date:   Mon May 19 12:46:54 2014 +0200

    Drop support for glib < 2.36

 configure.ac                   | 2 +-
 pluma/pluma.c                  | 9 ---------
 tests/document-input-stream.c  | 3 ---
 tests/document-loader.c        | 3 ---
 tests/document-output-stream.c | 3 ---
 tests/document-saver.c         | 3 ---
 tests/smart-converter.c        | 3 ---
 7 files changed, 1 insertion(+), 25 deletions(-)

commit 82e1234a535c5e719d8876845e82e919c3662243
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Tue Apr 29 20:50:35 2014 +0200

    Sync translations with transifex

 po/ast.po |  85 +++++++++++++++----------------
 po/be.po  | 170 +++++++++++++++++++++++++++++++-------------------------------
 po/bg.po  |  79 +++++++++++++++--------------
 po/id.po  |  69 ++++++++++++-------------
 po/lt.po  |  71 +++++++++++++-------------
 po/ro.po  |  86 +++++++++++++++----------------
 po/sv.po  |  85 +++++++++++++++----------------
 7 files changed, 326 insertions(+), 319 deletions(-)

commit 6f768fd8cfbc852c11cb06eda7d23ff86e6f5776
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 29 20:46:25 2014 +0200

    Bump version to 1.9.0

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 0768242dc492e5dd2cb3dd328b9abd0991c0b8e4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 29 20:45:38 2014 +0200

    Use MateAboutDialog from libmate-desktop

 configure.ac                | 1 +
 pluma/pluma-commands-help.c | 6 ++++--
 pluma/pluma-utils.c         | 8 --------
 pluma/pluma-utils.h         | 4 ----
 pluma/pluma.c               | 3 ---
 5 files changed, 5 insertions(+), 17 deletions(-)

commit 5daa5b4fe500f6526365513131830bd0989ee64d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 29 20:22:15 2014 +0200

    GTK3: file-system-backend property is removed

 pluma/pluma-file-chooser-dialog.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4b130a90164a429d22ec9db9b265ac93a5786f50
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Tue Apr 29 12:10:42 2014 -0400

    Fix for #46 (GTK3 missing filename file in save as)

 pluma/pluma-file-chooser-dialog.c | 3 +++
 1 file changed, 3 insertions(+)

commit 9e01bddf6bd77e6f2a174f48dfba25a25a8ecf02
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Mar 21 15:55:04 2014 +0100

    Fix go to line crash after GTK3 support adding
    
    Closes https://github.com/mate-desktop/pluma/issues/75

 pluma/pluma-view.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 1dce8625e2bfbd5b320b7685acad64a1af2d2d67
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Mar 19 11:08:34 2014 +0100

    Use zenity instead of mate-dialogs

 plugins/externaltools/data/run-command.tool.in      | 2 +-
 plugins/externaltools/data/search-recursive.tool.in | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e418c0942376f27c437988acad42e70d0b3b48c8
Merge: ee354c1 337349a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Mar 6 13:10:25 2014 +0100

    Merge pull request #74 from ryanpcmcquen/master
    
    convert pluma.rc to LF line endings (currently CR+LF)

commit 337349ae2795eb090500f342d0d009aaccaa6d92
Author: Ryan Q <ryan.q@linux.com>
Date:   Wed Mar 5 07:32:37 2014 -0800

    convert pluma.rc to LF line endings (currently CR+LF)

 pluma/pluma.rc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ee354c1baeb6f3e1ab71cb43828a2cf1b30da5c0
Merge: c166df6 2ddfede
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Mar 3 09:57:41 2014 +0100

    Merge pull request #73 from ryanpcmcquen/master
    
    remove needless whitespace from pluma/plumatextregion.c

commit 2ddfede0dc75c008609de3fe4c78b143c1c74349
Author: Ryan Q <ryan.q@linux.com>
Date:   Sun Mar 2 14:53:55 2014 -0800

    remove needless whitespace from pluma/plumatextregion.c

 pluma/plumatextregion.c | 85 ++++++++++++++++++++++++-------------------------
 1 file changed, 42 insertions(+), 43 deletions(-)

commit c166df6246d923164993344985bd060fa198d8f8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 1 15:14:28 2014 +0100

    Bump version to 1.8.0

 NEWS         | 4 ++--
 configure.ac | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 87668a4d4aab3a67e29f18a12c5175b44834d453
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 1 15:13:44 2014 +0100

    Sync translations with transifex

 po/be.po    | 817 ++++++++++++++++++++++++++++++------------------------------
 po/en_GB.po |  58 ++---
 po/ko.po    |  67 ++---
 po/pt.po    |  62 ++---
 4 files changed, 503 insertions(+), 501 deletions(-)

commit 381afc444186e1486193ef193d9c60ed8228af3a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 23 19:35:38 2014 +0100

    Sync translations with transifex

 po/de.po | 66 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 34 insertions(+), 32 deletions(-)

commit d30af5ce18ee63efa8f66c5c7089bb4536805ec6
Author: infirit <infirit@gmail.com>
Date:   Sat Feb 22 17:36:10 2014 +0100

    Change file enciding to utf-8 (close #65)

 pluma/plumatextregion.c | 2 +-
 pluma/plumatextregion.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c537c7a2f6a5787e3bf77132717ed0a2d263f755
Author: infirit <infirit@gmail.com>
Date:   Fri Feb 21 20:37:54 2014 +0100

    Sync translations with transifex

 po/da.po | 346 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 173 insertions(+), 173 deletions(-)

commit 3c87cb554c8e44d803f75da1b0d9c86ad412b355
Merge: 6d575b1 ef20034
Author: Sander Sweers <infirit@gmail.com>
Date:   Fri Feb 21 12:37:20 2014 +0100

    Merge pull request #67 from flexiondotorg/master
    
    Corrects a typo. Fixes #63.

commit ef200341746b7741fcbfc20ca395b437c56986ad
Author: Martin Wimpress <code@flexion.org>
Date:   Fri Feb 21 11:25:58 2014 +0000

    Corrects a typo. Fixes #63.

 pluma/pluma-document.c | 2 +-
 pluma/pluma-panel.c    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6d575b1cf80c1fa21a0596852c2eb61f2f2b2ce0
Author: infirit <infirit@gmail.com>
Date:   Thu Feb 20 14:26:02 2014 +0100

    Add keywords key to .desktop file (close #62)
    
    Patch by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

 data/pluma.desktop.in.in | 1 +
 1 file changed, 1 insertion(+)

commit 5088dd808c57067ef0267bb9b57b2ce4d71c7322
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 18 21:44:01 2014 +0100

    Bump version to 1.7.90

 NEWS         | 4 ++--
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit f4e9365a7184c1e7ba1992a864affae54e6a1a1d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 18 21:43:09 2014 +0100

    Sync translations with transifex

 po/de.po    |  11 ++--
 po/el.po    |  14 ++---
 po/en_GB.po |   4 +-
 po/es.po    |  37 ++++++-------
 po/ja.po    |   7 +--
 po/pt_BR.po |  13 ++---
 po/sk.po    | 174 ++++++++++++++++++++++++++++++------------------------------
 po/zh_TW.po |  10 ++--
 8 files changed, 138 insertions(+), 132 deletions(-)

commit 2e01a9116a37b62e96b84da5bf5d9321757d350f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 10:41:16 2014 +0100

    Update NEWS

 NEWS | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 05416891f6e741c813d5cf115122a5eb5353c8d9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 10:39:03 2014 +0100

    configure: Add check-news

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b95bb9785e6b7aba5a013eb9e2ef897af0f861f7
Merge: 9e75f79 564a80c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 10:38:29 2014 +0100

    Merge pull request #61 from hekel/master
    
    Update Manual

commit 9e75f79b751c60cdf58794b5d7ffd44af29b92f2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 10:35:24 2014 +0100

    Dont free string owned by glib
    
    Regression caused by https://github.com/mate-desktop/pluma/commit/86369deb93ae28e39ef59d462fb6693747cb332f
    Closes https://github.com/mate-desktop/pluma/issues/60

 pluma/pluma-dirs.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 6996153b65419c61b75f4f3acd96a61141529ac8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 09:42:31 2014 +0100

    Fix pluma_dirs_get_user_accels_file
    
    And free always config_dir

 pluma/pluma-dirs.c | 37 ++++---------------------------------
 1 file changed, 4 insertions(+), 33 deletions(-)

commit 38f6f2b09c2a24d57badb82831e8d18e18648747
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 09:35:20 2014 +0100

    Remove support for never existed env var

 pluma/pluma-dirs.c | 18 +-----------------
 1 file changed, 1 insertion(+), 17 deletions(-)

commit 928082bef80543fd72f544c0f3c71f919468184f
Merge: 879dbc0 24c8142
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 09:30:06 2014 +0100

    Merge branch 'master' of github.com:mate-desktop/pluma

commit 564a80cbc2ab3a961f04a0c806d580196a842b36
Author: hekel <hekel@archlinux.info>
Date:   Fri Feb 14 04:01:07 2014 -0500

    Update Manual

 data/pluma.1 | 122 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 67 insertions(+), 55 deletions(-)

commit 24c8142ce72a813d43b4edfe6616606fc78c1f93
Author: infirit <infirit@gmail.com>
Date:   Thu Feb 13 18:09:14 2014 +0100

    remove mate-text-editor symlink

 pluma/Makefile.am | 3 ---
 1 file changed, 3 deletions(-)

commit 879dbc0ccd6c9a4911ca7453599c1845c04076ba
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Feb 12 13:52:30 2014 +0100

    MATE Foundation doesnt exist

 pluma/dialogs/pluma-close-confirmation-dialog.c | 2 +-
 pluma/dialogs/pluma-close-confirmation-dialog.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e0deea0a7ff317233a638d9bf1d65b2a7cc78ddd
Author: infirit <infirit@gmail.com>
Date:   Sun Feb 9 23:50:14 2014 +0100

    Bump version to 1.7.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5b24fe5a6d00e866b547c5d884265228fbb586c1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 3 18:17:46 2014 +0100

    Sync translations with transifex

 po/hu.po |   7 +-
 po/it.po |  12 +-
 po/sk.po | 974 ++++++++++++++++++++++++++++++++-------------------------------
 3 files changed, 498 insertions(+), 495 deletions(-)

commit 7ac38aa3a96f431725217ed23282d2e237f2cc3a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 3 18:16:42 2014 +0100

    Add missing include for GTK3
    
    Patch by Benjamin Denisart

 pluma/pluma-style-scheme-manager.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 5697065e11fd593042ad572ba032b96fddad9cb5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 29 16:07:41 2014 +0100

    Add tool to generate plugin templates

 tools/generate-plugin.py                      | 182 +++++++++++++++++++++++++
 tools/plugin_template/Makefile.am             |  37 ++++++
 tools/plugin_template/pluma-plugin.c          | 184 ++++++++++++++++++++++++++
 tools/plugin_template/pluma-plugin.desktop.in |  12 ++
 tools/plugin_template/pluma-plugin.h          |  76 +++++++++++
 tools/preprocessor.py                         | 161 ++++++++++++++++++++++
 6 files changed, 652 insertions(+)

commit f9933b9afdf50f311b48749fd4b6f88323f22665
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Jan 25 18:28:16 2014 +0100

    configure: Fix to allow build with latest mate-common

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit 03b99a2cf8aa01187510e74ec9f3e847a0a6408e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Jan 18 13:11:19 2014 +0100

    Bump version to 1.7.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8971b9fc9db7288d0fbc4a93554af0123b1815a5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Jan 18 13:01:31 2014 +0100

    Sync translations with transifex

 po/LINGUAS        |    2 +
 po/af.po          |  552 +++---
 po/am.po          |  991 +++++------
 po/ar.po          |  893 +++++-----
 po/as.po          |  554 +++---
 po/ast.po         |  552 +++---
 po/az.po          |  554 +++---
 po/be.po          |  554 +++---
 po/bg.po          |  554 +++---
 po/bn.po          |  554 +++---
 po/bn_IN.po       |  552 +++---
 po/br.po          |  554 +++---
 po/bs.po          |  554 +++---
 po/ca.po          |  573 +++---
 po/ca@valencia.po |  554 +++---
 po/cmn.po         | 4965 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/crh.po         |  554 +++---
 po/cs.po          |  573 +++---
 po/cy.po          |  552 +++---
 po/da.po          |  554 +++---
 po/de.po          |  556 +++---
 po/dz.po          |  554 +++---
 po/el.po          |  556 +++---
 po/en_AU.po       |  572 +++---
 po/en_CA.po       |  554 +++---
 po/en_GB.po       |  573 +++---
 po/eo.po          |  554 +++---
 po/es.po          |  556 +++---
 po/et.po          |  552 +++---
 po/eu.po          |  552 +++---
 po/fa.po          |  552 +++---
 po/fi.po          |  554 +++---
 po/fr.po          |  557 +++---
 po/ga.po          |  554 +++---
 po/gl.po          |  746 ++++----
 po/gu.po          |  554 +++---
 po/he.po          |  556 +++---
 po/hi.po          |  552 +++---
 po/hr.po          |  869 +++++-----
 po/hu.po          |  554 +++---
 po/id.po          |  558 +++---
 po/it.po          |  557 +++---
 po/ja.po          |  556 +++---
 po/ka.po          |  554 +++---
 po/kk.po          |  624 +++----
 po/kn.po          |  552 +++---
 po/ko.po          |  607 +++----
 po/ku.po          |  552 +++---
 po/ky.po          | 1368 +++++++--------
 po/lt.po          |  552 +++---
 po/lv.po          |  569 +++---
 po/mai.po         |  554 +++---
 po/mg.po          |  554 +++---
 po/mk.po          |  554 +++---
 po/ml.po          |  552 +++---
 po/mn.po          |  554 +++---
 po/mr.po          |  554 +++---
 po/ms.po          | 2549 +++++++++++++--------------
 po/nb.po          |  552 +++---
 po/nds.po         |  554 +++---
 po/ne.po          |  554 +++---
 po/nl.po          |  554 +++---
 po/nn.po          |  554 +++---
 po/oc.po          |  554 +++---
 po/or.po          |  554 +++---
 po/pa.po          |  554 +++---
 po/pl.po          |  573 +++---
 po/ps.po          |  554 +++---
 po/pt.po          |  555 +++---
 po/pt_BR.po       |  556 +++---
 po/ro.po          |  554 +++---
 po/ru.po          |  557 +++---
 po/si.po          |  554 +++---
 po/sk.po          | 1076 ++++++------
 po/sl.po          |  573 +++---
 po/sq.po          |  552 +++---
 po/sr.po          |  554 +++---
 po/sr@latin.po    |  554 +++---
 po/sv.po          |  552 +++---
 po/ta.po          |  554 +++---
 po/te.po          |  554 +++---
 po/th.po          |  552 +++---
 po/tk.po          |  554 +++---
 po/tr.po          |  558 +++---
 po/uk.po          |  612 +++----
 po/ur.po          | 4979 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/vi.po          |  554 +++---
 po/wa.po          |  554 +++---
 po/xh.po          |  554 +++---
 po/zh_CN.po       |  561 +++---
 po/zh_HK.po       |  552 +++---
 po/zh_TW.po       |  599 +++----
 92 files changed, 37812 insertions(+), 26411 deletions(-)

commit 587c11cec26ce75132573106b9a2dd2759621bc9
Merge: 90e4a3c 86369de
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 17 03:20:49 2014 -0800

    Merge pull request #55 from infirit/pluma-dirs
    
    Move plugins to data_dir, fix accel file location and minor cleanup

commit 86369deb93ae28e39ef59d462fb6693747cb332f
Author: infirit <infirit@gmail.com>
Date:   Wed Jan 15 23:32:45 2014 +0100

    Move user plugins dir to data_dir
    
    Plugins don't belong in config_dir so we move them to data_dir.
    User will need to move the plugin dir to the new location, see NEWS.

 NEWS               | 10 +++++++++-
 pluma/pluma-dirs.c |  8 ++++----
 2 files changed, 13 insertions(+), 5 deletions(-)

commit bacead286679a7baaab6249c7fa99ff07318f449
Author: infirit <infirit@gmail.com>
Date:   Thu Jan 16 00:39:36 2014 +0100

    pluma-dirs: Fix accel file location

 pluma/pluma-dirs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2cfd8639d02875325e046e2ffeea33d1e2af7067
Author: infirit <infirit@gmail.com>
Date:   Thu Jan 16 00:34:56 2014 +0100

    plumadirs: Cleanup config dir usage
    
    Remove backwards compatibility for < glib 2.6 as we require glib 2.22 at
    a minimum now.
    Use g_get_user_config_dir instead of custom logic.
    Use pluma_dirs_get_user_config_dir in pluma_dirs_get_user_accels_file.

 pluma/pluma-dirs.c | 22 ++++++----------------
 1 file changed, 6 insertions(+), 16 deletions(-)

commit 90e4a3c917b32d49c5e963a99cea131d5e3992fc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 1 19:38:07 2014 +0100

    Fix gettext

 configure.ac | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit b660002db7e21ee96bebff48a73a6a4416fb5580
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 1 17:56:47 2014 +0100

    Fix gettext

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 33c8e58730a0429a36aae2c8ee49c6dd7a8c82e9
Merge: 557fda5 2adb637
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jan 6 02:47:47 2014 -0800

    Merge pull request #52 from infirit/master
    
    Add  to ACLOCAL_AMFLAGS for user added flags

commit 2adb637a2e32c5a7ee7c9cb25fde19e44b176ec2
Author: infirit <infirit@gmail.com>
Date:   Sun Jan 5 14:23:34 2014 +0100

    Add  to ACLOCAL_AMFLAGS for user added flags

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 557fda5b12a5ff6d16cb1296871acdce1a2ddb25
Merge: 7ceb8fe 97336e5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 2 11:57:42 2014 -0800

    Merge pull request #49 from City-busz/make-caja-optional
    
    Use Caja GSettings schema optionally

commit 97336e5a4908dd82937e224f90d13cc9e260c55c
Author: Balló György <ballogyor@gmail.com>
Date:   Sun Dec 1 09:53:13 2013 +0100

    Bump required glib version number to 2.32
    
    It's required for the GSettingsSchemaSource API.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 052e043ea3ebfd7551707dcc229389f1b91e783c
Author: Balló György <ballogyor@gmail.com>
Date:   Sat Nov 30 13:02:57 2013 +0100

    Use Caja GSettings schema optionally
    
    This makes Caja dependency optional.

 plugins/filebrowser/pluma-file-browser-plugin.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 7ceb8fe98bdaf81e3e9a638f0abbfa657aa00ab2
Merge: 44be0fc d606b8d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Nov 15 03:30:16 2013 -0800

    Merge pull request #48 from infirit/master
    
    gtk3: fix implicit declaration: gtk_source_language_get_id

commit d606b8dee0dddc9dd4e4a03779eaf13f1a61a830
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 15 10:00:27 2013 +0100

    gtk3: fix implicit declaration: gtk_source_language_get_id
    
    modeline-parser.c:651:11: warning: implicit declaration of function 'gtk_source_language_get_id'
    [-Wimplicit-function-declaration]

 plugins/modelines/modeline-parser.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 44be0fc2b7b869f55f452cffb5f9fbc64a08d594
Merge: 4c04783 665c8dd
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Nov 9 07:31:12 2013 -0800

    Merge pull request #44 from infirit/master
    
    Add section on running test and fixes

commit 665c8ddf3f90e0a0cf14432c8a387164aacbea0f
Author: infirit <infirit@gmail.com>
Date:   Sat Nov 9 10:29:06 2013 +0100

    Update bug tracker url

 README | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 16ce16f560bab0428cd010bab74db61c8525958a
Author: infirit <infirit@gmail.com>
Date:   Sat Nov 9 10:26:10 2013 +0100

    Update name in instalation

 README | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9c515aece28eb1877d0e5869aecd2624212fe037
Author: infirit <infirit@gmail.com>
Date:   Sat Nov 9 10:24:20 2013 +0100

    Add section for running tests

 README | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 4c04783ce1ad841010d72d08a72a0bf23edc837f
Merge: 18e207d af3a5d1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 6 07:32:33 2013 -0800

    Merge pull request #43 from infirit/master
    
    add the primary-toolbar style class to the primary toolbar

commit af3a5d1f69509ac9c443591a66359a6eb4df8d02
Author: infirit <infirit@gmail.com>
Date:   Wed Nov 6 15:49:59 2013 +0100

    add the primary-toolbar style class to the primary toolbar

 pluma/pluma-window.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 18e207daee1a30b35246e7864d3128ae7e85a574
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 6 13:39:59 2013 +0100

    Fix stable git branch in configure

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0d33dc62d877e0ba72b760f6dae3d9c26ffe9131
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 6 13:38:25 2013 +0100

    Fix make dist

 plugins/checkupdate/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit cc5426de20fdf4421d63b7e77cbc02d0f44673b0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 6 01:22:15 2013 +0100

    Fix search fields in GTK3

 pluma/pluma-history-entry.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 39bcb8d6bfb00ab8fcf7408a595163888d41f9b4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Nov 5 21:59:08 2013 +0100

    Fix Sun GNOME Documentation Team references

 help/C/index.docbook | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 77e395416708df29ce29ffe8bdac6fc191181bb2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Nov 5 19:50:01 2013 +0100

    Bump version to 1.7.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a08c14ba6bf29d50d6fdda1e159b1be8ca8bdbdc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Nov 5 19:49:37 2013 +0100

    taglist: Fix tags loading with GTK3

 plugins/taglist/pluma-taglist-plugin-panel.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 76265841b74cad78a60e5f960d37beb8ba854e2e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Nov 4 12:46:45 2013 +0100

    Fix some deprecations

 plugins/spell/pluma-spell-language-dialog.c | 2 ++
 plugins/time/pluma-time-plugin.c            | 4 ++++
 pluma/pluma-document.c                      | 4 +++-
 pluma/pluma-window.c                        | 6 +++---
 pluma/pluma.c                               | 2 +-
 tests/document-input-stream.c               | 2 ++
 tests/document-loader.c                     | 2 ++
 tests/document-output-stream.c              | 2 ++
 tests/document-saver.c                      | 2 ++
 tests/smart-converter.c                     | 2 ++
 10 files changed, 23 insertions(+), 5 deletions(-)

commit c0bd4250ef3ceda457aaa492cc950b215f5db06e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Nov 4 12:14:13 2013 +0100

    taglist: Fix GTK3 support

 plugins/taglist/pluma-taglist-plugin-panel.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit bdec76d8f1f2b2b844436c1c07d9d8803e2356c6
Merge: 70a9d46 1bf710e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Nov 4 02:26:08 2013 -0800

    Merge pull request #24 from bl0ckeduser/master
    
    Fix search/replace of strings containing backslashes

commit 70a9d462ec240b59bab82bc46ac60f64cb801a40
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 30 23:13:21 2013 +0100

    filebrowser: Improve GTK3 support

 plugins/filebrowser/pluma-file-browser-view.c   | 6 +++++-
 plugins/filebrowser/pluma-file-browser-widget.c | 8 ++++++++
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 3fa783ec0ec552b91203f713db74d7c5919bfc7c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 30 23:06:31 2013 +0100

    Update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit a7ce13a18613356b1c7266d342037efbe7d890a9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 30 17:27:33 2013 +0100

    Add gtksource.h include for GTK3

 pluma/dialogs/pluma-preferences-dialog.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 1418f8639d7bc4ddd9218a89fe340fbffea8677a
Merge: e79794e 0d2f43a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 30 09:07:48 2013 -0700

    Merge pull request #39 from infirit/master
    
    gtk3 check gtksourceview include

commit 0d2f43acef5c3d9b6b19c39ef7662b00fbc71763
Author: infirit <infirit@gmail.com>
Date:   Wed Oct 30 17:06:27 2013 +0100

    gtk3 check gtksourceview include

 pluma/pluma-file-chooser-dialog.c | 2 ++
 pluma/pluma-language-manager.c    | 3 ++-
 pluma/pluma-window.c              | 3 +++
 3 files changed, 7 insertions(+), 1 deletion(-)

commit e79794e482337c26cdeb3daff28c12ea8fb2f5d8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 30 16:20:47 2013 +0100

    plugins: Add GTK3 support

 plugins/docinfo/pluma-docinfo-plugin.c          |  9 +++++++++
 plugins/filebrowser/pluma-file-browser-utils.c  | 10 +++++++++-
 plugins/filebrowser/pluma-file-browser-view.c   |  4 ++++
 plugins/filebrowser/pluma-file-browser-widget.c |  4 ++++
 plugins/sort/pluma-sort-plugin.c                |  9 +++++++++
 plugins/spell/pluma-spell-checker-dialog.c      | 16 ++++++++++++++++
 plugins/taglist/pluma-taglist-plugin-panel.c    |  4 ++++
 plugins/time/pluma-time-plugin.c                | 14 ++++++++++++++
 8 files changed, 69 insertions(+), 1 deletion(-)

commit 7f0ccea48196a0da9523db3d566ee8020cd742a1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 30 00:56:56 2013 +0100

    pluma: Add GTK3 support

 pluma/dialogs/pluma-close-confirmation-dialog.c |   2 +
 pluma/dialogs/pluma-encodings-dialog.c          |   2 +
 pluma/dialogs/pluma-preferences-dialog.c        |   2 +
 pluma/dialogs/pluma-search-dialog.c             |   6 ++
 pluma/pluma-app.c                               |   2 +-
 pluma/pluma-commands-search.c                   |   5 ++
 pluma/pluma-document.c                          |  79 ++++++++++++++++-
 pluma/pluma-documents-panel.c                   |  17 +++-
 pluma/pluma-encodings-combo-box.c               |   4 +
 pluma/pluma-encodings-combo-box.h               |   2 +-
 pluma/pluma-file-chooser-dialog.c               |   5 ++
 pluma/pluma-history-entry.c                     |  18 ++++
 pluma/pluma-history-entry.h                     |   8 ++
 pluma/pluma-io-error-message-area.c             |  40 +++++++++
 pluma/pluma-language-manager.c                  |   6 ++
 pluma/pluma-language-manager.h                  |   1 +
 pluma/pluma-notebook.c                          |  41 ++++++++-
 pluma/pluma-panel.c                             |  13 +++
 pluma/pluma-prefs-manager-app.c                 |   8 ++
 pluma/pluma-print-job.c                         |   4 +
 pluma/pluma-print-preview.c                     |   9 +-
 pluma/pluma-session.c                           |   4 +
 pluma/pluma-status-combo-box.c                  |  19 +++-
 pluma/pluma-statusbar.c                         |  13 +++
 pluma/pluma-style-scheme-manager.c              |  16 ++++
 pluma/pluma-utils.c                             |  25 +++++-
 pluma/pluma-view.c                              | 110 +++++++++++++++++++++---
 pluma/pluma-window.c                            |  20 ++++-
 pluma/pluma.c                                   |   6 +-
 pluma/smclient/eggsmclient-private.h            |   3 +
 pluma/smclient/eggsmclient-xsmp.c               |   4 +
 31 files changed, 462 insertions(+), 32 deletions(-)

commit 5f87f646777bf5b09610bbc6eed8fafd007f34c6
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 30 00:54:14 2013 +0100

    Add GTK3 support in configure

 configure.ac | 30 +++++++++++++++++++++++++-----
 1 file changed, 25 insertions(+), 5 deletions(-)

commit 2f00a27541d02a37917867ff53a74e493ed235e9
Merge: e12c6b7 40a701b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Oct 19 06:29:25 2013 -0700

    Merge pull request #37 from infirit/master
    
    Fix Chnagelog generation

commit 40a701beef0002a813a55337d24264a12dbabe3e
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 19 15:14:44 2013 +0200

    Fix Chnagelog generation

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e12c6b7c696a13b60d90f57d98f35f7698cbf342
Merge: c867bb0 1cbb900
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Oct 19 06:01:03 2013 -0700

    Merge pull request #36 from infirit/master
    
    Fixes for make dist

commit 1cbb900219bce4a804d4af9a929e706b687c03ef
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 19 14:22:20 2013 +0200

    Misc 'make dist' fixes

 Makefile.am | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit 59f2db5110bf8084a03c2a961a411af4cb89318d
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 19 14:20:45 2013 +0200

    Remove schema file with no translation

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit 88ff6bdb991c384f86e1038d27a2a8dc27252e74
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 19 14:19:34 2013 +0200

    Fix make dist, use .in.in

 data/Makefile.am                | 2 +-
 plugins/filebrowser/Makefile.am | 2 +-
 plugins/time/Makefile.am        | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 10798a09c97c66fcbd0693f70e5342194139a84c
Author: infirit <infirit@gmail.com>
Date:   Sat Oct 19 13:43:45 2013 +0200

    Make tar.xz instead of tar.bz2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c867bb0be8cc40ece8be7cac0709461bec85068e
Merge: bd9e37b fa9c24a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 17 16:22:03 2013 -0700

    Merge pull request #34 from NiceandGently/master
    
    rename to pluma

commit fa9c24a8d33a6325947faf88d2bd4560ace7ffe9
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Oct 18 01:01:11 2013 +0200

    rename to pluma

 HACKING                                         | 2 +-
 autogen.sh                                      | 2 +-
 configure.ac                                    | 4 ++--
 plugins/checkupdate/pluma-check-update-plugin.c | 4 ++--
 4 files changed, 6 insertions(+), 6 deletions(-)

commit bd9e37bc9ab88f8342d66f8e636e901faae31806
Merge: a43a1d9 41092cc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 10 05:52:27 2013 -0700

    Merge pull request #32 from infirit/master
    
    POTFILES.in: Add missing files and make test work

commit 41092cc5de0384979fc211162e795719b3bfd114
Author: infirit <infirit@gmail.com>
Date:   Thu Oct 10 14:44:10 2013 +0200

    POTFILES.in: Add missing files and make test work

 po/POTFILES.in | 2 ++
 1 file changed, 2 insertions(+)

commit a43a1d9f36f393b64ef965e033757f70c201141c
Merge: dfe5055 66585e2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Sep 26 01:29:31 2013 -0700

    Merge pull request #29 from kallisti5/master
    
    filemanager: Add assertion checks to prevent dereferencing ptrs

commit 66585e2be5a1cd936abb27db318deba4bfc4a453
Author: Alexander von Gluck IV <kallisti5@unixzen.com>
Date:   Tue Sep 24 19:59:06 2013 -0500

    filemanager: Add missing data assignment
    
    * Amanas mentioned in IRC that it was likely
      missed after the gsettings migration.

 plugins/filebrowser/pluma-file-browser-plugin.c | 1 +
 1 file changed, 1 insertion(+)

commit b4b58f54b640165ef82dcabeb8d70fb4ade475f0
Author: Alexander von Gluck IV <kallisti5@unixzen.com>
Date:   Tue Sep 24 18:46:53 2013 -0500

    filemanager: Add assertion checks to prevent dereferencing ptrs
    
    * clang static analysis shows gaps where these calls could
      rereferencce pointers. Perform an assertion check.

 plugins/filebrowser/pluma-file-browser-store.c  | 2 ++
 plugins/filebrowser/pluma-file-browser-widget.c | 2 ++
 2 files changed, 4 insertions(+)

commit 1bf710e2a1addeada225b94006d3479ccdc43230
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Sun Sep 22 12:06:08 2013 -0400

    Gracefully handle a rare search/replace special case

 pluma/pluma-commands-search.c | 46 +++++++++++++++++++++++++++++++++++++++----
 1 file changed, 42 insertions(+), 4 deletions(-)

commit 24dc1853b70b34301034c28e2d0a0e2bb416e8f6
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Sun Sep 22 11:29:49 2013 -0400

    Make escape sequence parsing in search a GUI checkbox option

 pluma/dialogs/pluma-search-dialog.c  | 20 ++++++++++++++
 pluma/dialogs/pluma-search-dialog.h  |  5 ++++
 pluma/dialogs/pluma-search-dialog.ui | 18 ++++++++++++
 pluma/pluma-commands-search.c        | 53 ++++++++++++++++++++++++++++++------
 pluma/pluma-document.h               |  7 ++++-
 pluma/pluma-view.c                   | 18 ++++++++++++
 6 files changed, 111 insertions(+), 10 deletions(-)

commit dfe505522c630863438c3649e2a028f14e1138fa
Author: raveit <chat-to-me@raveit.de>
Date:   Thu Jul 4 17:51:49 2013 +0200

    print to file fix

 pluma/pluma-tab.c | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit 1a171bb32733f3599a29a3fe184dff10e6d1bceb
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jul 4 17:33:11 2013 +0200

    fix_hardcoded_python_sitelibs_in_configure.ac
    
    to avoid those warnings.
    
    DEBUG: checking for python version... 2.7
    DEBUG: checking for python platform... linux2
    DEBUG: checking for python script directory... ${prefix}/lib/python2.7/site-packages
    DEBUG: checking for python extension module directory... ${exec_prefix}/lib64/python2.7/site-packages
    DEBUG: checking for headers required to compile python extensions... found
    DEBUG: sed: can't read /usr/lib/python2.7/config/Makefile: No such file or directory
    DEBUG: sed: can't read /usr/lib/python2.7/config/Makefile: No such file or directory

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1a52ccbfb58145d558ede645728ef2810d1a51ef
Merge: 8e0336c 7452d28
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Aug 4 07:39:23 2013 -0700

    Merge pull request #27 from infirit/yelptools
    
    Use yelp-tools instead of mate-doc-utils

commit 8e0336cb256cfde2485a7321f773d916ab3e33fb
Merge: d5249f5 06ae993
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Aug 3 01:48:25 2013 -0700

    Merge pull request #26 from infirit/master
    
    Make automake happy: INCLUDES -> AM_CPPFLAGS

commit 06ae9932b08699d0137d5049c58b87be3e3072b9
Author: infirit <infirit@gmail.com>
Date:   Sat Aug 3 00:08:36 2013 +0200

    Make automake happy: INCLUDES -> AM_CPPFLAGS

 plugin-loaders/c/Makefile.am      | 2 +-
 plugin-loaders/python/Makefile.am | 2 +-
 plugins/changecase/Makefile.am    | 2 +-
 plugins/checkupdate/Makefile.am   | 2 +-
 plugins/docinfo/Makefile.am       | 2 +-
 plugins/filebrowser/Makefile.am   | 2 +-
 plugins/modelines/Makefile.am     | 2 +-
 plugins/sort/Makefile.am          | 2 +-
 plugins/spell/Makefile.am         | 2 +-
 plugins/taglist/Makefile.am       | 2 +-
 plugins/time/Makefile.am          | 2 +-
 pluma/Makefile.am                 | 2 +-
 pluma/dialogs/Makefile.am         | 2 +-
 pluma/osx/Makefile.am             | 2 +-
 pluma/smclient/Makefile.am        | 2 +-
 tests/Makefile.am                 | 2 +-
 16 files changed, 16 insertions(+), 16 deletions(-)

commit 7452d28d5cb86530b0d313c658d615e6218cc837
Author: infirit <infirit@gmail.com>
Date:   Fri Aug 2 23:54:44 2013 +0200

    Use yelp-tools instead of mate-doc-utils

 Makefile.am                         |  3 ---
 autogen.sh                          |  8 +++++++-
 configure.ac                        |  3 +--
 help/C/{pluma.xml => index.docbook} |  8 ++++----
 help/C/legal.xml                    |  2 +-
 help/Makefile.am                    | 12 +++++-------
 help/ar/ar.po                       | 16 ++++++++--------
 help/bg/bg.po                       |  8 ++++----
 help/ca/ca.po                       | 20 ++++++++++----------
 help/cs/cs.po                       | 20 ++++++++++----------
 help/da/da.po                       | 20 ++++++++++----------
 help/de/de.po                       | 20 ++++++++++----------
 help/el/el.po                       | 20 ++++++++++----------
 help/es/es.po                       | 20 ++++++++++----------
 help/fi/fi.po                       | 20 ++++++++++----------
 help/fr/fr.po                       | 20 ++++++++++----------
 help/hu/hu.po                       | 20 ++++++++++----------
 help/it/it.po                       | 20 ++++++++++----------
 help/ja/ja.po                       | 20 ++++++++++----------
 help/ko/ko.po                       | 20 ++++++++++----------
 help/oc/oc.po                       | 10 +++++-----
 help/pt_BR/pt_BR.po                 | 20 ++++++++++----------
 help/ru/ru.po                       | 22 +++++++++++-----------
 help/sv/sv.po                       | 20 ++++++++++----------
 help/th/th.po                       | 16 ++++++++--------
 help/uk/uk.po                       | 20 ++++++++++----------
 help/zh_CN/zh_CN.po                 | 20 ++++++++++----------
 help/zh_HK/zh_HK.po                 |  8 ++++----
 help/zh_TW/zh_TW.po                 |  8 ++++----
 pluma/pluma-help.c                  |  4 ++--
 30 files changed, 224 insertions(+), 224 deletions(-)

commit 9b7c40cb7350c5eb04f6c0bc472f25c44bd55025
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Fri May 31 13:46:48 2013 -0400

    Fix search/replace of strings containing backslashes

 pluma/pluma-commands-search.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit d5249f5fe6ec943e813fe32ad47035aac543bbf3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Apr 17 00:58:25 2013 +0200

    Fix incorrect-fsf-address rpmlint check
    Closes #22 (https://github.com/mate-desktop/mate-text-editor/issues/22)

 COPYING                                  | 41 ++++++++++++++++----------------
 plugins/snippets/data/lang/snippets.lang |  4 ++--
 pluma/pluma-ui.xml                       |  4 ++--
 3 files changed, 24 insertions(+), 25 deletions(-)

commit a2550f972d5e674e8a99fdbfdc9a653608cf129a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 2 16:00:25 2013 +0200

    Bump version to 1.6.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07fa92b3b1132d9a551f0a5dadd0483a5a698522
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 2 15:59:48 2013 +0200

    Sync translations with transifex

 po/LINGUAS        |    2 +
 po/af.po          | 5622 +++++++++++++++++--------------------------
 po/am.po          | 6256 ++++++++++++++++++++++++-----------------------
 po/ar.po          | 3756 ++++++++++++++---------------
 po/as.po          | 4414 ++++++++++++++++------------------
 po/ast.po         | 3859 +++++++++++++----------------
 po/az.po          | 6427 +++++++++++++++++++++++++------------------------
 po/be.po          | 5611 +++++++++++++++++++------------------------
 po/bg.po          | 3695 +++++++++++++---------------
 po/bn.po          | 4022 ++++++++++++++-----------------
 po/bn_IN.po       | 3646 +++++++++++++---------------
 po/br.po          | 4262 ++++++++++++++++----------------
 po/bs.po          | 6560 +++++++++++++++++++++++++-------------------------
 po/ca.po          | 5322 +++++++++++++++-------------------------
 po/ca@valencia.po | 5084 ++++++++++++++-------------------------
 po/crh.po         | 3837 +++++++++++++----------------
 po/cs.po          | 3659 +++++++++++++---------------
 po/cy.po          | 4981 +++++++++++++++++---------------------
 po/da.po          | 4220 +++++++++++++-------------------
 po/de.po          | 4213 ++++++++++++++------------------
 po/dz.po          | 5422 +++++++++++++++++++----------------------
 po/el.po          | 3706 +++++++++++++---------------
 po/en_AU.po       | 4964 ++++++++++++++++++++++++++++++++++++++
 po/en_CA.po       | 5428 +++++++++++++++++++++--------------------
 po/en_GB.po       | 5241 +++++++++++++++-------------------------
 po/eo.po          | 4311 ++++++++++++++++-----------------
 po/es.po          | 3554 ++++++++++++---------------
 po/et.po          | 3379 +++++++++++++++++---------
 po/eu.po          | 3843 +++++++++++++----------------
 po/fa.po          | 6852 +++++++++++++++++++++++++++-------------------------
 po/fi.po          | 3947 +++++++++++++-----------------
 po/fr.po          | 3822 ++++++++++++++---------------
 po/ga.po          | 3657 ++++++++++++++--------------
 po/gl.po          | 3711 +++++++++++++---------------
 po/gu.po          | 4154 ++++++++++++++++----------------
 po/he.po          | 3594 ++++++++++++---------------
 po/hi.po          | 4208 ++++++++++++++++----------------
 po/hr.po          | 4442 +++++++++++++++++-----------------
 po/hu.po          | 3647 +++++++++++++---------------
 po/id.po          | 3243 ++++++++++++-------------
 po/it.po          | 3749 ++++++++++++++---------------
 po/ja.po          | 3373 ++++++++++++--------------
 po/ka.po          | 5608 ++++++++++++++++++++++---------------------
 po/kk.po          | 2560 ++++++++++----------
 po/kn.po          | 3420 ++++++++++++--------------
 po/ko.po          | 3389 +++++++++++++-------------
 po/ku.po          | 4689 +++++++++++++++++-------------------
 po/ky.po          | 4949 ++++++++++++++++++++++++++++++++++++++
 po/lt.po          | 3861 +++++++++++++----------------
 po/lv.po          | 3924 +++++++++++++-----------------
 po/mai.po         | 4234 ++++++++++++++++----------------
 po/mg.po          | 5517 +++++++++++++++++++++---------------------
 po/mk.po          | 4613 +++++++++++++++++------------------
 po/ml.po          | 3890 +++++++++++++-----------------
 po/mn.po          | 6507 +++++++++++++++++++++++++------------------------
 po/mr.po          | 4190 ++++++++++++++++----------------
 po/ms.po          | 6470 +++++++++++++++++++++++++------------------------
 po/nb.po          | 3571 +++++++++++++--------------
 po/nds.po         | 3309 +++++++++++++------------
 po/ne.po          | 4854 ++++++++++++++++++-------------------
 po/nl.po          | 3877 +++++++++++++-----------------
 po/nn.po          | 4638 ++++++++++++++---------------------
 po/oc.po          | 3987 +++++++++++++++---------------
 po/or.po          | 3537 +++++++++++++--------------
 po/pa.po          | 3967 ++++++++++++++----------------
 po/pl.po          | 3743 ++++++++++++++---------------
 po/ps.po          | 4331 +++++++++++++++++----------------
 po/pt.po          | 5641 ++++++++++++++++---------------------------
 po/pt_BR.po       | 3938 +++++++++++++-----------------
 po/ro.po          | 3895 ++++++++++++++----------------
 po/ru.po          | 2825 +++++++++++-----------
 po/si.po          | 4679 ++++++++++++++++++------------------
 po/sk.po          | 4613 +++++++++++++++++------------------
 po/sl.po          | 3769 ++++++++++++++---------------
 po/sq.po          | 4593 +++++++++++++++++------------------
 po/sr.po          | 5318 +++++++++++++++-------------------------
 po/sr@latin.po    | 5318 +++++++++++++++-------------------------
 po/sv.po          | 3969 ++++++++++++++----------------
 po/ta.po          | 3784 ++++++++++++++---------------
 po/te.po          | 4159 ++++++++++++++++----------------
 po/th.po          | 4772 ++++++++++++++----------------------
 po/tk.po          | 6450 +++++++++++++++++++++++++------------------------
 po/tr.po          | 5561 +++++++++++++++++-------------------------
 po/uk.po          | 3363 ++++++++++++--------------
 po/vi.po          | 4328 +++++++++++++++++----------------
 po/wa.po          | 6233 ++++++++++++++++++++++++-----------------------
 po/xh.po          | 6940 ++++++++++++++++++++++++++++-------------------------
 po/zh_CN.po       | 3206 ++++++++++++-------------
 po/zh_HK.po       | 3756 +++++++++++++----------------
 po/zh_TW.po       | 3907 ++++++++++++++----------------
 90 files changed, 188928 insertions(+), 205419 deletions(-)

commit 008e40b337edda76a771fd8ed0c16ecf8f51fcfb
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 2 15:55:50 2013 +0200

    Add transifex configuration file

 .tx/config | 7 +++++++
 1 file changed, 7 insertions(+)

commit 07bbfe3cf5b4868b11db36af2a18935b2a1746fc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 2 15:49:54 2013 +0200

    Add empty ChangeLog to allow build from git

 ChangeLog | 2 ++
 1 file changed, 2 insertions(+)

commit 15365ffde558d1f5f063c647e7914c5294409c02
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Mar 24 16:33:13 2013 -0400

    "Removed ChangeLog"

 ChangeLog | 1785 -------------------------------------------------------------
 1 file changed, 1785 deletions(-)

commit 927136bc232b9023fe42fc92d43bfc8ab462f49f
Merge: aa067c2 46b7831
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Mar 22 14:50:08 2013 -0700

    Merge pull request #19 from cygwinports/master
    
    Add mateconf-gsettings-data-convert file

commit aa067c203d02363fd08100cf46ee215420a06ee4
Merge: 7e67aa3 461ab04
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 17 07:04:07 2013 -0700

    Merge pull request #20 from NiceandGently/master
    
    remove category MATE from desktop file

commit 461ab04ea4a253b47e60e00c1e72ba17bc0a0a14
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Mar 17 14:47:04 2013 +0100

    remove category MATE

 data/pluma.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 46b7831d0512d17fd6734f02075f3ecc4aad8cd9
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Fri Mar 15 02:08:43 2013 -0500

    Add mateconf-gsettings-data-convert file

 data/Makefile.am   |  4 ++++
 data/pluma.convert | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

commit 7e67aa303e3a20a84abf56291d21a82eed3902df
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 25 22:44:02 2013 +0100

    Remove obsolete distro/archlinux folder

 distro/archlinux/PKGBUILD                 | 37 -------------------------------
 distro/archlinux/mate-text-editor.install | 22 ------------------
 2 files changed, 59 deletions(-)

commit 295dceba7f135e6a9703d42b5644df6a78284999
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 25 12:21:38 2013 +0100

    Bump version to 1.5.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 978889924b7f2a53c616740c84c022ac0f6f5402
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 25 12:21:12 2013 +0100

    Add NEWS file for MATE

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 261bf5790a40a13f2de04d6e311a0fec698a7d5c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 24 21:06:49 2013 +0100

    Update POTFILES.in

 po/POTFILES.in | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit f2b686d6f67dacc30c0f497a99485e279def6cf4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 24 21:06:15 2013 +0100

    time: Migrate to GSettings

 plugins/time/Makefile.am                           |  13 ++-
 .../org.mate.pluma.plugins.time.gschema.xml.in.in  |  23 +++++
 plugins/time/pluma-time-plugin.c                   | 107 ++++++---------------
 3 files changed, 62 insertions(+), 81 deletions(-)

commit 0a745cb559ffbcfad564437b214e649e0476d0f3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 24 21:05:58 2013 +0100

    filebrowser: Migrate to GSettings

 plugins/filebrowser/Makefile.am                    |  29 +--
 ...ate.pluma.plugins.filebrowser.gschema.xml.in.in |  43 ++++
 plugins/filebrowser/pluma-file-browser-plugin.c    | 284 ++++++---------------
 plugins/filebrowser/pluma-file-browser.schemas.in  |  97 -------
 4 files changed, 130 insertions(+), 323 deletions(-)

commit 698c1a83b5f2d566cf8a6500f49158f98c1efacf
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 24 21:05:32 2013 +0100

    checkupdate: Migrate to GSettings

 plugins/checkupdate/Makefile.am                    | 33 +++++++-----------
 ...ate.pluma.plugins.checkupdate.gschema.xml.in.in |  9 +++++
 plugins/checkupdate/pluma-check-update-plugin.c    | 39 +++++++++-------------
 plugins/checkupdate/pluma-check-update.schemas.in  | 13 --------
 4 files changed, 36 insertions(+), 58 deletions(-)

commit 4bcb3b6f8b35aad20674fd88d97378d0612c10f2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 24 21:05:07 2013 +0100

    Update configure.ac for GSettings migration

 configure.ac | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

commit 261945f51b2d96abbef3de6e6239981f95269424
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 24 21:03:53 2013 +0100

    Migrate pluma to GSettings

 pluma/dialogs/pluma-preferences-dialog.c |   1 -
 pluma/dialogs/pluma-search-dialog.c      |   4 +-
 pluma/pluma-app.c                        |   2 +-
 pluma/pluma-history-entry.c              |  75 +---
 pluma/pluma-plugins-engine.c             |   2 +-
 pluma/pluma-plugins-engine.h             |   2 +-
 pluma/pluma-prefs-manager-app.c          | 633 ++++++++++++-------------------
 pluma/pluma-prefs-manager-private.h      |   6 +-
 pluma/pluma-prefs-manager.c              | 586 +++++++---------------------
 pluma/pluma-prefs-manager.h              | 203 +++-------
 pluma/pluma-print-job.c                  |  12 +-
 11 files changed, 480 insertions(+), 1046 deletions(-)

commit c3ebc88709aebb8be2b010f73a6e08ce88a2b54a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 24 20:44:32 2013 +0100

    Add GSettings schema

 data/Makefile.am                      |  31 +-
 data/org.mate.pluma.gschema.xml.in.in | 200 +++++++++++++
 data/pluma-bugreport.sh.in            |  22 +-
 data/pluma.schemas.in.in              | 537 ----------------------------------
 4 files changed, 224 insertions(+), 566 deletions(-)

commit 08a1f87229d999b59c949798ac139c66191ddc35
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 24 20:43:04 2013 +0100

    Rename NEWS => NEWS.GNOME

 NEWS => NEWS.GNOME | 126 ++++++++++++++++++++++++++---------------------------
 1 file changed, 63 insertions(+), 63 deletions(-)

commit 93dce2bc982cb90c4bdc935da979208a0589e446
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Nov 18 20:54:49 2012 -0500

    fixed incorrect fsf addresses.

 plugin-loaders/c/pluma-plugin-loader-c.c           | 4 ++--
 plugin-loaders/c/pluma-plugin-loader-c.h           | 4 ++--
 plugin-loaders/python/pluma-plugin-loader-python.c | 4 ++--
 plugin-loaders/python/pluma-plugin-loader-python.h | 4 ++--
 plugin-loaders/python/pluma-plugin-python.c        | 4 ++--
 plugin-loaders/python/pluma-plugin-python.h        | 4 ++--
 plugins/changecase/pluma-changecase-plugin.c       | 2 +-
 plugins/changecase/pluma-changecase-plugin.h       | 2 +-
 plugins/checkupdate/pluma-check-update-plugin.c    | 2 +-
 plugins/checkupdate/pluma-check-update-plugin.h    | 2 +-
 plugins/docinfo/pluma-docinfo-plugin.c             | 2 +-
 plugins/docinfo/pluma-docinfo-plugin.h             | 2 +-
 plugins/filebrowser/pluma-file-bookmarks-store.c   | 2 +-
 plugins/filebrowser/pluma-file-bookmarks-store.h   | 2 +-
 plugins/filebrowser/pluma-file-browser-error.h     | 2 +-
 plugins/filebrowser/pluma-file-browser-messages.h  | 2 +-
 plugins/filebrowser/pluma-file-browser-plugin.c    | 2 +-
 plugins/filebrowser/pluma-file-browser-plugin.h    | 2 +-
 plugins/filebrowser/pluma-file-browser-store.c     | 2 +-
 plugins/filebrowser/pluma-file-browser-store.h     | 2 +-
 plugins/filebrowser/pluma-file-browser-utils.c     | 2 +-
 plugins/filebrowser/pluma-file-browser-view.c      | 2 +-
 plugins/filebrowser/pluma-file-browser-view.h      | 2 +-
 plugins/filebrowser/pluma-file-browser-widget.c    | 2 +-
 plugins/filebrowser/pluma-file-browser-widget.h    | 2 +-
 plugins/modelines/modeline-parser.c                | 2 +-
 plugins/modelines/modeline-parser.h                | 2 +-
 plugins/modelines/pluma-modeline-plugin.c          | 2 +-
 plugins/modelines/pluma-modeline-plugin.h          | 2 +-
 plugins/pythonconsole/pythonconsole/__init__.py    | 2 +-
 plugins/pythonconsole/pythonconsole/config.py      | 2 +-
 plugins/pythonconsole/pythonconsole/console.py     | 2 +-
 plugins/quickopen/quickopen/__init__.py            | 4 ++--
 plugins/quickopen/quickopen/popup.py               | 4 ++--
 plugins/quickopen/quickopen/virtualdirs.py         | 4 ++--
 plugins/quickopen/quickopen/windowhelper.py        | 4 ++--
 plugins/sort/pluma-sort-plugin.c                   | 2 +-
 plugins/sort/pluma-sort-plugin.h                   | 2 +-
 plugins/spell/pluma-automatic-spell-checker.c      | 4 ++--
 plugins/spell/pluma-automatic-spell-checker.h      | 4 ++--
 plugins/spell/pluma-spell-checker-dialog.c         | 4 ++--
 plugins/spell/pluma-spell-checker-dialog.h         | 4 ++--
 plugins/spell/pluma-spell-checker-language.c       | 4 ++--
 plugins/spell/pluma-spell-checker-language.h       | 4 ++--
 plugins/spell/pluma-spell-checker.c                | 4 ++--
 plugins/spell/pluma-spell-checker.h                | 4 ++--
 plugins/spell/pluma-spell-language-dialog.c        | 4 ++--
 plugins/spell/pluma-spell-language-dialog.h        | 4 ++--
 plugins/spell/pluma-spell-plugin.c                 | 2 +-
 plugins/spell/pluma-spell-plugin.h                 | 2 +-
 plugins/taglist/pluma-taglist-plugin-panel.c       | 4 ++--
 plugins/taglist/pluma-taglist-plugin-panel.h       | 4 ++--
 plugins/taglist/pluma-taglist-plugin-parser.c      | 4 ++--
 plugins/taglist/pluma-taglist-plugin-parser.h      | 4 ++--
 plugins/taglist/pluma-taglist-plugin.c             | 2 +-
 plugins/taglist/pluma-taglist-plugin.h             | 2 +-
 plugins/time/pluma-time-plugin.c                   | 2 +-
 plugins/time/pluma-time-plugin.h                   | 2 +-
 pluma/bacon-message-connection.c                   | 2 +-
 pluma/bacon-message-connection.h                   | 2 +-
 pluma/dialogs/pluma-close-confirmation-dialog.c    | 4 ++--
 pluma/dialogs/pluma-close-confirmation-dialog.h    | 4 ++--
 pluma/dialogs/pluma-encodings-dialog.c             | 4 ++--
 pluma/dialogs/pluma-encodings-dialog.h             | 4 ++--
 pluma/dialogs/pluma-preferences-dialog.c           | 4 ++--
 pluma/dialogs/pluma-preferences-dialog.h           | 4 ++--
 pluma/dialogs/pluma-search-dialog.c                | 4 ++--
 pluma/dialogs/pluma-search-dialog.h                | 4 ++--
 pluma/pluma-app.c                                  | 4 ++--
 pluma/pluma-app.h                                  | 4 ++--
 pluma/pluma-close-button.c                         | 4 ++--
 pluma/pluma-close-button.h                         | 4 ++--
 pluma/pluma-commands-documents.c                   | 4 ++--
 pluma/pluma-commands-edit.c                        | 4 ++--
 pluma/pluma-commands-file-print.c                  | 4 ++--
 pluma/pluma-commands-file.c                        | 4 ++--
 pluma/pluma-commands-help.c                        | 4 ++--
 pluma/pluma-commands-search.c                      | 4 ++--
 pluma/pluma-commands-view.c                        | 4 ++--
 pluma/pluma-commands.h                             | 4 ++--
 pluma/pluma-debug.c                                | 4 ++--
 pluma/pluma-debug.h                                | 4 ++--
 pluma/pluma-dirs.c                                 | 4 ++--
 pluma/pluma-dirs.h                                 | 4 ++--
 pluma/pluma-document-loader.c                      | 4 ++--
 pluma/pluma-document-loader.h                      | 4 ++--
 pluma/pluma-document-saver.c                       | 4 ++--
 pluma/pluma-document-saver.h                       | 4 ++--
 pluma/pluma-document.c                             | 4 ++--
 pluma/pluma-document.h                             | 4 ++--
 pluma/pluma-documents-panel.c                      | 4 ++--
 pluma/pluma-documents-panel.h                      | 4 ++--
 pluma/pluma-encodings-combo-box.c                  | 4 ++--
 pluma/pluma-encodings-combo-box.h                  | 4 ++--
 pluma/pluma-encodings.c                            | 4 ++--
 pluma/pluma-encodings.h                            | 4 ++--
 pluma/pluma-file-chooser-dialog.c                  | 4 ++--
 pluma/pluma-file-chooser-dialog.h                  | 4 ++--
 pluma/pluma-gio-document-loader.c                  | 4 ++--
 pluma/pluma-gio-document-loader.h                  | 4 ++--
 pluma/pluma-gio-document-saver.c                   | 4 ++--
 pluma/pluma-gio-document-saver.h                   | 4 ++--
 pluma/pluma-help.c                                 | 4 ++--
 pluma/pluma-help.h                                 | 4 ++--
 pluma/pluma-history-entry.c                        | 4 ++--
 pluma/pluma-history-entry.h                        | 4 ++--
 pluma/pluma-io-error-message-area.c                | 4 ++--
 pluma/pluma-io-error-message-area.h                | 4 ++--
 pluma/pluma-language-manager.c                     | 4 ++--
 pluma/pluma-language-manager.h                     | 4 ++--
 pluma/pluma-message-area.c                         | 4 ++--
 pluma/pluma-message-area.h                         | 4 ++--
 pluma/pluma-metadata-manager.c                     | 4 ++--
 pluma/pluma-metadata-manager.h                     | 4 ++--
 pluma/pluma-notebook.c                             | 4 ++--
 pluma/pluma-notebook.h                             | 4 ++--
 pluma/pluma-object-module.c                        | 4 ++--
 pluma/pluma-object-module.h                        | 4 ++--
 pluma/pluma-panel.c                                | 4 ++--
 pluma/pluma-panel.h                                | 4 ++--
 pluma/pluma-plugin-info-priv.h                     | 4 ++--
 pluma/pluma-plugin-info.c                          | 4 ++--
 pluma/pluma-plugin-info.h                          | 4 ++--
 pluma/pluma-plugin-loader.c                        | 4 ++--
 pluma/pluma-plugin-loader.h                        | 4 ++--
 pluma/pluma-plugin-manager.c                       | 4 ++--
 pluma/pluma-plugin-manager.h                       | 4 ++--
 pluma/pluma-plugin.c                               | 4 ++--
 pluma/pluma-plugin.h                               | 4 ++--
 pluma/pluma-plugins-engine.c                       | 4 ++--
 pluma/pluma-plugins-engine.h                       | 4 ++--
 pluma/pluma-prefs-manager-app.c                    | 4 ++--
 pluma/pluma-prefs-manager-app.h                    | 4 ++--
 pluma/pluma-prefs-manager-private.h                | 4 ++--
 pluma/pluma-prefs-manager.c                        | 8 ++++----
 pluma/pluma-prefs-manager.h                        | 4 ++--
 pluma/pluma-print-job.c                            | 4 ++--
 pluma/pluma-print-job.h                            | 4 ++--
 pluma/pluma-print-preview.c                        | 4 ++--
 pluma/pluma-print-preview.h                        | 4 ++--
 pluma/pluma-progress-message-area.c                | 4 ++--
 pluma/pluma-progress-message-area.h                | 4 ++--
 pluma/pluma-session.c                              | 4 ++--
 pluma/pluma-session.h                              | 4 ++--
 pluma/pluma-spinner.c                              | 4 ++--
 pluma/pluma-spinner.h                              | 4 ++--
 pluma/pluma-status-combo-box.c                     | 4 ++--
 pluma/pluma-status-combo-box.h                     | 4 ++--
 pluma/pluma-statusbar.c                            | 4 ++--
 pluma/pluma-statusbar.h                            | 4 ++--
 pluma/pluma-style-scheme-manager.c                 | 4 ++--
 pluma/pluma-style-scheme-manager.h                 | 4 ++--
 pluma/pluma-tab-label.c                            | 4 ++--
 pluma/pluma-tab-label.h                            | 4 ++--
 pluma/pluma-tab.c                                  | 4 ++--
 pluma/pluma-tab.h                                  | 4 ++--
 pluma/pluma-ui.h                                   | 4 ++--
 pluma/pluma-utils.c                                | 4 ++--
 pluma/pluma-utils.h                                | 4 ++--
 pluma/pluma-view.c                                 | 4 ++--
 pluma/pluma-view.h                                 | 4 ++--
 pluma/pluma-window-private.h                       | 4 ++--
 pluma/pluma-window.c                               | 4 ++--
 pluma/pluma-window.h                               | 4 ++--
 pluma/pluma.c                                      | 4 ++--
 pluma/plumatextregion.c                            | 4 ++--
 pluma/plumatextregion.h                            | 4 ++--
 pluma/smclient/eggdesktopfile.c                    | 4 ++--
 pluma/smclient/eggdesktopfile.h                    | 4 ++--
 pluma/smclient/eggsmclient-osx.c                   | 4 ++--
 pluma/smclient/eggsmclient-private.h               | 4 ++--
 pluma/smclient/eggsmclient-win32.c                 | 4 ++--
 pluma/smclient/eggsmclient-xsmp.c                  | 4 ++--
 pluma/smclient/eggsmclient.c                       | 4 ++--
 pluma/smclient/eggsmclient.h                       | 4 ++--
 175 files changed, 316 insertions(+), 316 deletions(-)

commit e0673d1748fb1d3d6b3331a9956c7439ff334f4a
Merge: f4a51f7 122133d
Author: Perberos <perberos@gmail.com>
Date:   Thu Sep 20 07:50:53 2012 -0700

    Merge pull request #8 from NiceandGently/master
    
    fix headers dir

commit 122133dd5bda5e854f7edff3a1e98fb838e3172c
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Sep 20 15:52:22 2012 +0300

    fix headers dir
    
    change headers dir from /usr/include/pluma/pluma
    to /usr/include/pluma

 pluma/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4a51f740a79d81ecc27a82aa4f3dd0d4a520ddc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Aug 31 10:05:56 2012 +0200

    fix wrong url
    http://forums.mate-desktop.org/viewtopic.php?f=2&t=718

 plugins/changecase/changecase.pluma-plugin.desktop.in       | 2 +-
 plugins/checkupdate/checkupdate.pluma-plugin.desktop.in     | 2 +-
 plugins/externaltools/externaltools.pluma-plugin.desktop.in | 2 +-
 plugins/filebrowser/filebrowser.pluma-plugin.desktop.in     | 2 +-
 plugins/modelines/modelines.pluma-plugin.desktop.in         | 2 +-
 plugins/pythonconsole/pythonconsole.pluma-plugin.desktop.in | 2 +-
 plugins/quickopen/quickopen.pluma-plugin.desktop.in         | 2 +-
 plugins/snippets/snippets.pluma-plugin.desktop.in           | 2 +-
 plugins/sort/sort.pluma-plugin.desktop.in                   | 2 +-
 plugins/spell/spell.pluma-plugin.desktop.in                 | 2 +-
 plugins/taglist/taglist.pluma-plugin.desktop.in             | 2 +-
 plugins/time/time.pluma-plugin.desktop.in                   | 2 +-
 win32/pluma.iss.in                                          | 2 +-
 13 files changed, 13 insertions(+), 13 deletions(-)

commit fed1c689d7c39999cc3a302e36ac2ee217f38492
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu Jul 12 14:57:02 2012 -0400

    Preparing for 1.4 release.

 ChangeLog              | 1788 +++++++++++++++++++++++++++++++++++++++++++++++-
 configure.ac           |    2 +-
 distro/ubuntu/build    |   31 -
 distro/ubuntu/postinst |   11 -
 distro/ubuntu/postrm   |    7 -
 distro/ubuntu/preinst  |    8 -
 distro/ubuntu/prerm    |    9 -
 7 files changed, 1784 insertions(+), 72 deletions(-)

commit 501849698af0e384d17cd8a550b2315912ba55e3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jul 12 15:57:55 2012 +0200

    sync translations with transifex

 po/gnome-copyrights.txt | 1308 +++++++++++++++++++++++++++++++++++++++++++++++
 po/ru.po                |  955 ++++++++++++++--------------------
 2 files changed, 1685 insertions(+), 578 deletions(-)

commit 846b62eaddd7460ed227bccb99d86c9b4e9178be
Merge: 2afb124 f0d7c1d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jun 15 05:45:46 2012 -0700

    Merge pull request #5 from MDykstra/master
    
    now linking under up-to-date Arch Linux system

commit 2afb124045601ad07210b5b65ccf6b6f595d6514
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat May 19 22:22:57 2012 +0200

    rename pluma to Pluma

 data/pluma.desktop.in.in | 4 ++--
 pluma/pluma.c            | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit f0d7c1d5d701e6b01c22e5d88464064caeadb0c9
Author: Marcel Dijkstra <marcel.dykstra@gmail.com>
Date:   Wed May 16 03:54:49 2012 +0200

    only depend on gmodule-2.0 if it exists

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5d39a44c94fabff2892bc64e16901795dba24a61
Author: Marcel Dijkstra <marcel.dykstra@gmail.com>
Date:   Fri Apr 27 02:29:08 2012 +0200

    linker now requires gmodule-2.0 in mate-text-editor

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit abcdc86ee6e83730a4744b47c4493952a09bd57f
Merge: 5dd56f7 1000c0b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Apr 6 02:54:33 2012 -0700

    Merge pull request #3 from benpicco/master
    
    sync with upstream

commit 5dd56f746ff34aeb87451d19d88ed38a4501ec47
Author: Perberos <perberos@(none).(none)>
Date:   Sun Mar 18 02:40:59 2012 -0300

    adding enchant on depends array

 distro/archlinux/PKGBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1000c0b77ca712c2ceddbc7e2800291b3d166388
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Oct 3 11:59:46 2010 +0000

    Get the current tab label instead of creating a new one.

 pluma/pluma-notebook.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 8c239347fd7200ef28fb28ffff971ef642a6472a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 11 20:34:30 2012 +0100

    fix other executable bits

 help/C/figures/pluma_format_bold.png                        | Bin
 help/C/figures/pluma_format_italic.png                      | Bin
 help/C/figures/pluma_format_strikethrough.png               | Bin
 help/C/figures/pluma_format_underline.png                   | Bin
 help/C/figures/pluma_recent_files_menu_icon.png             | Bin
 help/C/figures/pluma_window.png                             | Bin
 help/bg/figures/pluma_window.png                            | Bin
 help/ca/figures/pluma_window.png                            | Bin
 help/cs/figures/pluma_window.png                            | Bin
 help/de/figures/pluma_window.png                            | Bin
 help/el/figures/pluma_window.png                            | Bin
 help/es/figures/pluma_window.png                            | Bin
 help/fi/figures/pluma_window.png                            | Bin
 help/fr/figures/pluma_recent_files_menu_icon.png            | Bin
 help/fr/figures/pluma_window.png                            | Bin
 help/it/figures/pluma_window.png                            | Bin
 help/ja/figures/pluma_window.png                            | Bin
 help/ko/figures/pluma_window.png                            | Bin
 help/sv/figures/pluma_window.png                            | Bin
 help/uk/figures/pluma_window.png                            | Bin
 help/zh_CN/figures/pluma_window.png                         | Bin
 help/zh_HK/figures/pluma_window.png                         | Bin
 help/zh_TW/figures/pluma_window.png                         | Bin
 plugins/changecase/Makefile.am                              |   0
 plugins/changecase/changecase.pluma-plugin.desktop.in       |   0
 plugins/changecase/pluma-changecase-plugin.c                |   0
 plugins/changecase/pluma-changecase-plugin.h                |   0
 plugins/checkupdate/Makefile.am                             |   0
 plugins/checkupdate/checkupdate.pluma-plugin.desktop.in     |   0
 plugins/checkupdate/pluma-check-update-plugin.c             |   0
 plugins/checkupdate/pluma-check-update-plugin.h             |   0
 plugins/checkupdate/pluma-check-update.schemas.in           |   0
 plugins/filebrowser/Makefile.am                             |   0
 plugins/filebrowser/filebrowser.pluma-plugin.desktop.in     |   0
 plugins/filebrowser/pluma-file-bookmarks-store.c            |   0
 plugins/filebrowser/pluma-file-bookmarks-store.h            |   0
 .../filebrowser/pluma-file-browser-enum-register.c.template |   0
 .../filebrowser/pluma-file-browser-enum-types.c.template    |   0
 .../filebrowser/pluma-file-browser-enum-types.h.template    |   0
 plugins/filebrowser/pluma-file-browser-error.h              |   0
 plugins/filebrowser/pluma-file-browser-marshal.list         |   0
 plugins/filebrowser/pluma-file-browser-messages.c           |   0
 plugins/filebrowser/pluma-file-browser-messages.h           |   0
 plugins/filebrowser/pluma-file-browser-plugin.c             |   0
 plugins/filebrowser/pluma-file-browser-plugin.h             |   0
 plugins/filebrowser/pluma-file-browser-store.c              |   0
 plugins/filebrowser/pluma-file-browser-store.h              |   0
 plugins/filebrowser/pluma-file-browser-utils.c              |   0
 plugins/filebrowser/pluma-file-browser-utils.h              |   0
 plugins/filebrowser/pluma-file-browser-view.c               |   0
 plugins/filebrowser/pluma-file-browser-view.h               |   0
 plugins/filebrowser/pluma-file-browser-widget-ui.xml        |   0
 plugins/filebrowser/pluma-file-browser-widget.c             |   0
 plugins/filebrowser/pluma-file-browser-widget.h             |   0
 plugins/filebrowser/pluma-file-browser.schemas.in           |   0
 plugins/modelines/Makefile.am                               |   0
 plugins/modelines/language-mappings                         |   0
 plugins/modelines/modeline-parser.c                         |   0
 plugins/modelines/modeline-parser.h                         |   0
 plugins/modelines/modelines.pluma-plugin.desktop.in         |   0
 plugins/modelines/pluma-modeline-plugin.c                   |   0
 61 files changed, 0 insertions(+), 0 deletions(-)

commit 0b694f0d10220676b07d041e0088885769780f16
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 11 20:28:11 2012 +0100

    update for 1.2 release and fix executable bits

 AUTHORS                                            |  11 +-
 BUGS                                               |   7 -
 COPYING                                            |   0
 ChangeLog                                          |   0
 HACKING                                            |  14 +-
 MAINTAINERS                                        |  12 --
 Makefile.am                                        |   0
 NEWS                                               |   0
 README                                             |  20 +-
 autogen.sh                                         |   4 +-
 configure.ac                                       |   4 +-
 data/Makefile.am                                   |   0
 data/pluma-bugreport.sh.in                         |   0
 data/pluma.1                                       |   0
 data/pluma.desktop.in.in                           |   0
 data/pluma.pc.in                                   |   0
 data/pluma.schemas.in.in                           |   0
 docs/Makefile.am                                   |   0
 docs/class-diagram.dia                             | Bin
 docs/reference/Makefile.am                         |   0
 docs/reference/pluma-docs.sgml                     |   0
 docs/reference/pluma-overrides.txt                 |   0
 docs/reference/pluma-sections.txt                  |   0
 docs/reference/pluma.types                         |   0
 help/C/legal.xml                                   |   0
 help/C/pluma.xml                                   |   0
 help/Makefile.am                                   |   0
 help/ar/ar.po                                      |   0
 help/bg/bg.po                                      |   0
 help/ca/ca.po                                      |   0
 help/cs/cs.po                                      |   0
 help/da/da.po                                      |   0
 help/de/de.po                                      |   0
 help/el/el.po                                      |   0
 help/es/es.po                                      |   0
 help/fi/fi.po                                      |   0
 help/fr/fr.po                                      |   0
 help/hu/hu.po                                      |   0
 help/it/it.po                                      |   0
 help/ja/ja.po                                      |   0
 help/ko/ko.po                                      |   0
 help/oc/oc.po                                      |   0
 help/pluma.omf.in                                  |   0
 help/pt_BR/pt_BR.po                                |   0
 help/ru/ru.po                                      |   0
 help/sv/sv.po                                      |   0
 help/th/th.po                                      |   0
 help/uk/uk.po                                      |   0
 help/zh_CN/zh_CN.po                                |   0
 help/zh_HK/zh_HK.po                                |   0
 help/zh_TW/zh_TW.po                                |   0
 osx/Info.plist.in                                  |   0
 osx/Makefile.am                                    |   0
 pixmaps/Makefile.am                                |   0
 pixmaps/pluma-plugin.png                           | Bin
 pixmaps/pluma.ico                                  | Bin
 plugin-loaders/Makefile.am                         |   0
 plugin-loaders/c/Makefile.am                       |   0
 plugin-loaders/c/pluma-plugin-loader-c.c           |   0
 plugin-loaders/c/pluma-plugin-loader-c.h           |   0
 plugin-loaders/python/Makefile.am                  |   0
 plugin-loaders/python/bindings/Makefile.am         |   0
 plugin-loaders/python/bindings/pluma.defs          |   0
 plugin-loaders/python/bindings/pluma.override      |   0
 plugin-loaders/python/bindings/plumacommands.defs  |   0
 .../python/bindings/plumacommands.override         |   0
 .../python/bindings/plumamessage.override          |   0
 .../python/bindings/plumaplugin.override           |   0
 plugin-loaders/python/bindings/plumautils.defs     |   0
 plugin-loaders/python/bindings/plumautils.override |   0
 plugin-loaders/python/pluma-plugin-loader-python.c |   0
 plugin-loaders/python/pluma-plugin-loader-python.h |   0
 plugin-loaders/python/pluma-plugin-python.c        |   0
 plugin-loaders/python/pluma-plugin-python.h        |   0
 pluma/Makefile.am                                  |   0
 pluma/bacon-message-connection.c                   |   0
 pluma/bacon-message-connection.h                   |   0
 pluma/pluma-app.c                                  |   0
 pluma/pluma-app.h                                  |   0
 pluma/pluma-close-button.c                         |   0
 pluma/pluma-close-button.h                         |   0
 pluma/pluma-commands-documents.c                   |   0
 pluma/pluma-commands-edit.c                        |   0
 pluma/pluma-commands-file-print.c                  |   0
 pluma/pluma-commands-file.c                        |   0
 pluma/pluma-commands-help.c                        |   0
 pluma/pluma-commands-search.c                      |   0
 pluma/pluma-commands-view.c                        |   0
 pluma/pluma-commands.h                             |   0
 pluma/pluma-debug.c                                |   0
 pluma/pluma-debug.h                                |   0
 pluma/pluma-dirs.c                                 |   0
 pluma/pluma-dirs.h                                 |   0
 pluma/pluma-document-input-stream.c                |   0
 pluma/pluma-document-input-stream.h                |   0
 pluma/pluma-document-loader.c                      |   0
 pluma/pluma-document-loader.h                      |   0
 pluma/pluma-document-output-stream.c               |   0
 pluma/pluma-document-output-stream.h               |   0
 pluma/pluma-document-saver.c                       |   0
 pluma/pluma-document-saver.h                       |   0
 pluma/pluma-document.c                             |   0
 pluma/pluma-document.h                             |   0
 pluma/pluma-documents-panel.c                      |   0
 pluma/pluma-documents-panel.h                      |   0
 pluma/pluma-encodings-combo-box.c                  |   0
 pluma/pluma-encodings-combo-box.h                  |   0
 pluma/pluma-encodings.c                            |   0
 pluma/pluma-encodings.h                            |   0
 pluma/pluma-enum-types.c.template                  |   0
 pluma/pluma-enum-types.h.template                  |   0
 pluma/pluma-file-chooser-dialog.c                  |   0
 pluma/pluma-file-chooser-dialog.h                  |   0
 pluma/pluma-gio-document-loader.c                  |   0
 pluma/pluma-gio-document-loader.h                  |   0
 pluma/pluma-gio-document-saver.c                   |   0
 pluma/pluma-gio-document-saver.h                   |   0
 pluma/pluma-help.c                                 |   0
 pluma/pluma-help.h                                 |   0
 pluma/pluma-history-entry.c                        |   0
 pluma/pluma-history-entry.h                        |   0
 pluma/pluma-io-error-message-area.c                |   0
 pluma/pluma-io-error-message-area.h                |   0
 pluma/pluma-language-manager.c                     |   0
 pluma/pluma-language-manager.h                     |   0
 pluma/pluma-marshal.list                           |   0
 pluma/pluma-message-area.c                         |   0
 pluma/pluma-message-area.h                         |   0
 pluma/pluma-message-bus.c                          |   0
 pluma/pluma-message-bus.h                          |   0
 pluma/pluma-message-type.c                         |   0
 pluma/pluma-message-type.h                         |   0
 pluma/pluma-message.c                              |   0
 pluma/pluma-message.h                              |   0
 pluma/pluma-metadata-manager.c                     |   0
 pluma/pluma-metadata-manager.h                     |   0
 pluma/pluma-notebook.c                             |   0
 pluma/pluma-notebook.h                             |   0
 pluma/pluma-object-module.c                        |   0
 pluma/pluma-object-module.h                        |   0
 pluma/pluma-panel.c                                |   0
 pluma/pluma-panel.h                                |   0
 pluma/pluma-plugin-info-priv.h                     |   0
 pluma/pluma-plugin-info.c                          |   0
 pluma/pluma-plugin-info.h                          |   0
 pluma/pluma-plugin-loader.c                        |   0
 pluma/pluma-plugin-loader.h                        |   0
 pluma/pluma-plugin-manager.c                       |   0
 pluma/pluma-plugin-manager.h                       |   0
 pluma/pluma-plugin.c                               |   0
 pluma/pluma-plugin.h                               |   0
 pluma/pluma-plugins-engine.c                       |   0
 pluma/pluma-plugins-engine.h                       |   0
 pluma/pluma-prefs-manager-app.c                    |   0
 pluma/pluma-prefs-manager-app.h                    |   0
 pluma/pluma-prefs-manager-private.h                |   0
 pluma/pluma-prefs-manager.c                        |   0
 pluma/pluma-prefs-manager.h                        |   0
 pluma/pluma-print-job.c                            |   0
 pluma/pluma-print-job.h                            |   0
 pluma/pluma-print-preferences.ui                   |   0
 pluma/pluma-print-preview.c                        |   0
 pluma/pluma-print-preview.h                        |   0
 pluma/pluma-progress-message-area.c                |   0
 pluma/pluma-progress-message-area.h                |   0
 pluma/pluma-session.c                              |   0
 pluma/pluma-session.h                              |   0
 pluma/pluma-smart-charset-converter.c              |   0
 pluma/pluma-smart-charset-converter.h              |   0
 pluma/pluma-spinner.c                              |   0
 pluma/pluma-spinner.h                              |   0
 pluma/pluma-status-combo-box.c                     |   0
 pluma/pluma-status-combo-box.h                     |   0
 pluma/pluma-statusbar.c                            |   0
 pluma/pluma-statusbar.h                            |   0
 pluma/pluma-style-scheme-manager.c                 |   0
 pluma/pluma-style-scheme-manager.h                 |   0
 pluma/pluma-tab-label.c                            |   0
 pluma/pluma-tab-label.h                            |   0
 pluma/pluma-tab.c                                  |   0
 pluma/pluma-tab.h                                  |   0
 pluma/pluma-ui.h                                   |   0
 pluma/pluma-ui.xml                                 |   0
 pluma/pluma-utils.c                                |   0
 pluma/pluma-utils.h                                |   0
 pluma/pluma-view.c                                 |   0
 pluma/pluma-view.h                                 |   0
 pluma/pluma-window-private.h                       |   0
 pluma/pluma-window.c                               |   0
 pluma/pluma-window.h                               |   0
 pluma/pluma.c                                      |   0
 pluma/pluma.rc                                     |   0
 pluma/plumatextregion.c                            |   0
 pluma/plumatextregion.h                            |   0
 po/LINGUAS                                         |   0
 po/Makefile.in.in~                                 | 217 ---------------------
 po/POTFILES.in                                     |   0
 po/POTFILES.skip                                   |   0
 po/af.po                                           |   0
 po/am.po                                           |   0
 po/ar.po                                           |   0
 po/as.po                                           |   0
 po/ast.po                                          |   0
 po/az.po                                           |   0
 po/be.po                                           |   0
 po/be@latin.po                                     |   0
 po/bg.po                                           |   0
 po/bn.po                                           |   0
 po/bn_IN.po                                        |   0
 po/br.po                                           |   0
 po/bs.po                                           |   0
 po/ca.po                                           |   0
 po/ca@valencia.po                                  |   0
 po/crh.po                                          |   0
 po/cs.po                                           |   0
 po/cy.po                                           |   0
 po/da.po                                           |   0
 po/de.po                                           |   0
 po/dz.po                                           |   0
 po/el.po                                           |   0
 po/en@shaw.po                                      |   0
 po/en_CA.po                                        |   0
 po/en_GB.po                                        |   0
 po/eo.po                                           |   0
 po/es.po                                           |   0
 po/et.po                                           |   0
 po/eu.po                                           |   0
 po/fa.po                                           |   0
 po/fi.po                                           |   0
 po/fr.po                                           |   0
 po/ga.po                                           |   0
 po/gl.po                                           |   0
 po/gu.po                                           |   0
 po/he.po                                           |   0
 po/hi.po                                           |   0
 po/hr.po                                           |   0
 po/hu.po                                           |   0
 po/hy.po                                           |   0
 po/id.po                                           |   0
 po/is.po                                           |   0
 po/it.po                                           |   0
 po/ja.po                                           |   0
 po/ka.po                                           |   0
 po/kk.po                                           |   0
 po/kn.po                                           |   0
 po/ko.po                                           |   0
 po/ku.po                                           |   0
 po/la.po                                           |   0
 po/lt.po                                           |   0
 po/lv.po                                           |   0
 po/mai.po                                          |   0
 po/mg.po                                           |   0
 po/mi.po                                           |   0
 po/mk.po                                           |   0
 po/ml.po                                           |   0
 po/mn.po                                           |   0
 po/mr.po                                           |   0
 po/ms.po                                           |   0
 po/nb.po                                           |   0
 po/nds.po                                          |   0
 po/ne.po                                           |   0
 po/nl.po                                           |   0
 po/nn.po                                           |   0
 po/oc.po                                           |   0
 po/or.po                                           |   0
 po/pa.po                                           |   0
 po/pl.po                                           |   0
 po/ps.po                                           |   0
 po/pt.po                                           |   0
 po/pt_BR.po                                        |   0
 po/ro.po                                           |   0
 po/ru.po                                           |   0
 po/rw.po                                           |   0
 po/si.po                                           |   0
 po/sk.po                                           |   0
 po/sl.po                                           |   0
 po/sq.po                                           |   0
 po/sr.po                                           |   0
 po/sr@latin.po                                     |   0
 po/sv.po                                           |   0
 po/ta.po                                           |   0
 po/te.po                                           |   0
 po/th.po                                           |   0
 po/tk.po                                           |   0
 po/tr.po                                           |   0
 po/uk.po                                           |   0
 po/vi.po                                           |   0
 po/wa.po                                           |   0
 po/xh.po                                           |   0
 po/zh_CN.po                                        |   0
 po/zh_HK.po                                        |   0
 po/zh_TW.po                                        |   0
 tests/Makefile.am                                  |   0
 tests/document-input-stream.c                      |   0
 tests/document-loader.c                            |   0
 tests/document-output-stream.c                     |   0
 tests/document-saver.c                             |   0
 tests/setup-document-saver.sh                      |   0
 tests/smart-converter.c                            |   0
 win32/Makefile.am                                  |   0
 win32/README                                       |   0
 win32/build-installer.sh                           |   0
 win32/pluma.iss.in                                 |   0
 win32/querymodules.bat                             |   0
 304 files changed, 20 insertions(+), 269 deletions(-)

commit 3fe8f220a9ce835b4deeb8ceb12ec14cccc03fcc
Author: Perberos <perberos@gmail.com>
Date:   Fri Mar 9 15:36:12 2012 -0300

    /usr/bin/ld: note: 'IceConnectionNumber' is defined in DSO /usr/lib/libICE.so.6 so try adding it to the linker command line

 pluma/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd3372e21399f630c13bd3f81b5e697b6115d7bf
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 20 14:40:31 2012 +0100

    fixed recursive rule, thanks to samtygier
    https://github.com/mate-desktop/mate-text-editor/issues/2

 data/Makefile.am | 3 ---
 1 file changed, 3 deletions(-)

commit 6f5d2fdf953ae8e2687fbd4808babb0bcb73b81c
Author: Perberos <perberos@gmail.com>
Date:   Mon Jan 30 12:29:07 2012 -0300

    g_get_user_config_dir() would be better (https://github.com/mate-desktop/mate-panel/issues/8)

 pluma/pluma-dirs.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit ffdb44194ef7dfab2f4abc5afcfa267b54139ef5
Author: Perberos <perberos@gmail.com>
Date:   Mon Jan 30 12:23:43 2012 -0300

    set patch on archlinux script

 distro/archlinux/PKGBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f3a8febfec4c03efbb478fd976097d2a9815ccf1
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Jan 13 19:41:45 2012 -0500

    Changed url in about window.

 configure.ac                | 4 ++--
 pluma/pluma-commands-help.c | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit d90bda7d80e42efbc7ec813e179091dad8ea93e3
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Jan 10 14:42:52 2012 -0500

    Changed mate.gr.jp to gnome.gr.jp as requested in issue #86

 po/ja.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 5606f6144ada6bf1e43a60c158ff06becf2a8a4d
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Dec 9 23:39:03 2011 -0500

    updated version (missed a few files)

 distro/archlinux/PKGBUILD | 2 +-
 distro/ubuntu/build       | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ec4fa66159e00cf4fecd03e1fd27c15ab7e51655
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Dec 9 23:37:30 2011 -0500

    updated version

 configure.ac | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8790ba833e4648560e02fda46a24d1c21e077ee3
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Dec 2 20:56:30 2011 -0500

    Changed version to 2011.12.01

 README                    | 2 +-
 configure.ac              | 4 ++--
 distro/archlinux/PKGBUILD | 2 +-
 distro/ubuntu/build       | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit f6f1f854c9e37b0ed2f6d71856473b3d0e3616e3
Author: Perberos <perberos@gmail.com>
Date:   Tue Nov 29 04:44:24 2011 -0300

    updating archlinux hash

 configure.ac              | 2 +-
 distro/archlinux/PKGBUILD | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 798174ce185a17b710cb6b87d32ea9b50684868e
Author: Perberos <perberos@gmail.com>
Date:   Sun Nov 27 20:14:18 2011 -0300

    a copypaste failure

 plugins/externaltools/data/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3676895ea7d42631a3e1a1cec0882a473062afa8
Author: Perberos <perberos@gmail.com>
Date:   Thu Nov 24 15:18:12 2011 -0300

    removing extra spaces

 pluma/pluma-commands-help.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 584d672f069e58afe3252ef55f309de951078cf7
Author: Perberos <perberos@gmail.com>
Date:   Wed Nov 23 17:57:00 2011 -0300

    using generic logo

 pluma/pluma-commands-help.c | 15 +--------------
 1 file changed, 1 insertion(+), 14 deletions(-)

commit 267fbd64ccc4786932147069715239a17dfcf814
Author: Perberos <perberos@gmail.com>
Date:   Tue Nov 22 14:38:03 2011 -0300

    adding a tool for external tools, for switch onto .c and .h files

 plugins/externaltools/data/Makefile.am         |  3 ++-
 plugins/externaltools/data/switch-c.desktop.in |  7 +++++++
 plugins/externaltools/data/switch-c.tool.in    | 25 +++++++++++++++++++++++++
 3 files changed, 34 insertions(+), 1 deletion(-)

commit 490f2d5bb5c5fb7c5575ac1eddcd8ae15e756495
Author: Perberos <perberos@gmail.com>
Date:   Sat Nov 12 05:44:22 2011 -0300

    updating distro scripts

 distro/archlinux/PKGBUILD | 29 ++++++++++++-----------------
 distro/ubuntu/build       | 32 +++++++++++++++-----------------
 distro/ubuntu/postinst    |  5 ++++-
 distro/ubuntu/preinst     |  4 +++-
 distro/ubuntu/prerm       |  4 +++-
 5 files changed, 37 insertions(+), 37 deletions(-)

commit 6a04ee4e4eecb96a2461012c435fbfec1187e9e0
Author: Perberos <perberos@gmail.com>
Date:   Sat Nov 12 04:31:16 2011 -0300

    updating version number, and HP

 configure.ac | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 8e150735c5c65267abb9268cb60687b2c9725b39
Author: Perberos <perberos@gmail.com>
Date:   Sat Nov 12 04:28:06 2011 -0300

    end of line mistake

 autogen.sh                                    |  17 ++--
 plugins/modelines/pluma-modeline-plugin.h     |   0
 plugins/taglist/pluma-taglist-plugin-parser.c | 131 +++++++++++++-------------
 plugins/taglist/pluma-taglist-plugin-parser.h |  25 +++--
 pluma/pluma-commands-help.c                   |   2 +-
 5 files changed, 86 insertions(+), 89 deletions(-)

commit 09be0113ed921fd1841feca0bf0a3b76314f4c2d
Author: Perberos <perberos@gmail.com>
Date:   Sat Nov 12 04:26:45 2011 -0300

    adding a "search on text" external tool

 plugins/externaltools/data/Makefile.am             |  3 +-
 .../externaltools/data/search-recursive.desktop.in |  9 +++++
 .../externaltools/data/search-recursive.tool.in    | 39 ++++++++++++++++++++++
 3 files changed, 50 insertions(+), 1 deletion(-)

commit 78c5d0b687cfa66318a8189396eeb13c5050444a
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 7 22:28:00 2011 -0300

    removing unused gedit logo

 pixmaps/pluma-logo.png | Bin 25918 -> 0 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 49a92964b89227d8226a88a816cd15501dcb806c
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 7 22:27:36 2011 -0300

    removing unused gedit logo

 pixmaps/Makefile.am      | 4 ----
 win32/build-installer.sh | 2 --
 2 files changed, 6 deletions(-)

commit e27c2373016af63918fb7ae540a26346513f4a98
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 7 22:13:36 2011 -0300

    removing version tag from library

 configure.ac      | 7 ++++---
 data/Makefile.am  | 6 +++---
 data/pluma.pc.in  | 2 +-
 pluma/Makefile.am | 6 +++---
 4 files changed, 11 insertions(+), 10 deletions(-)

commit c7e1c2017b54f82463101d3680e23cb6090c3467
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 7 21:13:10 2011 -0300

    settings tango as default theme

 data/pluma.schemas.in.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 421415f7cb1ba9c8a97a1837d4f789242c2fb0e6
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 7 21:10:16 2011 -0300

    using ./config/ instead of ./mate2/

 README                                            |   4 +-
 configure.ac                                      |   4 +-
 data/Makefile.am                                  |   2 +-
 data/pluma-bugreport.sh.in                        |   8 +-
 data/pluma.desktop.in.in                          |   2 +-
 data/pluma.schemas.in.in                          | 152 ++++----
 distro/archlinux/PKGBUILD                         |   3 +
 help/C/pluma.xml                                  | 128 +++----
 help/ar/ar.po                                     |   4 +-
 help/ca/ca.po                                     |   4 +-
 help/cs/cs.po                                     |   4 +-
 help/da/da.po                                     |   4 +-
 help/de/de.po                                     |   6 +-
 help/el/el.po                                     |   4 +-
 help/es/es.po                                     |   4 +-
 help/fi/fi.po                                     |   4 +-
 help/fr/fr.po                                     |   4 +-
 help/hu/hu.po                                     |   4 +-
 help/it/it.po                                     |   4 +-
 help/ja/ja.po                                     |   4 +-
 help/ko/ko.po                                     |   4 +-
 help/oc/oc.po                                     |   2 +-
 help/pt_BR/pt_BR.po                               |   4 +-
 help/ru/ru.po                                     |   4 +-
 help/sv/sv.po                                     |   4 +-
 help/th/th.po                                     |   2 +-
 help/uk/uk.po                                     |   4 +-
 help/zh_CN/zh_CN.po                               |   4 +-
 pixmaps/Makefile.am                               |   4 +-
 plugin-loaders/c/Makefile.am                      |   2 +-
 plugin-loaders/python/Makefile.am                 |   2 +-
 plugins/checkupdate/pluma-check-update-plugin.c   | 104 +++---
 plugins/checkupdate/pluma-check-update.schemas.in |   4 +-
 plugins/externaltools/tools/library.py            |  24 +-
 plugins/filebrowser/pluma-file-browser-plugin.c   | 246 ++++++-------
 plugins/filebrowser/pluma-file-browser.schemas.in |  40 +-
 plugins/pythonconsole/pythonconsole/config.py     |  14 +-
 plugins/snippets/snippets/__init__.py             |  30 +-
 plugins/sort/pluma-sort-plugin.c                  |  22 +-
 plugins/taglist/pluma-taglist-plugin-parser.c     | 166 ++++-----
 plugins/time/pluma-time-plugin.c                  |   6 +-
 pluma/Makefile.am                                 |   8 +-
 pluma/dialogs/Makefile.am                         |   4 +-
 pluma/pluma-commands-help.c                       |  50 ++-
 pluma/pluma-dirs.c                                | 423 ++++++++++------------
 pluma/pluma-plugin.c                              |  30 +-
 pluma/pluma-plugins-engine.c                      | 122 +++----
 pluma/pluma-prefs-manager-app.c                   | 234 ++++++------
 pluma/pluma-prefs-manager.h                       |  30 +-
 win32/build-installer.sh                          |  24 +-
 50 files changed, 957 insertions(+), 1013 deletions(-)

commit 1d63a49a77ab8f7d01daef6ce18e57100508067b
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 7 20:10:50 2011 -0300

    using autogen.sh instead of configure

 distro/archlinux/PKGBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3c649a5d41206704c9cd67e38fab6224dd1f42f1
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 7 19:56:15 2011 -0300

    now delete INSTALL using make maintainer-clean

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit fdb4d77e4462a9980752f13f7607145fcd655d3f
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 7 19:55:44 2011 -0300

    file so long

 ChangeLog | 7563 -------------------------------------------------------------
 1 file changed, 7563 deletions(-)

commit 5ded9cba8563f336939400303d6a841d5089b107
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 7 19:52:18 2011 -0300

    renaming from gedit to pluma

 BUGS                                               |    4 +-
 ChangeLog                                          | 1498 +++++++-------
 HACKING                                            |   18 +-
 Makefile.am                                        |   10 +-
 NEWS                                               |  118 +-
 README                                             |   53 +-
 autogen.sh                                         |    4 +-
 configure.ac                                       |  112 +-
 data/Makefile.am                                   |   22 +-
 ...gedit-bugreport.sh.in => pluma-bugreport.sh.in} |   10 +-
 data/{gedit.1 => pluma.1}                          |   32 +-
 data/{gedit.desktop.in.in => pluma.desktop.in.in}  |   12 +-
 data/{gedit.pc.in => pluma.pc.in}                  |    8 +-
 data/{gedit.schemas.in.in => pluma.schemas.in.in}  |  284 +--
 distro/archlinux/PKGBUILD                          |    4 +-
 docs/reference/Makefile.am                         |   80 +-
 docs/reference/gedit-docs.sgml                     |   37 -
 docs/reference/gedit-sections.txt                  |  809 --------
 docs/reference/gedit.types                         |   32 -
 docs/reference/pluma-docs.sgml                     |   37 +
 .../{gedit-overrides.txt => pluma-overrides.txt}   |    0
 docs/reference/pluma-sections.txt                  |  809 ++++++++
 docs/reference/pluma.types                         |   32 +
 gedit/Makefile.am                                  |  254 ---
 gedit/dialogs/Makefile.am                          |   31 -
 gedit/dialogs/gedit-close-confirmation-dialog.h    |   75 -
 gedit/dialogs/gedit-encodings-dialog.h             |   86 -
 gedit/dialogs/gedit-preferences-dialog.h           |   87 -
 gedit/dialogs/gedit-search-dialog.h                |  128 --
 gedit/gedit-app.h                                  |  142 --
 gedit/gedit-close-button.h                         |   56 -
 gedit/gedit-commands.h                             |  166 --
 gedit/gedit-debug.h                                |   93 -
 gedit/gedit-document-input-stream.h                |   68 -
 gedit/gedit-document-loader.h                      |  130 --
 gedit/gedit-document-output-stream.h               |   64 -
 gedit/gedit-document-saver.h                       |  133 --
 gedit/gedit-document.h                             |  338 ----
 gedit/gedit-documents-panel.h                      |   85 -
 gedit/gedit-encodings-combo-box.h                  |   78 -
 gedit/gedit-file-chooser-dialog.h                  |   89 -
 gedit/gedit-gio-document-loader.h                  |   79 -
 gedit/gedit-gio-document-saver.h                   |   76 -
 gedit/gedit-history-entry.h                        |   96 -
 gedit/gedit-message-bus.h                          |  129 --
 gedit/gedit-message-type.h                         |   67 -
 gedit/gedit-message.h                              |   71 -
 gedit/gedit-notebook.h                             |  143 --
 gedit/gedit-object-module.h                        |   94 -
 gedit/gedit-panel.h                                |  130 --
 gedit/gedit-plugin-info.h                          |   63 -
 gedit/gedit-plugin-manager.h                       |   83 -
 gedit/gedit-plugins-engine.h                       |  107 -
 gedit/gedit-prefs-manager-app.h                    |   84 -
 gedit/gedit-print-job.h                            |  133 --
 gedit/gedit-print-preview.h                        |   71 -
 gedit/gedit-progress-message-area.h                |  112 --
 gedit/gedit-smart-charset-converter.h              |   66 -
 gedit/gedit-status-combo-box.h                     |   82 -
 gedit/gedit-statusbar.h                            |   99 -
 gedit/gedit-tab-label.h                            |   66 -
 gedit/gedit-tab.h                                  |  165 --
 gedit/gedit-view.h                                 |  108 -
 gedit/gedit-window.h                               |  195 --
 gedit/gedit.rc                                     |    1 -
 gedit/osx/gedit-osx.h                              |   17 -
 ...gedit_format_bold.png => pluma_format_bold.png} |  Bin
 ...t_format_italic.png => pluma_format_italic.png} |  Bin
 ...ethrough.png => pluma_format_strikethrough.png} |  Bin
 ...at_underline.png => pluma_format_underline.png} |  Bin
 ...u_icon.png => pluma_recent_files_menu_icon.png} |  Bin
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/C/{gedit.xml => pluma.xml}                    |  266 +--
 help/Makefile.am                                   |   14 +-
 help/ar/ar.po                                      | 1754 ++++++++---------
 help/bg/bg.po                                      | 1392 ++++++-------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/ca/ca.po                                      | 1944 +++++++++---------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/cs/cs.po                                      | 1914 +++++++++---------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/da/da.po                                      | 1990 +++++++++----------
 help/de/de.po                                      | 1934 +++++++++---------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/el/el.po                                      | 1946 +++++++++---------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/es/es.po                                      | 1956 +++++++++---------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/fi/fi.po                                      | 1938 +++++++++---------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 ...u_icon.png => pluma_recent_files_menu_icon.png} |  Bin
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/fr/fr.po                                      | 1900 +++++++++---------
 help/hu/hu.po                                      | 1908 +++++++++---------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/it/it.po                                      | 1934 +++++++++---------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/ja/ja.po                                      | 1974 +++++++++----------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/ko/ko.po                                      | 1954 +++++++++---------
 help/oc/oc.po                                      | 1704 ++++++++--------
 help/{gedit.omf.in => pluma.omf.in}                |    0
 help/pt_BR/pt_BR.po                                | 1942 +++++++++---------
 help/ru/ru.po                                      | 1912 +++++++++---------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/sv/sv.po                                      | 1984 +++++++++----------
 help/th/th.po                                      | 1756 ++++++++---------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/uk/uk.po                                      | 1948 +++++++++---------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/zh_CN/zh_CN.po                                | 2072 ++++++++++----------
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/zh_HK/zh_HK.po                                |  378 ++--
 .../figures/{gedit_window.png => pluma_window.png} |  Bin
 help/zh_TW/zh_TW.po                                |  374 ++--
 osx/Info.plist.in                                  |   14 +-
 pixmaps/Makefile.am                                |   10 +-
 pixmaps/{gedit-logo.png => pluma-logo.png}         |  Bin
 pixmaps/{gedit-plugin.png => pluma-plugin.png}     |  Bin
 pixmaps/{gedit.ico => pluma.ico}                   |  Bin
 plugin-loaders/c/Makefile.am                       |   12 +-
 plugin-loaders/c/gedit-plugin-loader-c.h           |   60 -
 ...t-plugin-loader-c.c => pluma-plugin-loader-c.c} |   92 +-
 plugin-loaders/c/pluma-plugin-loader-c.h           |   60 +
 plugin-loaders/python/Makefile.am                  |   24 +-
 plugin-loaders/python/bindings/Makefile.am         |  102 +-
 plugin-loaders/python/bindings/gedit.defs          | 1461 --------------
 plugin-loaders/python/bindings/pluma.defs          | 1461 ++++++++++++++
 .../bindings/{gedit.override => pluma.override}    |  176 +-
 .../{geditcommands.defs => plumacommands.defs}     |   24 +-
 ...ditcommands.override => plumacommands.override} |   46 +-
 ...geditmessage.override => plumamessage.override} |  180 +-
 .../{geditplugin.override => plumaplugin.override} |   82 +-
 .../bindings/{geditutils.defs => plumautils.defs}  |   16 +-
 .../{geditutils.override => plumautils.override}   |   20 +-
 plugin-loaders/python/gedit-plugin-loader-python.h |   61 -
 plugin-loaders/python/gedit-plugin-python.h        |   88 -
 ...oader-python.c => pluma-plugin-loader-python.c} |  242 +--
 plugin-loaders/python/pluma-plugin-loader-python.h |   61 +
 ...gedit-plugin-python.c => pluma-plugin-python.c} |   82 +-
 plugin-loaders/python/pluma-plugin-python.h        |   88 +
 plugins/changecase/Makefile.am                     |   18 +-
 ...sktop.in => changecase.pluma-plugin.desktop.in} |    4 +-
 plugins/changecase/gedit-changecase-plugin.h       |   72 -
 ...angecase-plugin.c => pluma-changecase-plugin.c} |   72 +-
 plugins/changecase/pluma-changecase-plugin.h       |   72 +
 plugins/checkupdate/Makefile.am                    |   20 +-
 ...ktop.in => checkupdate.pluma-plugin.desktop.in} |    8 +-
 plugins/checkupdate/gedit-check-update-plugin.h    |   74 -
 ...update-plugin.c => pluma-check-update-plugin.c} |  124 +-
 plugins/checkupdate/pluma-check-update-plugin.h    |   74 +
 ...te.schemas.in => pluma-check-update.schemas.in} |    6 +-
 plugins/docinfo/Makefile.am                        |   18 +-
 ....desktop.in => docinfo.pluma-plugin.desktop.in} |    2 +-
 plugins/docinfo/gedit-docinfo-plugin.h             |   75 -
 ...dit-docinfo-plugin.c => pluma-docinfo-plugin.c} |  134 +-
 plugins/docinfo/pluma-docinfo-plugin.h             |   75 +
 plugins/externaltools/Makefile.am                  |    8 +-
 plugins/externaltools/data/Makefile.am             |    4 +-
 plugins/externaltools/data/build.desktop.in        |    2 +-
 plugins/externaltools/data/build.tool.in           |    2 +-
 .../data/open-terminal-here-osx.desktop.in         |    2 +-
 .../data/open-terminal-here-osx.tool.in            |    2 +-
 .../data/open-terminal-here.desktop.in             |    2 +-
 .../externaltools/data/open-terminal-here.tool.in  |    2 +-
 .../data/remove-trailing-spaces.desktop.in         |    2 +-
 plugins/externaltools/data/run-command.desktop.in  |    2 +-
 plugins/externaltools/data/run-command.tool.in     |    2 +-
 ...op.in => externaltools.pluma-plugin.desktop.in} |    4 +-
 plugins/externaltools/scripts/Makefile.am          |    2 +-
 .../{gedit-tool-merge.pl => pluma-tool-merge.pl}   |   10 +-
 plugins/externaltools/tools/Makefile.am            |    4 +-
 plugins/externaltools/tools/__init__.py            |   10 +-
 plugins/externaltools/tools/capture.py             |    2 +-
 plugins/externaltools/tools/filelookup.py          |    6 +-
 plugins/externaltools/tools/functions.py           |   38 +-
 plugins/externaltools/tools/library.py             |   20 +-
 plugins/externaltools/tools/manager.py             |   12 +-
 plugins/externaltools/tools/outputpanel.py         |    6 +-
 plugins/externaltools/tools/tools.ui               |    4 +-
 plugins/filebrowser/Makefile.am                    |   84 +-
 ...ktop.in => filebrowser.pluma-plugin.desktop.in} |    4 +-
 plugins/filebrowser/gedit-file-bookmarks-store.h   |   90 -
 plugins/filebrowser/gedit-file-browser-plugin.h    |   71 -
 plugins/filebrowser/gedit-file-browser-store.h     |  200 --
 plugins/filebrowser/gedit-file-browser-view.h      |   84 -
 plugins/filebrowser/gedit-file-browser-widget.h    |  121 --
 ...kmarks-store.c => pluma-file-bookmarks-store.c} |  236 +--
 plugins/filebrowser/pluma-file-bookmarks-store.h   |   90 +
 ...=> pluma-file-browser-enum-register.c.template} |    2 +-
 ...te => pluma-file-browser-enum-types.c.template} |    2 +-
 ...te => pluma-file-browser-enum-types.h.template} |   10 +-
 ...-browser-error.h => pluma-file-browser-error.h} |   28 +-
 ...arshal.list => pluma-file-browser-marshal.list} |    0
 ...er-messages.c => pluma-file-browser-messages.c} |  414 ++--
 ...er-messages.h => pluma-file-browser-messages.h} |   20 +-
 ...rowser-plugin.c => pluma-file-browser-plugin.c} |  418 ++--
 plugins/filebrowser/pluma-file-browser-plugin.h    |   71 +
 ...-browser-store.c => pluma-file-browser-store.c} |  736 +++----
 plugins/filebrowser/pluma-file-browser-store.h     |  200 ++
 ...-browser-utils.c => pluma-file-browser-utils.c} |   24 +-
 ...-browser-utils.h => pluma-file-browser-utils.h} |   20 +-
 ...le-browser-view.c => pluma-file-browser-view.c} |  278 +--
 plugins/filebrowser/pluma-file-browser-view.h      |   84 +
 ...get-ui.xml => pluma-file-browser-widget-ui.xml} |    0
 ...rowser-widget.c => pluma-file-browser-widget.c} |  672 +++----
 plugins/filebrowser/pluma-file-browser-widget.h    |  121 ++
 ...er.schemas.in => pluma-file-browser.schemas.in} |   42 +-
 plugins/modelines/Makefile.am                      |   18 +-
 plugins/modelines/gedit-modeline-plugin.h          |   48 -
 plugins/modelines/modeline-parser.c                |   38 +-
 plugins/modelines/modeline-parser.h                |    2 +-
 ...esktop.in => modelines.pluma-plugin.desktop.in} |    6 +-
 ...t-modeline-plugin.c => pluma-modeline-plugin.c} |   90 +-
 plugins/modelines/pluma-modeline-plugin.h          |   48 +
 plugins/pythonconsole/Makefile.am                  |    8 +-
 ...op.in => pythonconsole.pluma-plugin.desktop.in} |    4 +-
 plugins/pythonconsole/pythonconsole/Makefile.am    |    4 +-
 plugins/pythonconsole/pythonconsole/__init__.py    |   14 +-
 plugins/pythonconsole/pythonconsole/config.py      |    4 +-
 plugins/pythonconsole/pythonconsole/console.py     |    2 +-
 plugins/quickopen/Makefile.am                      |    8 +-
 ...esktop.in => quickopen.pluma-plugin.desktop.in} |    4 +-
 plugins/quickopen/quickopen/Makefile.am            |    2 +-
 plugins/quickopen/quickopen/__init__.py            |    6 +-
 plugins/quickopen/quickopen/popup.py               |    4 +-
 plugins/quickopen/quickopen/virtualdirs.py         |    2 +-
 plugins/quickopen/quickopen/windowhelper.py        |   10 +-
 plugins/snippets/Makefile.am                       |    8 +-
 plugins/snippets/data/Makefile.am                  |    2 +-
 plugins/snippets/data/c.xml                        |    4 +-
 plugins/snippets/data/chdr.xml                     |    4 +-
 plugins/snippets/data/cpp.xml                      |    4 +-
 plugins/snippets/data/docbook.xml                  |    4 +-
 plugins/snippets/data/html.xml                     |    8 +-
 plugins/snippets/data/java.xml                     |    2 +-
 plugins/snippets/data/lang/Makefile.am             |    2 +-
 plugins/snippets/data/latex.xml                    |    2 +-
 plugins/snippets/data/python.xml                   |    4 +-
 plugins/snippets/data/snippets.xml                 |   56 +-
 plugins/snippets/data/xslt.xml                     |    4 +-
 ...desktop.in => snippets.pluma-plugin.desktop.in} |    4 +-
 plugins/snippets/snippets/Completion.py            |    4 +-
 plugins/snippets/snippets/Document.py              |   54 +-
 plugins/snippets/snippets/Helper.py                |    8 +-
 plugins/snippets/snippets/Library.py               |    2 +-
 plugins/snippets/snippets/Makefile.am              |    4 +-
 plugins/snippets/snippets/Manager.py               |   12 +-
 plugins/snippets/snippets/Parser.py                |    2 +-
 plugins/snippets/snippets/Placeholder.py           |    8 +-
 plugins/snippets/snippets/Snippet.py               |    2 +-
 plugins/snippets/snippets/SubstitutionParser.py    |    2 +-
 plugins/snippets/snippets/WindowHelper.py          |   20 +-
 plugins/snippets/snippets/__init__.py              |   18 +-
 plugins/snippets/snippets/snippets.ui              |    4 +-
 plugins/sort/Makefile.am                           |   18 +-
 plugins/sort/gedit-sort-plugin.h                   |   73 -
 .../{gedit-sort-plugin.c => pluma-sort-plugin.c}   |  120 +-
 plugins/sort/pluma-sort-plugin.h                   |   73 +
 ...gin.desktop.in => sort.pluma-plugin.desktop.in} |    4 +-
 plugins/spell/Makefile.am                          |   58 +-
 plugins/spell/gedit-automatic-spell-checker.h      |   67 -
 plugins/spell/gedit-spell-checker-dialog.h         |   92 -
 plugins/spell/gedit-spell-checker.h                |  109 -
 plugins/spell/gedit-spell-language-dialog.h        |   67 -
 plugins/spell/gedit-spell-plugin.h                 |   75 -
 ...l-checker.c => pluma-automatic-spell-checker.c} |  160 +-
 plugins/spell/pluma-automatic-spell-checker.h      |   67 +
 ...ecker-dialog.c => pluma-spell-checker-dialog.c} |  176 +-
 plugins/spell/pluma-spell-checker-dialog.h         |   92 +
 ...r-language.c => pluma-spell-checker-language.c} |   36 +-
 ...r-language.h => pluma-spell-checker-language.h} |   26 +-
 ...gedit-spell-checker.c => pluma-spell-checker.c} |  132 +-
 plugins/spell/pluma-spell-checker.h                |  109 +
 ...uage-dialog.c => pluma-spell-language-dialog.c} |   58 +-
 plugins/spell/pluma-spell-language-dialog.h        |   67 +
 ...spell-marshal.list => pluma-spell-marshal.list} |    0
 .../{gedit-spell-plugin.c => pluma-spell-plugin.c} |  396 ++--
 plugins/spell/pluma-spell-plugin.h                 |   75 +
 .../{gedit-spell-utils.c => pluma-spell-utils.c}   |   10 +-
 .../{gedit-spell-utils.h => pluma-spell-utils.h}   |   14 +-
 ...in.desktop.in => spell.pluma-plugin.desktop.in} |    4 +-
 plugins/taglist/HTML.tags.xml.in                   |    2 +-
 plugins/taglist/Latex.tags.xml.in                  |    2 +-
 plugins/taglist/Makefile.am                        |   26 +-
 plugins/taglist/XSLT.tags.xml.in                   |    4 +-
 plugins/taglist/XUL.tags.xml.in                    |    2 +-
 plugins/taglist/gedit-taglist-plugin-panel.h       |   89 -
 plugins/taglist/gedit-taglist-plugin.h             |   85 -
 ...plugin-panel.c => pluma-taglist-plugin-panel.c} |  148 +-
 plugins/taglist/pluma-taglist-plugin-panel.h       |   89 +
 ...ugin-parser.c => pluma-taglist-plugin-parser.c} |   74 +-
 ...ugin-parser.h => pluma-taglist-plugin-parser.h} |   14 +-
 ...dit-taglist-plugin.c => pluma-taglist-plugin.c} |   86 +-
 plugins/taglist/pluma-taglist-plugin.h             |   85 +
 ....desktop.in => taglist.pluma-plugin.desktop.in} |    4 +-
 plugins/time/Makefile.am                           |   22 +-
 plugins/time/gedit-time-plugin.h                   |   78 -
 .../{gedit-time-dialog.ui => pluma-time-dialog.ui} |    0
 .../{gedit-time-plugin.c => pluma-time-plugin.c}   |  202 +-
 plugins/time/pluma-time-plugin.h                   |   78 +
 ...-setup-dialog.ui => pluma-time-setup-dialog.ui} |    0
 ...gin.desktop.in => time.pluma-plugin.desktop.in} |    4 +-
 pluma/Makefile.am                                  |  254 +++
 {gedit => pluma}/bacon-message-connection.c        |    0
 {gedit => pluma}/bacon-message-connection.h        |    0
 pluma/dialogs/Makefile.am                          |   31 +
 .../dialogs/pluma-close-confirmation-dialog.c      |  134 +-
 pluma/dialogs/pluma-close-confirmation-dialog.h    |   75 +
 .../dialogs/pluma-encodings-dialog.c               |  104 +-
 pluma/dialogs/pluma-encodings-dialog.h             |   86 +
 .../dialogs/pluma-encodings-dialog.ui              |    0
 .../dialogs/pluma-preferences-dialog.c             |  282 +--
 pluma/dialogs/pluma-preferences-dialog.h           |   87 +
 .../dialogs/pluma-preferences-dialog.ui            |    0
 .../dialogs/pluma-search-dialog.c                  |  208 +-
 pluma/dialogs/pluma-search-dialog.h                |  128 ++
 .../dialogs/pluma-search-dialog.ui                 |    0
 {gedit => pluma}/osx/Makefile.am                   |   14 +-
 .../osx/pluma-osx-delegate.h                       |    8 +-
 .../osx/pluma-osx-delegate.m                       |   18 +-
 gedit/osx/gedit-osx.c => pluma/osx/pluma-osx.c     |   34 +-
 pluma/osx/pluma-osx.h                              |   17 +
 gedit/gedit-app.c => pluma/pluma-app.c             |  318 +--
 pluma/pluma-app.h                                  |  142 ++
 .../pluma-close-button.c                           |   24 +-
 pluma/pluma-close-button.h                         |   56 +
 .../pluma-commands-documents.c                     |   48 +-
 .../pluma-commands-edit.c                          |  110 +-
 .../pluma-commands-file-print.c                    |   52 +-
 .../pluma-commands-file.c                          |  814 ++++----
 .../pluma-commands-help.c                          |   43 +-
 .../pluma-commands-search.c                        |  284 +--
 .../pluma-commands-view.c                          |   70 +-
 pluma/pluma-commands.h                             |  166 ++
 gedit/gedit-debug.c => pluma/pluma-debug.c         |   84 +-
 pluma/pluma-debug.h                                |   93 +
 gedit/gedit-dirs.c => pluma/pluma-dirs.c           |   66 +-
 gedit/gedit-dirs.h => pluma/pluma-dirs.h           |   30 +-
 .../pluma-document-input-stream.c                  |  102 +-
 pluma/pluma-document-input-stream.h                |   68 +
 .../pluma-document-loader.c                        |  150 +-
 pluma/pluma-document-loader.h                      |  130 ++
 .../pluma-document-output-stream.c                 |  110 +-
 pluma/pluma-document-output-stream.h               |   64 +
 .../pluma-document-saver.c                         |  138 +-
 pluma/pluma-document-saver.h                       |  133 ++
 gedit/gedit-document.c => pluma/pluma-document.c   |  742 +++----
 pluma/pluma-document.h                             |  338 ++++
 .../pluma-documents-panel.c                        |  184 +-
 pluma/pluma-documents-panel.h                      |   85 +
 .../pluma-encodings-combo-box.c                    |  110 +-
 pluma/pluma-encodings-combo-box.h                  |   78 +
 gedit/gedit-encodings.c => pluma/pluma-encodings.c |  364 ++--
 gedit/gedit-encodings.h => pluma/pluma-encodings.h |   38 +-
 .../pluma-enum-types.c.template                    |    2 +-
 .../pluma-enum-types.h.template                    |    8 +-
 .../pluma-file-chooser-dialog.c                    |  142 +-
 pluma/pluma-file-chooser-dialog.h                  |   89 +
 .../pluma-gio-document-loader.c                    |  198 +-
 pluma/pluma-gio-document-loader.h                  |   79 +
 .../pluma-gio-document-saver.c                     |  206 +-
 pluma/pluma-gio-document-saver.h                   |   76 +
 gedit/gedit-help.c => pluma/pluma-help.c           |   32 +-
 gedit/gedit-help.h => pluma/pluma-help.h           |   18 +-
 .../pluma-history-entry.c                          |  160 +-
 pluma/pluma-history-entry.h                        |   96 +
 .../pluma-io-error-message-area.c                  |  190 +-
 .../pluma-io-error-message-area.h                  |   38 +-
 .../pluma-language-manager.c                       |   20 +-
 .../pluma-language-manager.h                       |   18 +-
 .../gedit-marshal.list => pluma/pluma-marshal.list |    0
 .../pluma-message-area.c                           |  162 +-
 .../pluma-message-area.h                           |   74 +-
 .../pluma-message-bus.c                            |  462 ++---
 pluma/pluma-message-bus.h                          |  129 ++
 .../pluma-message-type.c                           |  170 +-
 pluma/pluma-message-type.h                         |   67 +
 gedit/gedit-message.c => pluma/pluma-message.c     |  186 +-
 pluma/pluma-message.h                              |   71 +
 .../pluma-metadata-manager.c                       |  154 +-
 .../pluma-metadata-manager.h                       |   22 +-
 gedit/gedit-notebook.c => pluma/pluma-notebook.c   |  308 +--
 pluma/pluma-notebook.h                             |  143 ++
 .../pluma-object-module.c                          |  100 +-
 pluma/pluma-object-module.h                        |   94 +
 gedit/gedit-panel.c => pluma/pluma-panel.c         |  222 +--
 pluma/pluma-panel.h                                |  130 ++
 .../pluma-plugin-info-priv.h                       |   28 +-
 .../pluma-plugin-info.c                            |  130 +-
 pluma/pluma-plugin-info.h                          |   63 +
 .../pluma-plugin-loader.c                          |   52 +-
 .../pluma-plugin-loader.h                          |   64 +-
 .../pluma-plugin-manager.c                         |  238 +--
 pluma/pluma-plugin-manager.h                       |   83 +
 gedit/gedit-plugin.c => pluma/pluma-plugin.c       |  166 +-
 gedit/gedit-plugin.h => pluma/pluma-plugin.h       |  116 +-
 .../pluma-plugins-engine.c                         |  352 ++--
 pluma/pluma-plugins-engine.h                       |  107 +
 .../pluma-prefs-manager-app.c                      |  536 ++---
 pluma/pluma-prefs-manager-app.h                    |   84 +
 .../pluma-prefs-manager-private.h                  |   20 +-
 .../pluma-prefs-manager.c                          |  424 ++--
 .../pluma-prefs-manager.h                          |  258 +--
 gedit/gedit-print-job.c => pluma/pluma-print-job.c |  254 +--
 pluma/pluma-print-job.h                            |  133 ++
 .../pluma-print-preferences.ui                     |    0
 .../pluma-print-preview.c                          |  160 +-
 pluma/pluma-print-preview.h                        |   71 +
 .../pluma-progress-message-area.c                  |   80 +-
 pluma/pluma-progress-message-area.h                |  112 ++
 gedit/gedit-session.c => pluma/pluma-session.c     |  186 +-
 gedit/gedit-session.h => pluma/pluma-session.h     |   20 +-
 .../pluma-smart-charset-converter.c                |  118 +-
 pluma/pluma-smart-charset-converter.h              |   66 +
 gedit/gedit-spinner.c => pluma/pluma-spinner.c     |  348 ++--
 gedit/gedit-spinner.h => pluma/pluma-spinner.h     |   48 +-
 .../pluma-status-combo-box.c                       |  110 +-
 pluma/pluma-status-combo-box.h                     |   82 +
 gedit/gedit-statusbar.c => pluma/pluma-statusbar.c |  108 +-
 pluma/pluma-statusbar.h                            |   99 +
 .../pluma-style-scheme-manager.c                   |   46 +-
 .../pluma-style-scheme-manager.h                   |   20 +-
